diff -ruN vdr-1.7.37/CONTRIBUTORS vdr-1.7.38/CONTRIBUTORS
--- vdr-1.7.37/CONTRIBUTORS	2013-01-29 12:32:44.000000000 +0100
+++ vdr-1.7.38/CONTRIBUTORS	2013-02-17 13:12:41.000000000 +0100
@@ -1996,6 +1996,11 @@
  for fixing cConfig::Load() for g++ version 4.7.0
  for fixing some typos in HISTORY and CONTRIBUTORS
  for fixing some spellings in osd.h and svdrp.c
+ for adding missing $(LDFLAGS) to the Makefile of the dvbhddevice plugin
+ for fixing some spellings in PLUGINS.html and Doxyfile
+ for adding '-p' to the cp command in the install-conf target of the Makefile
+ for reporting that some special characters are dropped by Doxygen and thus need to
+ be escaped
 
 Steffen Beyer <cpunk@reactor.de>
  for fixing setting the colored button help after deleting a recording in case the next
@@ -2248,6 +2253,9 @@
  1.7.32 no longer generates a mark at that point
  for suggesting to automatically go into Pause mode if an editing mark is set during
  replay
+ for reporting a bug in selecting the last replayed recording in the Recordings menu
+ in case there are folders and plain recordings with names that differ only in
+ non-alphanumeric characters
 
 Jrgen Schilling <juergen_schilling@web.de>
  for reporting that color buttons were displayed in the recording info menu if it
@@ -2801,6 +2809,7 @@
  for reporting that the SVDRP command UPDR didn't update the global recordings list
  for fixing a typo in skins.h
  for fixing some #include statements in plugins to use <vdr/...> instead of "vdr/..."
+ for reporting an invalid line in channels.conf.terr
 
 Alex Lasnier <alex@fepg.org>
  for adding tuning support for ATSC devices
@@ -2935,6 +2944,7 @@
  for adding cap_net_raw to the capabilities that are not dropped
  for suggesting to make the channel name column in the "What's on now/next" menu
  adjust its width to display the full short name of each channel
+ for reporting wrong permissions of po/sr_SR.po
 
 Torsten Lang <info@torstenlang.de>
  for reporting a problem with newline characters in stream component descriptions
@@ -3032,6 +3042,7 @@
 
 Peter Mnster <pmlists@free.fr>
  for fixing 'make install' to not overwrite existing configuration files
+ for translating OSD texts to the French language
 
 Mike Hay <mike.hay@linenshorts.com>
  for reporting a problem with handling the case of the polarization character in
@@ -3057,3 +3068,17 @@
 Malte Forkel <malte.forkel@berlin.de>
  for suggesting to make the SVDRP command NEWT no longer check whether a timer with the
  given data already exists
+
+Marc Perrudin <vdr@ekass.net>
+ for translating OSD texts to the French language
+
+Bernard Jaulin <bernard.jaulin@gmail.com>
+ for translating OSD texts to the French language
+
+Mikael Hbsch <mikael.hubsch@gmail.com>
+ for reporting a crash in cMenuEditChanItem::Set() when entering a channel number that
+ doesn't exist
+
+Matthias Senzel <matthias.senzel@t-online.de>
+ for reporting a problem with switching back to live viewing after replay in a setup
+ with device bonding
diff -ruN vdr-1.7.37/Doxyfile vdr-1.7.38/Doxyfile
--- vdr-1.7.37/Doxyfile	2002-12-15 16:14:37.000000000 +0100
+++ vdr-1.7.38/Doxyfile	2013-02-17 12:49:39.000000000 +0100
@@ -1,422 +1,853 @@
-# Doxyfile 1.2.13.1
+# Doxyfile 1.8.1
 
 # This file describes the settings to be used by the documentation system
-# doxygen (www.doxygen.org) for a project
+# doxygen (www.doxygen.org) for a project.
 #
-# All text after a hash (#) is considered a comment and will be ignored
+# All text after a hash (#) is considered a comment and will be ignored.
 # The format is:
 #       TAG = value [value, ...]
 # For lists items can also be appended using:
 #       TAG += value [value, ...]
-# Values that contain spaces should be placed between quotes (" ")
+# Values that contain spaces should be placed between quotes (" ").
 
 #---------------------------------------------------------------------------
-# General configuration options
+# Project related configuration options
 #---------------------------------------------------------------------------
 
-# The PROJECT_NAME tag is a single word (or a sequence of words surrounded 
-# by quotes) that should identify the project.
+# This tag specifies the encoding used for all characters in the config file
+# that follow. The default is UTF-8 which is also the encoding used for all
+# text before the first occurrence of this tag. Doxygen uses libiconv (or the
+# iconv built into libc) for the transcoding. See
+# http://www.gnu.org/software/libiconv for the list of possible encodings.
+
+DOXYFILE_ENCODING      = UTF-8
+
+# The PROJECT_NAME tag is a single word (or sequence of words) that should
+# identify the project. Note that if you do not use Doxywizard you need
+# to put quotes around the project name if it contains spaces.
 
 PROJECT_NAME           = vdr
 
-# The PROJECT_NUMBER tag can be used to enter a project or revision number. 
-# This could be handy for archiving the generated documentation or 
+# The PROJECT_NUMBER tag can be used to enter a project or revision number.
+# This could be handy for archiving the generated documentation or
 # if some version control system is used.
 
 PROJECT_NUMBER         = <will be set by the Makefile>
 
-# The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute) 
-# base path where the generated documentation will be put. 
-# If a relative path is entered, it will be relative to the location 
+# Using the PROJECT_BRIEF tag one can provide an optional one line description
+# for a project that appears at the top of each page and should give viewer
+# a quick idea about the purpose of the project. Keep the description short.
+
+PROJECT_BRIEF          =
+
+# With the PROJECT_LOGO tag one can specify an logo or icon that is
+# included in the documentation. The maximum height of the logo should not
+# exceed 55 pixels and the maximum width should not exceed 200 pixels.
+# Doxygen will copy the logo to the output directory.
+
+PROJECT_LOGO           =
+
+# The OUTPUT_DIRECTORY tag is used to specify the (relative or absolute)
+# base path where the generated documentation will be put.
+# If a relative path is entered, it will be relative to the location
 # where doxygen was started. If left blank the current directory will be used.
 
 OUTPUT_DIRECTORY       = srcdoc
 
-# The OUTPUT_LANGUAGE tag is used to specify the language in which all 
-# documentation generated by doxygen is written. Doxygen will use this 
-# information to generate all constant output in the proper language. 
-# The default language is English, other supported languages are: 
-# Brazilian, Chinese, Croatian, Czech, Danish, Dutch, Finnish, French, 
-# German, Greek, Hungarian, Italian, Japanese, Korean, Norwegian, Polish, 
-# Portuguese, Romanian, Russian, Slovak, Slovene, Spanish and Swedish.
+# If the CREATE_SUBDIRS tag is set to YES, then doxygen will create
+# 4096 sub-directories (in 2 levels) under the output directory of each output
+# format and will distribute the generated files over these directories.
+# Enabling this option can be useful when feeding doxygen a huge amount of
+# source files, where putting all generated files in the same directory would
+# otherwise cause performance problems for the file system.
+
+CREATE_SUBDIRS         = NO
+
+# The OUTPUT_LANGUAGE tag is used to specify the language in which all
+# documentation generated by doxygen is written. Doxygen will use this
+# information to generate all constant output in the proper language.
+# The default language is English, other supported languages are:
+# Afrikaans, Arabic, Brazilian, Catalan, Chinese, Chinese-Traditional,
+# Croatian, Czech, Danish, Dutch, Esperanto, Farsi, Finnish, French, German,
+# Greek, Hungarian, Italian, Japanese, Japanese-en (Japanese with English
+# messages), Korean, Korean-en, Lithuanian, Norwegian, Macedonian, Persian,
+# Polish, Portuguese, Romanian, Russian, Serbian, Serbian-Cyrillic, Slovak,
+# Slovene, Spanish, Swedish, Ukrainian, and Vietnamese.
 
 OUTPUT_LANGUAGE        = English
 
-# If the EXTRACT_ALL tag is set to YES doxygen will assume all entities in 
-# documentation are documented, even if no documentation was available. 
-# Private class members and static file members will be hidden unless 
+# If the BRIEF_MEMBER_DESC tag is set to YES (the default) Doxygen will
+# include brief member descriptions after the members that are listed in
+# the file and class documentation (similar to JavaDoc).
+# Set to NO to disable this.
+
+BRIEF_MEMBER_DESC      = NO
+
+# If the REPEAT_BRIEF tag is set to YES (the default) Doxygen will prepend
+# the brief description of a member or function before the detailed description.
+# Note: if both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the
+# brief descriptions will be completely suppressed.
+
+REPEAT_BRIEF           = YES
+
+# This tag implements a quasi-intelligent brief description abbreviator
+# that is used to form the text in various listings. Each string
+# in this list, if found as the leading text of the brief description, will be
+# stripped from the text and the result after processing the whole list, is
+# used as the annotated text. Otherwise, the brief description is used as-is.
+# If left blank, the following values are used ("$name" is automatically
+# replaced with the name of the entity): "The $name class" "The $name widget"
+# "The $name file" "is" "provides" "specifies" "contains"
+# "represents" "a" "an" "the"
+
+ABBREVIATE_BRIEF       =
+
+# If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then
+# Doxygen will generate a detailed section even if there is only a brief
+# description.
+
+ALWAYS_DETAILED_SEC    = NO
+
+# If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all
+# inherited members of a class in the documentation of that class as if those
+# members were ordinary class members. Constructors, destructors and assignment
+# operators of the base classes will not be shown.
+
+INLINE_INHERITED_MEMB  = NO
+
+# If the FULL_PATH_NAMES tag is set to YES then Doxygen will prepend the full
+# path before files name in the file list and in the header files. If set
+# to NO the shortest path that makes the file name unique will be used.
+
+FULL_PATH_NAMES        = NO
+
+# If the FULL_PATH_NAMES tag is set to YES then the STRIP_FROM_PATH tag
+# can be used to strip a user-defined part of the path. Stripping is
+# only done if one of the specified strings matches the left-hand part of
+# the path. The tag can be used to show relative paths in the file list.
+# If left blank the directory from which doxygen is run is used as the
+# path to strip.
+
+STRIP_FROM_PATH        =
+
+# The STRIP_FROM_INC_PATH tag can be used to strip a user-defined part of
+# the path mentioned in the documentation of a class, which tells
+# the reader which header file to include in order to use a class.
+# If left blank only the name of the header file containing the class
+# definition is used. Otherwise one should specify the include paths that
+# are normally passed to the compiler using the -I flag.
+
+STRIP_FROM_INC_PATH    =
+
+# If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter
+# (but less readable) file names. This can be useful if your file system
+# doesn't support long names like on DOS, Mac, or CD-ROM.
+
+SHORT_NAMES            = NO
+
+# If the JAVADOC_AUTOBRIEF tag is set to YES then Doxygen
+# will interpret the first line (until the first dot) of a JavaDoc-style
+# comment as the brief description. If set to NO, the JavaDoc
+# comments will behave just like regular Qt-style comments
+# (thus requiring an explicit @brief command for a brief description.)
+
+JAVADOC_AUTOBRIEF      = YES
+
+# If the QT_AUTOBRIEF tag is set to YES then Doxygen will
+# interpret the first line (until the first dot) of a Qt-style
+# comment as the brief description. If set to NO, the comments
+# will behave just like regular Qt-style comments (thus requiring
+# an explicit \brief command for a brief description.)
+
+QT_AUTOBRIEF           = NO
+
+# The MULTILINE_CPP_IS_BRIEF tag can be set to YES to make Doxygen
+# treat a multi-line C++ special comment block (i.e. a block of //! or ///
+# comments) as a brief description. This used to be the default behaviour.
+# The new default is to treat a multi-line C++ comment block as a detailed
+# description. Set this tag to YES if you prefer the old behaviour instead.
+
+MULTILINE_CPP_IS_BRIEF = NO
+
+# If the INHERIT_DOCS tag is set to YES (the default) then an undocumented
+# member inherits the documentation from any documented member that it
+# re-implements.
+
+INHERIT_DOCS           = YES
+
+# If the SEPARATE_MEMBER_PAGES tag is set to YES, then doxygen will produce
+# a new page for each member. If set to NO, the documentation of a member will
+# be part of the file/class/namespace that contains it.
+
+SEPARATE_MEMBER_PAGES  = NO
+
+# The TAB_SIZE tag can be used to set the number of spaces in a tab.
+# Doxygen uses this value to replace tabs by spaces in code fragments.
+
+TAB_SIZE               = 8
+
+# This tag can be used to specify a number of aliases that acts
+# as commands in the documentation. An alias has the form "name=value".
+# For example adding "sideeffect=\par Side Effects:\n" will allow you to
+# put the command \sideeffect (or @sideeffect) in the documentation, which
+# will result in a user-defined paragraph with heading "Side Effects:".
+# You can put \n's in the value part of an alias to insert newlines.
+
+ALIASES                =
+
+# This tag can be used to specify a number of word-keyword mappings (TCL only).
+# A mapping has the form "name=value". For example adding
+# "class=itcl::class" will allow you to use the command class in the
+# itcl::class meaning.
+
+TCL_SUBST              =
+
+# Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C
+# sources only. Doxygen will then generate output that is more tailored for C.
+# For instance, some of the names that are used will be different. The list
+# of all members will be omitted, etc.
+
+OPTIMIZE_OUTPUT_FOR_C  = NO
+
+# Set the OPTIMIZE_OUTPUT_JAVA tag to YES if your project consists of Java
+# sources only. Doxygen will then generate output that is more tailored for
+# Java. For instance, namespaces will be presented as packages, qualified
+# scopes will look different, etc.
+
+OPTIMIZE_OUTPUT_JAVA   = NO
+
+# Set the OPTIMIZE_FOR_FORTRAN tag to YES if your project consists of Fortran
+# sources only. Doxygen will then generate output that is more tailored for
+# Fortran.
+
+OPTIMIZE_FOR_FORTRAN   = NO
+
+# Set the OPTIMIZE_OUTPUT_VHDL tag to YES if your project consists of VHDL
+# sources. Doxygen will then generate output that is tailored for
+# VHDL.
+
+OPTIMIZE_OUTPUT_VHDL   = NO
+
+# Doxygen selects the parser to use depending on the extension of the files it
+# parses. With this tag you can assign which parser to use for a given extension.
+# Doxygen has a built-in mapping, but you can override or extend it using this
+# tag. The format is ext=language, where ext is a file extension, and language
+# is one of the parsers supported by doxygen: IDL, Java, Javascript, CSharp, C,
+# C++, D, PHP, Objective-C, Python, Fortran, VHDL, C, C++. For instance to make
+# doxygen treat .inc files as Fortran files (default is PHP), and .f files as C
+# (default is Fortran), use: inc=Fortran f=C. Note that for custom extensions
+# you also need to set FILE_PATTERNS otherwise the files are not read by doxygen.
+
+EXTENSION_MAPPING      =
+
+# If MARKDOWN_SUPPORT is enabled (the default) then doxygen pre-processes all
+# comments according to the Markdown format, which allows for more readable
+# documentation. See http://daringfireball.net/projects/markdown/ for details.
+# The output of markdown processing is further processed by doxygen, so you
+# can mix doxygen, HTML, and XML commands with Markdown formatting.
+# Disable only in case of backward compatibilities issues.
+
+MARKDOWN_SUPPORT       = YES
+
+# If you use STL classes (i.e. std::string, std::vector, etc.) but do not want
+# to include (a tag file for) the STL sources as input, then you should
+# set this tag to YES in order to let doxygen match functions declarations and
+# definitions whose arguments contain STL classes (e.g. func(std::string); v.s.
+# func(std::string) {}). This also makes the inheritance and collaboration
+# diagrams that involve STL classes more complete and accurate.
+
+BUILTIN_STL_SUPPORT    = NO
+
+# If you use Microsoft's C++/CLI language, you should set this option to YES to
+# enable parsing support.
+
+CPP_CLI_SUPPORT        = NO
+
+# Set the SIP_SUPPORT tag to YES if your project consists of sip sources only.
+# Doxygen will parse them like normal C++ but will assume all classes use public
+# instead of private inheritance when no explicit protection keyword is present.
+
+SIP_SUPPORT            = NO
+
+# For Microsoft's IDL there are propget and propput attributes to indicate getter
+# and setter methods for a property. Setting this option to YES (the default)
+# will make doxygen replace the get and set methods by a property in the
+# documentation. This will only work if the methods are indeed getting or
+# setting a simple type. If this is not the case, or you want to show the
+# methods anyway, you should set this option to NO.
+
+IDL_PROPERTY_SUPPORT   = YES
+
+# If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC
+# tag is set to YES, then doxygen will reuse the documentation of the first
+# member in the group (if any) for the other members of the group. By default
+# all members of a group must be documented explicitly.
+
+DISTRIBUTE_GROUP_DOC   = NO
+
+# Set the SUBGROUPING tag to YES (the default) to allow class member groups of
+# the same type (for instance a group of public functions) to be put as a
+# subgroup of that type (e.g. under the Public Functions section). Set it to
+# NO to prevent subgrouping. Alternatively, this can be done per class using
+# the \nosubgrouping command.
+
+SUBGROUPING            = YES
+
+# When the INLINE_GROUPED_CLASSES tag is set to YES, classes, structs and
+# unions are shown inside the group in which they are included (e.g. using
+# @ingroup) instead of on a separate page (for HTML and Man pages) or
+# section (for LaTeX and RTF).
+
+INLINE_GROUPED_CLASSES = NO
+
+# When the INLINE_SIMPLE_STRUCTS tag is set to YES, structs, classes, and
+# unions with only public data fields will be shown inline in the documentation
+# of the scope in which they are defined (i.e. file, namespace, or group
+# documentation), provided this scope is documented. If set to NO (the default),
+# structs, classes, and unions are shown on a separate page (for HTML and Man
+# pages) or section (for LaTeX and RTF).
+
+INLINE_SIMPLE_STRUCTS  = NO
+
+# When TYPEDEF_HIDES_STRUCT is enabled, a typedef of a struct, union, or enum
+# is documented as struct, union, or enum with the name of the typedef. So
+# typedef struct TypeS {} TypeT, will appear in the documentation as a struct
+# with name TypeT. When disabled the typedef will appear as a member of a file,
+# namespace, or class. And the struct will be named TypeS. This can typically
+# be useful for C code in case the coding convention dictates that all compound
+# types are typedef'ed and only the typedef is referenced, never the tag name.
+
+TYPEDEF_HIDES_STRUCT   = NO
+
+# The SYMBOL_CACHE_SIZE determines the size of the internal cache use to
+# determine which symbols to keep in memory and which to flush to disk.
+# When the cache is full, less often used symbols will be written to disk.
+# For small to medium size projects (<1000 input files) the default value is
+# probably good enough. For larger projects a too small cache size can cause
+# doxygen to be busy swapping symbols to and from disk most of the time
+# causing a significant performance penalty.
+# If the system has enough physical memory increasing the cache will improve the
+# performance by keeping more symbols in memory. Note that the value works on
+# a logarithmic scale so increasing the size by one will roughly double the
+# memory usage. The cache size is given by this formula:
+# 2^(16+SYMBOL_CACHE_SIZE). The valid range is 0..9, the default is 0,
+# corresponding to a cache size of 2^16 = 65536 symbols.
+
+SYMBOL_CACHE_SIZE      = 0
+
+# Similar to the SYMBOL_CACHE_SIZE the size of the symbol lookup cache can be
+# set using LOOKUP_CACHE_SIZE. This cache is used to resolve symbols given
+# their name and scope. Since this can be an expensive process and often the
+# same symbol appear multiple times in the code, doxygen keeps a cache of
+# pre-resolved symbols. If the cache is too small doxygen will become slower.
+# If the cache is too large, memory is wasted. The cache size is given by this
+# formula: 2^(16+LOOKUP_CACHE_SIZE). The valid range is 0..9, the default is 0,
+# corresponding to a cache size of 2^16 = 65536 symbols.
+
+LOOKUP_CACHE_SIZE      = 0
+
+#---------------------------------------------------------------------------
+# Build related configuration options
+#---------------------------------------------------------------------------
+
+# If the EXTRACT_ALL tag is set to YES doxygen will assume all entities in
+# documentation are documented, even if no documentation was available.
+# Private class members and static file members will be hidden unless
 # the EXTRACT_PRIVATE and EXTRACT_STATIC tags are set to YES
 
 EXTRACT_ALL            = YES
 
-# If the EXTRACT_PRIVATE tag is set to YES all private members of a class 
+# If the EXTRACT_PRIVATE tag is set to YES all private members of a class
 # will be included in the documentation.
 
 EXTRACT_PRIVATE        = YES
 
-# If the EXTRACT_STATIC tag is set to YES all static members of a file 
+# If the EXTRACT_PACKAGE tag is set to YES all members with package or internal scope will be included in the documentation.
+
+EXTRACT_PACKAGE        = NO
+
+# If the EXTRACT_STATIC tag is set to YES all static members of a file
 # will be included in the documentation.
 
 EXTRACT_STATIC         = YES
 
-# If the EXTRACT_LOCAL_CLASSES tag is set to YES classes (and structs) 
-# defined locally in source files will be included in the documentation. 
+# If the EXTRACT_LOCAL_CLASSES tag is set to YES classes (and structs)
+# defined locally in source files will be included in the documentation.
 # If set to NO only classes defined in header files are included.
 
 EXTRACT_LOCAL_CLASSES  = YES
 
-# If the HIDE_UNDOC_MEMBERS tag is set to YES, Doxygen will hide all 
-# undocumented members of documented classes, files or namespaces. 
-# If set to NO (the default) these members will be included in the 
-# various overviews, but no documentation section is generated. 
+# This flag is only useful for Objective-C code. When set to YES local
+# methods, which are defined in the implementation section but not in
+# the interface are included in the documentation.
+# If set to NO (the default) only methods in the interface are included.
+
+EXTRACT_LOCAL_METHODS  = NO
+
+# If this flag is set to YES, the members of anonymous namespaces will be
+# extracted and appear in the documentation as a namespace called
+# 'anonymous_namespace{file}', where file will be replaced with the base
+# name of the file that contains the anonymous namespace. By default
+# anonymous namespaces are hidden.
+
+EXTRACT_ANON_NSPACES   = NO
+
+# If the HIDE_UNDOC_MEMBERS tag is set to YES, Doxygen will hide all
+# undocumented members of documented classes, files or namespaces.
+# If set to NO (the default) these members will be included in the
+# various overviews, but no documentation section is generated.
 # This option has no effect if EXTRACT_ALL is enabled.
 
 HIDE_UNDOC_MEMBERS     = NO
 
-# If the HIDE_UNDOC_CLASSES tag is set to YES, Doxygen will hide all 
-# undocumented classes that are normally visible in the class hierarchy. 
-# If set to NO (the default) these class will be included in the various 
+# If the HIDE_UNDOC_CLASSES tag is set to YES, Doxygen will hide all
+# undocumented classes that are normally visible in the class hierarchy.
+# If set to NO (the default) these classes will be included in the various
 # overviews. This option has no effect if EXTRACT_ALL is enabled.
 
 HIDE_UNDOC_CLASSES     = NO
 
-# If the BRIEF_MEMBER_DESC tag is set to YES (the default) Doxygen will 
-# include brief member descriptions after the members that are listed in 
-# the file and class documentation (similar to JavaDoc). 
-# Set to NO to disable this.
-
-BRIEF_MEMBER_DESC      = NO
-
-# If the REPEAT_BRIEF tag is set to YES (the default) Doxygen will prepend 
-# the brief description of a member or function before the detailed description. 
-# Note: if both HIDE_UNDOC_MEMBERS and BRIEF_MEMBER_DESC are set to NO, the 
-# brief descriptions will be completely suppressed.
-
-REPEAT_BRIEF           = YES
-
-# If the ALWAYS_DETAILED_SEC and REPEAT_BRIEF tags are both set to YES then 
-# Doxygen will generate a detailed section even if there is only a brief 
-# description.
-
-ALWAYS_DETAILED_SEC    = NO
-
-# If the INLINE_INHERITED_MEMB tag is set to YES, doxygen will show all inherited 
-# members of a class in the documentation of that class as if those members were 
-# ordinary class members. Constructors, destructors and assignment operators of 
-# the base classes will not be shown.
-
-INLINE_INHERITED_MEMB  = NO
-
-# If the FULL_PATH_NAMES tag is set to YES then Doxygen will prepend the full 
-# path before files name in the file list and in the header files. If set 
-# to NO the shortest path that makes the file name unique will be used.
-
-FULL_PATH_NAMES        = NO
-
-# If the FULL_PATH_NAMES tag is set to YES then the STRIP_FROM_PATH tag 
-# can be used to strip a user defined part of the path. Stripping is 
-# only done if one of the specified strings matches the left-hand part of 
-# the path. It is allowed to use relative paths in the argument list.
-
-STRIP_FROM_PATH        = 
-
-# The INTERNAL_DOCS tag determines if documentation 
-# that is typed after a \internal command is included. If the tag is set 
-# to NO (the default) then the documentation will be excluded. 
+# If the HIDE_FRIEND_COMPOUNDS tag is set to YES, Doxygen will hide all
+# friend (class|struct|union) declarations.
+# If set to NO (the default) these declarations will be included in the
+# documentation.
+
+HIDE_FRIEND_COMPOUNDS  = NO
+
+# If the HIDE_IN_BODY_DOCS tag is set to YES, Doxygen will hide any
+# documentation blocks found inside the body of a function.
+# If set to NO (the default) these blocks will be appended to the
+# function's detailed documentation block.
+
+HIDE_IN_BODY_DOCS      = NO
+
+# The INTERNAL_DOCS tag determines if documentation
+# that is typed after a \internal command is included. If the tag is set
+# to NO (the default) then the documentation will be excluded.
 # Set it to YES to include the internal documentation.
 
 INTERNAL_DOCS          = NO
 
-# Setting the STRIP_CODE_COMMENTS tag to YES (the default) will instruct 
-# doxygen to hide any special comment blocks from generated source code 
-# fragments. Normal C and C++ comments will always remain visible.
-
-STRIP_CODE_COMMENTS    = YES
-
-# If the CASE_SENSE_NAMES tag is set to NO then Doxygen will only generate 
-# file names in lower case letters. If set to YES upper case letters are also 
-# allowed. This is useful if you have classes or files whose names only differ 
-# in case and if your file system supports case sensitive file names. Windows 
-# users are adviced to set this option to NO.
+# If the CASE_SENSE_NAMES tag is set to NO then Doxygen will only generate
+# file names in lower-case letters. If set to YES upper-case letters are also
+# allowed. This is useful if you have classes or files whose names only differ
+# in case and if your file system supports case sensitive file names. Windows
+# and Mac users are advised to set this option to NO.
 
 CASE_SENSE_NAMES       = YES
 
-# If the SHORT_NAMES tag is set to YES, doxygen will generate much shorter 
-# (but less readable) file names. This can be useful is your file systems 
-# doesn't support long names like on DOS, Mac, or CD-ROM.
-
-SHORT_NAMES            = NO
-
-# If the HIDE_SCOPE_NAMES tag is set to NO (the default) then Doxygen 
-# will show members with their full class and namespace scopes in the 
+# If the HIDE_SCOPE_NAMES tag is set to NO (the default) then Doxygen
+# will show members with their full class and namespace scopes in the
 # documentation. If set to YES the scope will be hidden.
 
 HIDE_SCOPE_NAMES       = NO
 
-# If the VERBATIM_HEADERS tag is set to YES (the default) then Doxygen 
-# will generate a verbatim copy of the header file for each class for 
-# which an include is specified. Set to NO to disable this.
-
-VERBATIM_HEADERS       = YES
-
-# If the SHOW_INCLUDE_FILES tag is set to YES (the default) then Doxygen 
-# will put list of the files that are included by a file in the documentation 
+# If the SHOW_INCLUDE_FILES tag is set to YES (the default) then Doxygen
+# will put a list of the files that are included by a file in the documentation
 # of that file.
 
 SHOW_INCLUDE_FILES     = YES
 
-# If the JAVADOC_AUTOBRIEF tag is set to YES then Doxygen 
-# will interpret the first line (until the first dot) of a JavaDoc-style 
-# comment as the brief description. If set to NO, the JavaDoc 
-# comments  will behave just like the Qt-style comments (thus requiring an 
-# explict @brief command for a brief description.
+# If the FORCE_LOCAL_INCLUDES tag is set to YES then Doxygen
+# will list include files with double quotes in the documentation
+# rather than with sharp brackets.
 
-JAVADOC_AUTOBRIEF      = YES
-
-# If the INHERIT_DOCS tag is set to YES (the default) then an undocumented 
-# member inherits the documentation from any documented member that it 
-# reimplements.
-
-INHERIT_DOCS           = YES
+FORCE_LOCAL_INCLUDES   = NO
 
-# If the INLINE_INFO tag is set to YES (the default) then a tag [inline] 
+# If the INLINE_INFO tag is set to YES (the default) then a tag [inline]
 # is inserted in the documentation for inline members.
 
 INLINE_INFO            = YES
 
-# If the SORT_MEMBER_DOCS tag is set to YES (the default) then doxygen 
-# will sort the (detailed) documentation of file and class members 
-# alphabetically by member name. If set to NO the members will appear in 
+# If the SORT_MEMBER_DOCS tag is set to YES (the default) then doxygen
+# will sort the (detailed) documentation of file and class members
+# alphabetically by member name. If set to NO the members will appear in
 # declaration order.
 
 SORT_MEMBER_DOCS       = YES
 
-# If member grouping is used in the documentation and the DISTRIBUTE_GROUP_DOC 
-# tag is set to YES, then doxygen will reuse the documentation of the first 
-# member in the group (if any) for the other members of the group. By default 
-# all members of a group must be documented explicitly.
+# If the SORT_BRIEF_DOCS tag is set to YES then doxygen will sort the
+# brief documentation of file, namespace and class members alphabetically
+# by member name. If set to NO (the default) the members will appear in
+# declaration order.
 
-DISTRIBUTE_GROUP_DOC   = NO
+SORT_BRIEF_DOCS        = NO
 
-# The TAB_SIZE tag can be used to set the number of spaces in a tab. 
-# Doxygen uses this value to replace tabs by spaces in code fragments.
+# If the SORT_MEMBERS_CTORS_1ST tag is set to YES then doxygen
+# will sort the (brief and detailed) documentation of class members so that
+# constructors and destructors are listed first. If set to NO (the default)
+# the constructors will appear in the respective orders defined by
+# SORT_MEMBER_DOCS and SORT_BRIEF_DOCS.
+# This tag will be ignored for brief docs if SORT_BRIEF_DOCS is set to NO
+# and ignored for detailed docs if SORT_MEMBER_DOCS is set to NO.
+
+SORT_MEMBERS_CTORS_1ST = NO
+
+# If the SORT_GROUP_NAMES tag is set to YES then doxygen will sort the
+# hierarchy of group names into alphabetical order. If set to NO (the default)
+# the group names will appear in their defined order.
+
+SORT_GROUP_NAMES       = NO
+
+# If the SORT_BY_SCOPE_NAME tag is set to YES, the class list will be
+# sorted by fully-qualified names, including namespaces. If set to
+# NO (the default), the class list will be sorted only by class name,
+# not including the namespace part.
+# Note: This option is not very useful if HIDE_SCOPE_NAMES is set to YES.
+# Note: This option applies only to the class list, not to the
+# alphabetical list.
+
+SORT_BY_SCOPE_NAME     = NO
+
+# If the STRICT_PROTO_MATCHING option is enabled and doxygen fails to
+# do proper type resolution of all parameters of a function it will reject a
+# match between the prototype and the implementation of a member function even
+# if there is only one candidate or it is obvious which candidate to choose
+# by doing a simple string match. By disabling STRICT_PROTO_MATCHING doxygen
+# will still accept a match between prototype and implementation in such cases.
 
-TAB_SIZE               = 8
+STRICT_PROTO_MATCHING  = NO
 
-# The GENERATE_TODOLIST tag can be used to enable (YES) or 
-# disable (NO) the todo list. This list is created by putting \todo 
+# The GENERATE_TODOLIST tag can be used to enable (YES) or
+# disable (NO) the todo list. This list is created by putting \todo
 # commands in the documentation.
 
 GENERATE_TODOLIST      = YES
 
-# The GENERATE_TESTLIST tag can be used to enable (YES) or 
-# disable (NO) the test list. This list is created by putting \test 
+# The GENERATE_TESTLIST tag can be used to enable (YES) or
+# disable (NO) the test list. This list is created by putting \test
 # commands in the documentation.
 
 GENERATE_TESTLIST      = YES
 
-# The GENERATE_BUGLIST tag can be used to enable (YES) or 
-# disable (NO) the bug list. This list is created by putting \bug 
+# The GENERATE_BUGLIST tag can be used to enable (YES) or
+# disable (NO) the bug list. This list is created by putting \bug
 # commands in the documentation.
 
 GENERATE_BUGLIST       = YES
 
-# This tag can be used to specify a number of aliases that acts 
-# as commands in the documentation. An alias has the form "name=value". 
-# For example adding "sideeffect=\par Side Effects:\n" will allow you to 
-# put the command \sideeffect (or @sideeffect) in the documentation, which 
-# will result in a user defined paragraph with heading "Side Effects:". 
-# You can put \n's in the value part of an alias to insert newlines.
+# The GENERATE_DEPRECATEDLIST tag can be used to enable (YES) or
+# disable (NO) the deprecated list. This list is created by putting
+# \deprecated commands in the documentation.
 
-ALIASES                = 
+GENERATE_DEPRECATEDLIST= YES
 
-# The ENABLED_SECTIONS tag can be used to enable conditional 
+# The ENABLED_SECTIONS tag can be used to enable conditional
 # documentation sections, marked by \if sectionname ... \endif.
 
-ENABLED_SECTIONS       = 
+ENABLED_SECTIONS       =
 
-# The MAX_INITIALIZER_LINES tag determines the maximum number of lines 
-# the initial value of a variable or define consist of for it to appear in 
-# the documentation. If the initializer consists of more lines than specified 
-# here it will be hidden. Use a value of 0 to hide initializers completely. 
-# The appearance of the initializer of individual variables and defines in the 
-# documentation can be controlled using \showinitializer or \hideinitializer 
+# The MAX_INITIALIZER_LINES tag determines the maximum number of lines
+# the initial value of a variable or macro consists of for it to appear in
+# the documentation. If the initializer consists of more lines than specified
+# here it will be hidden. Use a value of 0 to hide initializers completely.
+# The appearance of the initializer of individual variables and macros in the
+# documentation can be controlled using \showinitializer or \hideinitializer
 # command in the documentation regardless of this setting.
 
 MAX_INITIALIZER_LINES  = 30
 
-# Set the OPTIMIZE_OUTPUT_FOR_C tag to YES if your project consists of C sources 
-# only. Doxygen will then generate output that is more tailored for C. 
-# For instance some of the names that are used will be different. The list 
-# of all members will be omitted, etc.
-
-##kls
-OPTIMIZE_OUTPUT_FOR_C  = NO
-
-# Set the SHOW_USED_FILES tag to NO to disable the list of files generated 
-# at the bottom of the documentation of classes and structs. If set to YES the 
+# Set the SHOW_USED_FILES tag to NO to disable the list of files generated
+# at the bottom of the documentation of classes and structs. If set to YES the
 # list will mention the files that were used to generate the documentation.
 
 SHOW_USED_FILES        = YES
 
+# Set the SHOW_FILES tag to NO to disable the generation of the Files page.
+# This will remove the Files entry from the Quick Index and from the
+# Folder Tree View (if specified). The default is YES.
+
+SHOW_FILES             = YES
+
+# Set the SHOW_NAMESPACES tag to NO to disable the generation of the
+# Namespaces page.
+# This will remove the Namespaces entry from the Quick Index
+# and from the Folder Tree View (if specified). The default is YES.
+
+SHOW_NAMESPACES        = YES
+
+# The FILE_VERSION_FILTER tag can be used to specify a program or script that
+# doxygen should invoke to get the current version for each file (typically from
+# the version control system). Doxygen will invoke the program by executing (via
+# popen()) the command <command> <input-file>, where <command> is the value of
+# the FILE_VERSION_FILTER tag, and <input-file> is the name of an input file
+# provided by doxygen. Whatever the program writes to standard output
+# is used as the file version. See the manual for examples.
+
+FILE_VERSION_FILTER    =
+
+# The LAYOUT_FILE tag can be used to specify a layout file which will be parsed
+# by doxygen. The layout file controls the global structure of the generated
+# output files in an output format independent way. The create the layout file
+# that represents doxygen's defaults, run doxygen with the -l option.
+# You can optionally specify a file name after the option, if omitted
+# DoxygenLayout.xml will be used as the name of the layout file.
+
+LAYOUT_FILE            =
+
+# The CITE_BIB_FILES tag can be used to specify one or more bib files
+# containing the references data. This must be a list of .bib files. The
+# .bib extension is automatically appended if omitted. Using this command
+# requires the bibtex tool to be installed. See also
+# http://en.wikipedia.org/wiki/BibTeX for more info. For LaTeX the style
+# of the bibliography can be controlled using LATEX_BIB_STYLE. To use this
+# feature you need bibtex and perl available in the search path.
+
+CITE_BIB_FILES         =
+
 #---------------------------------------------------------------------------
 # configuration options related to warning and progress messages
 #---------------------------------------------------------------------------
 
-# The QUIET tag can be used to turn on/off the messages that are generated 
+# The QUIET tag can be used to turn on/off the messages that are generated
 # by doxygen. Possible values are YES and NO. If left blank NO is used.
 
 QUIET                  = NO
 
-# The WARNINGS tag can be used to turn on/off the warning messages that are 
-# generated by doxygen. Possible values are YES and NO. If left blank 
+# The WARNINGS tag can be used to turn on/off the warning messages that are
+# generated by doxygen. Possible values are YES and NO. If left blank
 # NO is used.
 
 WARNINGS               = YES
 
-# If WARN_IF_UNDOCUMENTED is set to YES, then doxygen will generate warnings 
-# for undocumented members. If EXTRACT_ALL is set to YES then this flag will 
+# If WARN_IF_UNDOCUMENTED is set to YES, then doxygen will generate warnings
+# for undocumented members. If EXTRACT_ALL is set to YES then this flag will
 # automatically be disabled.
 
 WARN_IF_UNDOCUMENTED   = YES
 
-# The WARN_FORMAT tag determines the format of the warning messages that 
-# doxygen can produce. The string should contain the $file, $line, and $text 
-# tags, which will be replaced by the file and line number from which the 
-# warning originated and the warning text.
+# If WARN_IF_DOC_ERROR is set to YES, doxygen will generate warnings for
+# potential errors in the documentation, such as not documenting some
+# parameters in a documented function, or documenting parameters that
+# don't exist or using markup commands wrongly.
+
+WARN_IF_DOC_ERROR      = YES
+
+# The WARN_NO_PARAMDOC option can be enabled to get warnings for
+# functions that are documented, but have no documentation for their parameters
+# or return value. If set to NO (the default) doxygen will only warn about
+# wrong or incomplete parameter documentation, but not about the absence of
+# documentation.
+
+WARN_NO_PARAMDOC       = NO
+
+# The WARN_FORMAT tag determines the format of the warning messages that
+# doxygen can produce. The string should contain the $file, $line, and $text
+# tags, which will be replaced by the file and line number from which the
+# warning originated and the warning text. Optionally the format may contain
+# $version, which will be replaced by the version of the file (if it could
+# be obtained via FILE_VERSION_FILTER)
 
-WARN_FORMAT            = 
+WARN_FORMAT            =
 
-# The WARN_LOGFILE tag can be used to specify a file to which warning 
-# and error messages should be written. If left blank the output is written 
+# The WARN_LOGFILE tag can be used to specify a file to which warning
+# and error messages should be written. If left blank the output is written
 # to stderr.
 
-WARN_LOGFILE           = 
+WARN_LOGFILE           =
 
 #---------------------------------------------------------------------------
 # configuration options related to the input files
 #---------------------------------------------------------------------------
 
-# The INPUT tag can be used to specify the files and/or directories that contain 
-# documented source files. You may enter file names like "myfile.cpp" or 
-# directories like "/usr/src/myproject". Separate the files or directories 
+# The INPUT tag can be used to specify the files and/or directories that contain
+# documented source files. You may enter file names like "myfile.cpp" or
+# directories like "/usr/src/myproject". Separate the files or directories
 # with spaces.
 
 INPUT                  = .
 
-# If the value of the INPUT tag contains directories, you can use the 
-# FILE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp 
-# and *.h) to filter out the source-files in the directories. If left 
-# blank the following patterns are tested: 
-# *.c *.cc *.cxx *.c++ *.java *.ii *.ixx *.ipp *.i++ *.inl *.h *.hh *.hxx *.hpp 
-# *.h++ *.idl
+# This tag can be used to specify the character encoding of the source files
+# that doxygen parses. Internally doxygen uses the UTF-8 encoding, which is
+# also the default input encoding. Doxygen uses libiconv (or the iconv built
+# into libc) for the transcoding. See http://www.gnu.org/software/libiconv for
+# the list of possible encodings.
+
+INPUT_ENCODING         = UTF-8
+
+# If the value of the INPUT tag contains directories, you can use the
+# FILE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp
+# and *.h) to filter out the source-files in the directories. If left
+# blank the following patterns are tested:
+# *.c *.cc *.cxx *.cpp *.c++ *.d *.java *.ii *.ixx *.ipp *.i++ *.inl *.h *.hh
+# *.hxx *.hpp *.h++ *.idl *.odl *.cs *.php *.php3 *.inc *.m *.mm *.dox *.py
+# *.f90 *.f *.for *.vhd *.vhdl
 
 FILE_PATTERNS          = *.c *.h
 
-# The RECURSIVE tag can be used to turn specify whether or not subdirectories 
-# should be searched for input files as well. Possible values are YES and NO. 
+# The RECURSIVE tag can be used to turn specify whether or not subdirectories
+# should be searched for input files as well. Possible values are YES and NO.
 # If left blank NO is used.
 
 RECURSIVE              = YES
 
-# The EXCLUDE tag can be used to specify files and/or directories that should 
-# excluded from the INPUT source files. This way you can easily exclude a 
+# The EXCLUDE tag can be used to specify files and/or directories that should be
+# excluded from the INPUT source files. This way you can easily exclude a
 # subdirectory from a directory tree whose root is specified with the INPUT tag.
+# Note that relative paths are relative to the directory from which doxygen is
+# run.
 
-EXCLUDE                = 
+EXCLUDE                =
 
-# If the value of the INPUT tag contains directories, you can use the 
-# EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude 
-# certain files from those directories.
+# The EXCLUDE_SYMLINKS tag can be used to select whether or not files or
+# directories that are symbolic links (a Unix file system feature) are excluded
+# from the input.
+
+EXCLUDE_SYMLINKS       = YES
+
+# If the value of the INPUT tag contains directories, you can use the
+# EXCLUDE_PATTERNS tag to specify one or more wildcard patterns to exclude
+# certain files from those directories. Note that the wildcards are matched
+# against the file with absolute path, so to exclude all test directories
+# for example use the pattern */test/*
 
 EXCLUDE_PATTERNS       = */RCS/* */OLD/*
 
-# The EXAMPLE_PATH tag can be used to specify one or more files or 
-# directories that contain example code fragments that are included (see 
+# The EXCLUDE_SYMBOLS tag can be used to specify one or more symbol names
+# (namespaces, classes, functions, etc.) that should be excluded from the
+# output. The symbol name can be a fully qualified name, a word, or if the
+# wildcard * is used, a substring. Examples: ANamespace, AClass,
+# AClass::ANamespace, ANamespace::*Test
+
+EXCLUDE_SYMBOLS        =
+
+# The EXAMPLE_PATH tag can be used to specify one or more files or
+# directories that contain example code fragments that are included (see
 # the \include command).
 
-EXAMPLE_PATH           = 
+EXAMPLE_PATH           =
 
-# If the value of the EXAMPLE_PATH tag contains directories, you can use the 
-# EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp 
-# and *.h) to filter out the source-files in the directories. If left 
+# If the value of the EXAMPLE_PATH tag contains directories, you can use the
+# EXAMPLE_PATTERNS tag to specify one or more wildcard pattern (like *.cpp
+# and *.h) to filter out the source-files in the directories. If left
 # blank all files are included.
 
-EXAMPLE_PATTERNS       = 
+EXAMPLE_PATTERNS       =
 
-# If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be 
-# searched for input files to be used with the \include or \dontinclude 
-# commands irrespective of the value of the RECURSIVE tag. 
+# If the EXAMPLE_RECURSIVE tag is set to YES then subdirectories will be
+# searched for input files to be used with the \include or \dontinclude
+# commands irrespective of the value of the RECURSIVE tag.
 # Possible values are YES and NO. If left blank NO is used.
 
 EXAMPLE_RECURSIVE      = NO
 
-# The IMAGE_PATH tag can be used to specify one or more files or 
-# directories that contain image that are included in the documentation (see 
+# The IMAGE_PATH tag can be used to specify one or more files or
+# directories that contain image that are included in the documentation (see
 # the \image command).
 
-IMAGE_PATH             = 
+IMAGE_PATH             =
 
-# The INPUT_FILTER tag can be used to specify a program that doxygen should 
-# invoke to filter for each input file. Doxygen will invoke the filter program 
-# by executing (via popen()) the command <filter> <input-file>, where <filter> 
-# is the value of the INPUT_FILTER tag, and <input-file> is the name of an 
-# input file. Doxygen will then use the output that the filter program writes 
+# The INPUT_FILTER tag can be used to specify a program that doxygen should
+# invoke to filter for each input file. Doxygen will invoke the filter program
+# by executing (via popen()) the command <filter> <input-file>, where <filter>
+# is the value of the INPUT_FILTER tag, and <input-file> is the name of an
+# input file. Doxygen will then use the output that the filter program writes
 # to standard output.
+# If FILTER_PATTERNS is specified, this tag will be
+# ignored.
 
-INPUT_FILTER           = 
+INPUT_FILTER           = ./Doxyfile.filter
 
-# If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using 
-# INPUT_FILTER) will be used to filter the input files when producing source 
-# files to browse.
+# The FILTER_PATTERNS tag can be used to specify filters on a per file pattern
+# basis.
+# Doxygen will compare the file name with each pattern and apply the
+# filter if there is a match.
+# The filters are a list of the form:
+# pattern=filter (like *.cpp=my_cpp_filter). See INPUT_FILTER for further
+# info on how filters are used. If FILTER_PATTERNS is empty or if
+# non of the patterns match the file name, INPUT_FILTER is applied.
+
+FILTER_PATTERNS        =
+
+# If the FILTER_SOURCE_FILES tag is set to YES, the input filter (if set using
+# INPUT_FILTER) will be used to filter the input files when producing source
+# files to browse (i.e. when SOURCE_BROWSER is set to YES).
+
+FILTER_SOURCE_FILES    = YES
+
+# The FILTER_SOURCE_PATTERNS tag can be used to specify source filters per file
+# pattern. A pattern will override the setting for FILTER_PATTERN (if any)
+# and it is also possible to disable source filtering for a specific pattern
+# using *.ext= (so without naming a filter). This option only has effect when
+# FILTER_SOURCE_FILES is enabled.
 
-FILTER_SOURCE_FILES    = NO
+FILTER_SOURCE_PATTERNS =
 
 #---------------------------------------------------------------------------
 # configuration options related to source browsing
 #---------------------------------------------------------------------------
 
-# If the SOURCE_BROWSER tag is set to YES then a list of source files will 
+# If the SOURCE_BROWSER tag is set to YES then a list of source files will
 # be generated. Documented entities will be cross-referenced with these sources.
+# Note: To get rid of all source code in the generated output, make sure also
+# VERBATIM_HEADERS is set to NO.
 
 SOURCE_BROWSER         = YES
 
-# Setting the INLINE_SOURCES tag to YES will include the body 
+# Setting the INLINE_SOURCES tag to YES will include the body
 # of functions and classes directly in the documentation.
 
 INLINE_SOURCES         = NO
 
-# If the REFERENCED_BY_RELATION tag is set to YES (the default) 
-# then for each documented function all documented 
+# Setting the STRIP_CODE_COMMENTS tag to YES (the default) will instruct
+# doxygen to hide any special comment blocks from generated source code
+# fragments. Normal C and C++ comments will always remain visible.
+
+STRIP_CODE_COMMENTS    = YES
+
+# If the REFERENCED_BY_RELATION tag is set to YES
+# then for each documented function all documented
 # functions referencing it will be listed.
 
 REFERENCED_BY_RELATION = YES
 
-# If the REFERENCES_RELATION tag is set to YES (the default) 
-# then for each documented function all documented entities 
+# If the REFERENCES_RELATION tag is set to YES
+# then for each documented function all documented entities
 # called/used by that function will be listed.
 
 REFERENCES_RELATION    = YES
 
+# If the REFERENCES_LINK_SOURCE tag is set to YES (the default)
+# and SOURCE_BROWSER tag is set to YES, then the hyperlinks from
+# functions in REFERENCES_RELATION and REFERENCED_BY_RELATION lists will
+# link to the source code.
+# Otherwise they will link to the documentation.
+
+REFERENCES_LINK_SOURCE = YES
+
+# If the USE_HTAGS tag is set to YES then the references to source code
+# will point to the HTML generated by the htags(1) tool instead of doxygen
+# built-in source browser. The htags tool is part of GNU's global source
+# tagging system (see http://www.gnu.org/software/global/global.html). You
+# will need version 4.8.6 or higher.
+
+USE_HTAGS              = NO
+
+# If the VERBATIM_HEADERS tag is set to YES (the default) then Doxygen
+# will generate a verbatim copy of the header file for each class for
+# which an include is specified. Set to NO to disable this.
+
+VERBATIM_HEADERS       = YES
+
 #---------------------------------------------------------------------------
 # configuration options related to the alphabetical class index
 #---------------------------------------------------------------------------
 
-# If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index 
-# of all compounds will be generated. Enable this if the project 
+# If the ALPHABETICAL_INDEX tag is set to YES, an alphabetical index
+# of all compounds will be generated. Enable this if the project
 # contains a lot of classes, structs, unions or interfaces.
 
 ALPHABETICAL_INDEX     = YES
 
-# If the alphabetical index is enabled (see ALPHABETICAL_INDEX) then 
-# the COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns 
+# If the alphabetical index is enabled (see ALPHABETICAL_INDEX) then
+# the COLS_IN_ALPHA_INDEX tag can be used to specify the number of columns
 # in which this list will be split (can be a number in the range [1..20])
 
 COLS_IN_ALPHA_INDEX    = 5
 
-# In case all classes in a project start with a common prefix, all 
-# classes will be put under the same header in the alphabetical index. 
-# The IGNORE_PREFIX tag can be used to specify one or more prefixes that 
+# In case all classes in a project start with a common prefix, all
+# classes will be put under the same header in the alphabetical index.
+# The IGNORE_PREFIX tag can be used to specify one or more prefixes that
 # should be ignored while generating the index headers.
 
 IGNORE_PREFIX          = c
@@ -425,218 +856,524 @@
 # configuration options related to the HTML output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_HTML tag is set to YES (the default) Doxygen will 
+# If the GENERATE_HTML tag is set to YES (the default) Doxygen will
 # generate HTML output.
 
 GENERATE_HTML          = YES
 
-# The HTML_OUTPUT tag is used to specify where the HTML docs will be put. 
-# If a relative path is entered the value of OUTPUT_DIRECTORY will be 
+# The HTML_OUTPUT tag is used to specify where the HTML docs will be put.
+# If a relative path is entered the value of OUTPUT_DIRECTORY will be
 # put in front of it. If left blank `html' will be used as the default path.
 
-HTML_OUTPUT            = 
+HTML_OUTPUT            =
 
-# The HTML_HEADER tag can be used to specify a personal HTML header for 
-# each generated HTML page. If it is left blank doxygen will generate a 
-# standard header.
+# The HTML_FILE_EXTENSION tag can be used to specify the file extension for
+# each generated HTML page (for example: .htm,.php,.asp). If it is left blank
+# doxygen will generate files with .html extension.
+
+HTML_FILE_EXTENSION    = .html
+
+# The HTML_HEADER tag can be used to specify a personal HTML header for
+# each generated HTML page. If it is left blank doxygen will generate a
+# standard header. Note that when using a custom header you are responsible
+#  for the proper inclusion of any scripts and style sheets that doxygen
+# needs, which is dependent on the configuration options used.
+# It is advised to generate a default header using "doxygen -w html
+# header.html footer.html stylesheet.css YourConfigFile" and then modify
+# that header. Note that the header is subject to change so you typically
+# have to redo this when upgrading to a newer version of doxygen or when
+# changing the value of configuration settings such as GENERATE_TREEVIEW!
 
-HTML_HEADER            = 
+HTML_HEADER            =
 
-# The HTML_FOOTER tag can be used to specify a personal HTML footer for 
-# each generated HTML page. If it is left blank doxygen will generate a 
+# The HTML_FOOTER tag can be used to specify a personal HTML footer for
+# each generated HTML page. If it is left blank doxygen will generate a
 # standard footer.
 
-HTML_FOOTER            = 
+HTML_FOOTER            =
 
-# The HTML_STYLESHEET tag can be used to specify a user defined cascading 
-# style sheet that is used by each HTML page. It can be used to 
-# fine-tune the look of the HTML output. If the tag is left blank doxygen 
-# will generate a default style sheet
-
-HTML_STYLESHEET        = 
-
-# If the HTML_ALIGN_MEMBERS tag is set to YES, the members of classes, 
-# files or namespaces will be aligned in HTML using tables. If set to 
-# NO a bullet list will be used.
-
-HTML_ALIGN_MEMBERS     = YES
-
-# If the GENERATE_HTMLHELP tag is set to YES, additional index files 
-# will be generated that can be used as input for tools like the 
-# Microsoft HTML help workshop to generate a compressed HTML help file (.chm) 
+# The HTML_STYLESHEET tag can be used to specify a user-defined cascading
+# style sheet that is used by each HTML page. It can be used to
+# fine-tune the look of the HTML output. If the tag is left blank doxygen
+# will generate a default style sheet. Note that doxygen will try to copy
+# the style sheet file to the HTML output directory, so don't put your own
+# style sheet in the HTML output directory as well, or it will be erased!
+
+HTML_STYLESHEET        =
+
+# The HTML_EXTRA_FILES tag can be used to specify one or more extra images or
+# other source files which should be copied to the HTML output directory. Note
+# that these files will be copied to the base HTML output directory. Use the
+# $relpath$ marker in the HTML_HEADER and/or HTML_FOOTER files to load these
+# files. In the HTML_STYLESHEET file, use the file name only. Also note that
+# the files will be copied as-is; there are no commands or markers available.
+
+HTML_EXTRA_FILES       =
+
+# The HTML_COLORSTYLE_HUE tag controls the color of the HTML output.
+# Doxygen will adjust the colors in the style sheet and background images
+# according to this color. Hue is specified as an angle on a colorwheel,
+# see http://en.wikipedia.org/wiki/Hue for more information.
+# For instance the value 0 represents red, 60 is yellow, 120 is green,
+# 180 is cyan, 240 is blue, 300 purple, and 360 is red again.
+# The allowed range is 0 to 359.
+
+HTML_COLORSTYLE_HUE    = 220
+
+# The HTML_COLORSTYLE_SAT tag controls the purity (or saturation) of
+# the colors in the HTML output. For a value of 0 the output will use
+# grayscales only. A value of 255 will produce the most vivid colors.
+
+HTML_COLORSTYLE_SAT    = 100
+
+# The HTML_COLORSTYLE_GAMMA tag controls the gamma correction applied to
+# the luminance component of the colors in the HTML output. Values below
+# 100 gradually make the output lighter, whereas values above 100 make
+# the output darker. The value divided by 100 is the actual gamma applied,
+# so 80 represents a gamma of 0.8, The value 220 represents a gamma of 2.2,
+# and 100 does not change the gamma.
+
+HTML_COLORSTYLE_GAMMA  = 80
+
+# If the HTML_TIMESTAMP tag is set to YES then the footer of each generated HTML
+# page will contain the date and time when the page was generated. Setting
+# this to NO can help when comparing the output of multiple runs.
+
+HTML_TIMESTAMP         = NO
+
+# If the HTML_DYNAMIC_SECTIONS tag is set to YES then the generated HTML
+# documentation will contain sections that can be hidden and shown after the
+# page has loaded.
+
+HTML_DYNAMIC_SECTIONS  = NO
+
+# With HTML_INDEX_NUM_ENTRIES one can control the preferred number of
+# entries shown in the various tree structured indices initially; the user
+# can expand and collapse entries dynamically later on. Doxygen will expand
+# the tree to such a level that at most the specified number of entries are
+# visible (unless a fully collapsed tree already exceeds this amount).
+# So setting the number of entries 1 will produce a full collapsed tree by
+# default. 0 is a special value representing an infinite number of entries
+# and will result in a full expanded tree by default.
+
+HTML_INDEX_NUM_ENTRIES = 100
+
+# If the GENERATE_DOCSET tag is set to YES, additional index files
+# will be generated that can be used as input for Apple's Xcode 3
+# integrated development environment, introduced with OSX 10.5 (Leopard).
+# To create a documentation set, doxygen will generate a Makefile in the
+# HTML output directory. Running make will produce the docset in that
+# directory and running "make install" will install the docset in
+# ~/Library/Developer/Shared/Documentation/DocSets so that Xcode will find
+# it at startup.
+# See http://developer.apple.com/tools/creatingdocsetswithdoxygen.html
+# for more information.
+
+GENERATE_DOCSET        = NO
+
+# When GENERATE_DOCSET tag is set to YES, this tag determines the name of the
+# feed. A documentation feed provides an umbrella under which multiple
+# documentation sets from a single provider (such as a company or product suite)
+# can be grouped.
+
+DOCSET_FEEDNAME        = "Doxygen generated docs"
+
+# When GENERATE_DOCSET tag is set to YES, this tag specifies a string that
+# should uniquely identify the documentation set bundle. This should be a
+# reverse domain-name style string, e.g. com.mycompany.MyDocSet. Doxygen
+# will append .docset to the name.
+
+DOCSET_BUNDLE_ID       = org.doxygen.Project
+
+# When GENERATE_PUBLISHER_ID tag specifies a string that should uniquely identify
+# the documentation publisher. This should be a reverse domain-name style
+# string, e.g. com.mycompany.MyDocSet.documentation.
+
+DOCSET_PUBLISHER_ID    = org.doxygen.Publisher
+
+# The GENERATE_PUBLISHER_NAME tag identifies the documentation publisher.
+
+DOCSET_PUBLISHER_NAME  = Publisher
+
+# If the GENERATE_HTMLHELP tag is set to YES, additional index files
+# will be generated that can be used as input for tools like the
+# Microsoft HTML help workshop to generate a compiled HTML help file (.chm)
 # of the generated HTML documentation.
 
 GENERATE_HTMLHELP      = NO
 
-# If the GENERATE_HTMLHELP tag is set to YES, the GENERATE_CHI flag 
-# controls if a separate .chi index file is generated (YES) or that 
+# If the GENERATE_HTMLHELP tag is set to YES, the CHM_FILE tag can
+# be used to specify the file name of the resulting .chm file. You
+# can add a path in front of the file if the result should not be
+# written to the html output directory.
+
+CHM_FILE               =
+
+# If the GENERATE_HTMLHELP tag is set to YES, the HHC_LOCATION tag can
+# be used to specify the location (absolute path including file name) of
+# the HTML help compiler (hhc.exe). If non-empty doxygen will try to run
+# the HTML help compiler on the generated index.hhp.
+
+HHC_LOCATION           =
+
+# If the GENERATE_HTMLHELP tag is set to YES, the GENERATE_CHI flag
+# controls if a separate .chi index file is generated (YES) or that
 # it should be included in the master .chm file (NO).
 
 GENERATE_CHI           = NO
 
-# If the GENERATE_HTMLHELP tag is set to YES, the BINARY_TOC flag 
-# controls whether a binary table of contents is generated (YES) or a 
+# If the GENERATE_HTMLHELP tag is set to YES, the CHM_INDEX_ENCODING
+# is used to encode HtmlHelp index (hhk), content (hhc) and project file
+# content.
+
+CHM_INDEX_ENCODING     =
+
+# If the GENERATE_HTMLHELP tag is set to YES, the BINARY_TOC flag
+# controls whether a binary table of contents is generated (YES) or a
 # normal table of contents (NO) in the .chm file.
 
 BINARY_TOC             = NO
 
-# The TOC_EXPAND flag can be set to YES to add extra items for group members 
-# to the contents of the Html help documentation and to the tree view.
+# The TOC_EXPAND flag can be set to YES to add extra items for group members
+# to the contents of the HTML help documentation and to the tree view.
 
 TOC_EXPAND             = NO
 
-# The DISABLE_INDEX tag can be used to turn on/off the condensed index at 
-# top of each HTML page. The value NO (the default) enables the index and 
-# the value YES disables it.
+# If the GENERATE_QHP tag is set to YES and both QHP_NAMESPACE and
+# QHP_VIRTUAL_FOLDER are set, an additional index file will be generated
+# that can be used as input for Qt's qhelpgenerator to generate a
+# Qt Compressed Help (.qch) of the generated HTML documentation.
 
-DISABLE_INDEX          = NO
+GENERATE_QHP           = NO
 
-# This tag can be used to set the number of enum values (range [1..20]) 
-# that doxygen will group on one line in the generated HTML documentation.
+# If the QHG_LOCATION tag is specified, the QCH_FILE tag can
+# be used to specify the file name of the resulting .qch file.
+# The path specified is relative to the HTML output folder.
 
-ENUM_VALUES_PER_LINE   = 4
+QCH_FILE               =
+
+# The QHP_NAMESPACE tag specifies the namespace to use when generating
+# Qt Help Project output. For more information please see
+# http://doc.trolltech.com/qthelpproject.html#namespace
+
+QHP_NAMESPACE          = org.doxygen.Project
+
+# The QHP_VIRTUAL_FOLDER tag specifies the namespace to use when generating
+# Qt Help Project output. For more information please see
+# http://doc.trolltech.com/qthelpproject.html#virtual-folders
+
+QHP_VIRTUAL_FOLDER     = doc
+
+# If QHP_CUST_FILTER_NAME is set, it specifies the name of a custom filter to
+# add. For more information please see
+# http://doc.trolltech.com/qthelpproject.html#custom-filters
+
+QHP_CUST_FILTER_NAME   =
+
+# The QHP_CUST_FILT_ATTRS tag specifies the list of the attributes of the
+# custom filter to add. For more information please see
+# <a href="http://doc.trolltech.com/qthelpproject.html#custom-filters">
+# Qt Help Project / Custom Filters</a>.
+
+QHP_CUST_FILTER_ATTRS  =
+
+# The QHP_SECT_FILTER_ATTRS tag specifies the list of the attributes this
+# project's
+# filter section matches.
+# <a href="http://doc.trolltech.com/qthelpproject.html#filter-attributes">
+# Qt Help Project / Filter Attributes</a>.
+
+QHP_SECT_FILTER_ATTRS  =
+
+# If the GENERATE_QHP tag is set to YES, the QHG_LOCATION tag can
+# be used to specify the location of Qt's qhelpgenerator.
+# If non-empty doxygen will try to run qhelpgenerator on the generated
+# .qhp file.
+
+QHG_LOCATION           =
+
+# If the GENERATE_ECLIPSEHELP tag is set to YES, additional index files
+#  will be generated, which together with the HTML files, form an Eclipse help
+# plugin. To install this plugin and make it available under the help contents
+# menu in Eclipse, the contents of the directory containing the HTML and XML
+# files needs to be copied into the plugins directory of eclipse. The name of
+# the directory within the plugins directory should be the same as
+# the ECLIPSE_DOC_ID value. After copying Eclipse needs to be restarted before
+# the help appears.
+
+GENERATE_ECLIPSEHELP   = NO
+
+# A unique identifier for the eclipse help plugin. When installing the plugin
+# the directory name containing the HTML and XML files should also have
+# this name.
+
+ECLIPSE_DOC_ID         = org.doxygen.Project
+
+# The DISABLE_INDEX tag can be used to turn on/off the condensed index (tabs)
+# at top of each HTML page. The value NO (the default) enables the index and
+# the value YES disables it. Since the tabs have the same information as the
+# navigation tree you can set this option to NO if you already set
+# GENERATE_TREEVIEW to YES.
+
+DISABLE_INDEX          = NO
 
-# If the GENERATE_TREEVIEW tag is set to YES, a side panel will be
-# generated containing a tree-like index structure (just like the one that 
-# is generated for HTML Help). For this to work a browser that supports 
-# JavaScript and frames is required (for instance Mozilla, Netscape 4.0+, 
-# or Internet explorer 4.0+). Note that for large projects the tree generation 
-# can take a very long time. In such cases it is better to disable this feature. 
+# The GENERATE_TREEVIEW tag is used to specify whether a tree-like index
+# structure should be generated to display hierarchical information.
+# If the tag value is set to YES, a side panel will be generated
+# containing a tree-like index structure (just like the one that
+# is generated for HTML Help). For this to work a browser that supports
+# JavaScript, DHTML, CSS and frames is required (i.e. any modern browser).
 # Windows users are probably better off using the HTML help feature.
+# Since the tree basically has the same information as the tab index you
+# could consider to set DISABLE_INDEX to NO when enabling this option.
 
 GENERATE_TREEVIEW      = NO
 
-# If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be 
-# used to set the initial width (in pixels) of the frame in which the tree 
+# The ENUM_VALUES_PER_LINE tag can be used to set the number of enum values
+# (range [0,1..20]) that doxygen will group on one line in the generated HTML
+# documentation. Note that a value of 0 will completely suppress the enum
+# values from appearing in the overview section.
+
+ENUM_VALUES_PER_LINE   = 4
+
+# If the treeview is enabled (see GENERATE_TREEVIEW) then this tag can be
+# used to set the initial width (in pixels) of the frame in which the tree
 # is shown.
 
 TREEVIEW_WIDTH         = 250
 
+# When the EXT_LINKS_IN_WINDOW option is set to YES doxygen will open
+# links to external symbols imported via tag files in a separate window.
+
+EXT_LINKS_IN_WINDOW    = NO
+
+# Use this tag to change the font size of Latex formulas included
+# as images in the HTML documentation. The default is 10. Note that
+# when you change the font size after a successful doxygen run you need
+# to manually remove any form_*.png images from the HTML output directory
+# to force them to be regenerated.
+
+FORMULA_FONTSIZE       = 10
+
+# Use the FORMULA_TRANPARENT tag to determine whether or not the images
+# generated for formulas are transparent PNGs. Transparent PNGs are
+# not supported properly for IE 6.0, but are supported on all modern browsers.
+# Note that when changing this option you need to delete any form_*.png files
+# in the HTML output before the changes have effect.
+
+FORMULA_TRANSPARENT    = YES
+
+# Enable the USE_MATHJAX option to render LaTeX formulas using MathJax
+# (see http://www.mathjax.org) which uses client side Javascript for the
+# rendering instead of using prerendered bitmaps. Use this if you do not
+# have LaTeX installed or if you want to formulas look prettier in the HTML
+# output. When enabled you may also need to install MathJax separately and
+# configure the path to it using the MATHJAX_RELPATH option.
+
+USE_MATHJAX            = NO
+
+# When MathJax is enabled you need to specify the location relative to the
+# HTML output directory using the MATHJAX_RELPATH option. The destination
+# directory should contain the MathJax.js script. For instance, if the mathjax
+# directory is located at the same level as the HTML output directory, then
+# MATHJAX_RELPATH should be ../mathjax. The default value points to
+# the MathJax Content Delivery Network so you can quickly see the result without
+# installing MathJax.
+# However, it is strongly recommended to install a local
+# copy of MathJax from http://www.mathjax.org before deployment.
+
+MATHJAX_RELPATH        = http://cdn.mathjax.org/mathjax/latest
+
+# The MATHJAX_EXTENSIONS tag can be used to specify one or MathJax extension
+# names that should be enabled during MathJax rendering.
+
+MATHJAX_EXTENSIONS     =
+
+# When the SEARCHENGINE tag is enabled doxygen will generate a search box
+# for the HTML output. The underlying search engine uses javascript
+# and DHTML and should work on any modern browser. Note that when using
+# HTML help (GENERATE_HTMLHELP), Qt help (GENERATE_QHP), or docsets
+# (GENERATE_DOCSET) there is already a search function so this one should
+# typically be disabled. For large projects the javascript based search engine
+# can be slow, then enabling SERVER_BASED_SEARCH may provide a better solution.
+
+SEARCHENGINE           = NO
+
+# When the SERVER_BASED_SEARCH tag is enabled the search engine will be
+# implemented using a PHP enabled web server instead of at the web client
+# using Javascript. Doxygen will generate the search PHP script and index
+# file to put on the web server. The advantage of the server
+# based approach is that it scales better to large projects and allows
+# full text search. The disadvantages are that it is more difficult to setup
+# and does not have live searching capabilities.
+
+SERVER_BASED_SEARCH    = NO
+
 #---------------------------------------------------------------------------
 # configuration options related to the LaTeX output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_LATEX tag is set to YES (the default) Doxygen will 
+# If the GENERATE_LATEX tag is set to YES (the default) Doxygen will
 # generate Latex output.
 
 GENERATE_LATEX         = NO
 
-# The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put. 
-# If a relative path is entered the value of OUTPUT_DIRECTORY will be 
+# The LATEX_OUTPUT tag is used to specify where the LaTeX docs will be put.
+# If a relative path is entered the value of OUTPUT_DIRECTORY will be
 # put in front of it. If left blank `latex' will be used as the default path.
 
-LATEX_OUTPUT           = 
+LATEX_OUTPUT           =
+
+# The LATEX_CMD_NAME tag can be used to specify the LaTeX command name to be
+# invoked. If left blank `latex' will be used as the default command name.
+# Note that when enabling USE_PDFLATEX this option is only used for
+# generating bitmaps for formulas in the HTML output, but not in the
+# Makefile that is written to the output directory.
+
+LATEX_CMD_NAME         = latex
+
+# The MAKEINDEX_CMD_NAME tag can be used to specify the command name to
+# generate index for LaTeX. If left blank `makeindex' will be used as the
+# default command name.
 
-# If the COMPACT_LATEX tag is set to YES Doxygen generates more compact 
-# LaTeX documents. This may be useful for small projects and may help to 
+MAKEINDEX_CMD_NAME     = makeindex
+
+# If the COMPACT_LATEX tag is set to YES Doxygen generates more compact
+# LaTeX documents. This may be useful for small projects and may help to
 # save some trees in general.
 
 COMPACT_LATEX          = NO
 
-# The PAPER_TYPE tag can be used to set the paper type that is used 
-# by the printer. Possible values are: a4, a4wide, letter, legal and 
+# The PAPER_TYPE tag can be used to set the paper type that is used
+# by the printer. Possible values are: a4, letter, legal and
 # executive. If left blank a4wide will be used.
 
 PAPER_TYPE             = a4wide
 
-# The EXTRA_PACKAGES tag can be to specify one or more names of LaTeX 
+# The EXTRA_PACKAGES tag can be to specify one or more names of LaTeX
 # packages that should be included in the LaTeX output.
 
-EXTRA_PACKAGES         = 
+EXTRA_PACKAGES         =
 
-# The LATEX_HEADER tag can be used to specify a personal LaTeX header for 
-# the generated latex document. The header should contain everything until 
-# the first chapter. If it is left blank doxygen will generate a 
+# The LATEX_HEADER tag can be used to specify a personal LaTeX header for
+# the generated latex document. The header should contain everything until
+# the first chapter. If it is left blank doxygen will generate a
 # standard header. Notice: only use this tag if you know what you are doing!
 
-LATEX_HEADER           = 
+LATEX_HEADER           =
 
-# If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated 
-# is prepared for conversion to pdf (using ps2pdf). The pdf file will 
-# contain links (just like the HTML output) instead of page references 
+# The LATEX_FOOTER tag can be used to specify a personal LaTeX footer for
+# the generated latex document. The footer should contain everything after
+# the last chapter. If it is left blank doxygen will generate a
+# standard footer. Notice: only use this tag if you know what you are doing!
+
+LATEX_FOOTER           =
+
+# If the PDF_HYPERLINKS tag is set to YES, the LaTeX that is generated
+# is prepared for conversion to pdf (using ps2pdf). The pdf file will
+# contain links (just like the HTML output) instead of page references
 # This makes the output suitable for online browsing using a pdf viewer.
 
 PDF_HYPERLINKS         = NO
 
-# If the USE_PDFLATEX tag is set to YES, pdflatex will be used instead of 
-# plain latex in the generated Makefile. Set this option to YES to get a 
+# If the USE_PDFLATEX tag is set to YES, pdflatex will be used instead of
+# plain latex in the generated Makefile. Set this option to YES to get a
 # higher quality PDF documentation.
 
 USE_PDFLATEX           = NO
 
-# If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \\batchmode. 
-# command to the generated LaTeX files. This will instruct LaTeX to keep 
-# running if errors occur, instead of asking the user for help. 
+# If the LATEX_BATCHMODE tag is set to YES, doxygen will add the \\batchmode.
+# command to the generated LaTeX files. This will instruct LaTeX to keep
+# running if errors occur, instead of asking the user for help.
 # This option is also used when generating formulas in HTML.
 
 LATEX_BATCHMODE        = NO
 
+# If LATEX_HIDE_INDICES is set to YES then doxygen will not
+# include the index chapters (such as File Index, Compound Index, etc.)
+# in the output.
+
+LATEX_HIDE_INDICES     = NO
+
+# If LATEX_SOURCE_CODE is set to YES then doxygen will include
+# source code with syntax highlighting in the LaTeX output.
+# Note that which sources are shown also depends on other settings
+# such as SOURCE_BROWSER.
+
+LATEX_SOURCE_CODE      = NO
+
+# The LATEX_BIB_STYLE tag can be used to specify the style to use for the
+# bibliography, e.g. plainnat, or ieeetr. The default style is "plain". See
+# http://en.wikipedia.org/wiki/BibTeX for more info.
+
+LATEX_BIB_STYLE        = plain
+
 #---------------------------------------------------------------------------
 # configuration options related to the RTF output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_RTF tag is set to YES Doxygen will generate RTF output 
-# The RTF output is optimised for Word 97 and may not look very pretty with 
+# If the GENERATE_RTF tag is set to YES Doxygen will generate RTF output
+# The RTF output is optimized for Word 97 and may not look very pretty with
 # other RTF readers or editors.
 
 GENERATE_RTF           = NO
 
-# The RTF_OUTPUT tag is used to specify where the RTF docs will be put. 
-# If a relative path is entered the value of OUTPUT_DIRECTORY will be 
+# The RTF_OUTPUT tag is used to specify where the RTF docs will be put.
+# If a relative path is entered the value of OUTPUT_DIRECTORY will be
 # put in front of it. If left blank `rtf' will be used as the default path.
 
-RTF_OUTPUT             = 
+RTF_OUTPUT             =
 
-# If the COMPACT_RTF tag is set to YES Doxygen generates more compact 
-# RTF documents. This may be useful for small projects and may help to 
+# If the COMPACT_RTF tag is set to YES Doxygen generates more compact
+# RTF documents. This may be useful for small projects and may help to
 # save some trees in general.
 
 COMPACT_RTF            = NO
 
-# If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated 
-# will contain hyperlink fields. The RTF file will 
-# contain links (just like the HTML output) instead of page references. 
-# This makes the output suitable for online browsing using WORD or other 
-# programs which support those fields. 
+# If the RTF_HYPERLINKS tag is set to YES, the RTF that is generated
+# will contain hyperlink fields. The RTF file will
+# contain links (just like the HTML output) instead of page references.
+# This makes the output suitable for online browsing using WORD or other
+# programs which support those fields.
 # Note: wordpad (write) and others do not support links.
 
 RTF_HYPERLINKS         = NO
 
-# Load stylesheet definitions from file. Syntax is similar to doxygen's 
-# config file, i.e. a series of assigments. You only have to provide 
+# Load style sheet definitions from file. Syntax is similar to doxygen's
+# config file, i.e. a series of assignments. You only have to provide
 # replacements, missing definitions are set to their default value.
 
-RTF_STYLESHEET_FILE    = 
+RTF_STYLESHEET_FILE    =
 
-# Set optional variables used in the generation of an rtf document. 
+# Set optional variables used in the generation of an rtf document.
 # Syntax is similar to doxygen's config file.
 
-RTF_EXTENSIONS_FILE    = 
+RTF_EXTENSIONS_FILE    =
 
 #---------------------------------------------------------------------------
 # configuration options related to the man page output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_MAN tag is set to YES (the default) Doxygen will 
+# If the GENERATE_MAN tag is set to YES (the default) Doxygen will
 # generate man pages
 
 GENERATE_MAN           = NO
 
-# The MAN_OUTPUT tag is used to specify where the man pages will be put. 
-# If a relative path is entered the value of OUTPUT_DIRECTORY will be 
+# The MAN_OUTPUT tag is used to specify where the man pages will be put.
+# If a relative path is entered the value of OUTPUT_DIRECTORY will be
 # put in front of it. If left blank `man' will be used as the default path.
 
-MAN_OUTPUT             = 
+MAN_OUTPUT             =
 
-# The MAN_EXTENSION tag determines the extension that is added to 
+# The MAN_EXTENSION tag determines the extension that is added to
 # the generated man pages (default is the subroutine's section .3)
 
-MAN_EXTENSION          = 
+MAN_EXTENSION          =
 
-# If the MAN_LINKS tag is set to YES and Doxygen generates man output, 
-# then it will generate one additional man file for each entity 
-# documented in the real man page(s). These additional files 
-# only source the real man page, but without them the man command 
+# If the MAN_LINKS tag is set to YES and Doxygen generates man output,
+# then it will generate one additional man file for each entity
+# documented in the real man page(s). These additional files
+# only source the real man page, but without them the man command
 # would be unable to find the correct page. The default is NO.
 
 MAN_LINKS              = NO
@@ -645,255 +1382,411 @@
 # configuration options related to the XML output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_XML tag is set to YES Doxygen will 
-# generate an XML file that captures the structure of 
-# the code including all documentation. Note that this 
-# feature is still experimental and incomplete at the 
-# moment.
+# If the GENERATE_XML tag is set to YES Doxygen will
+# generate an XML file that captures the structure of
+# the code including all documentation.
 
 GENERATE_XML           = NO
 
+# The XML_OUTPUT tag is used to specify where the XML pages will be put.
+# If a relative path is entered the value of OUTPUT_DIRECTORY will be
+# put in front of it. If left blank `xml' will be used as the default path.
+
+XML_OUTPUT             = xml
+
+# The XML_SCHEMA tag can be used to specify an XML schema,
+# which can be used by a validating XML parser to check the
+# syntax of the XML files.
+
+XML_SCHEMA             =
+
+# The XML_DTD tag can be used to specify an XML DTD,
+# which can be used by a validating XML parser to check the
+# syntax of the XML files.
+
+XML_DTD                =
+
+# If the XML_PROGRAMLISTING tag is set to YES Doxygen will
+# dump the program listings (including syntax highlighting
+# and cross-referencing information) to the XML output. Note that
+# enabling this will significantly increase the size of the XML output.
+
+XML_PROGRAMLISTING     = YES
+
 #---------------------------------------------------------------------------
 # configuration options for the AutoGen Definitions output
 #---------------------------------------------------------------------------
 
-# If the GENERATE_AUTOGEN_DEF tag is set to YES Doxygen will 
-# generate an AutoGen Definitions (see autogen.sf.net) file 
-# that captures the structure of the code including all 
-# documentation. Note that this feature is still experimental 
+# If the GENERATE_AUTOGEN_DEF tag is set to YES Doxygen will
+# generate an AutoGen Definitions (see autogen.sf.net) file
+# that captures the structure of the code including all
+# documentation. Note that this feature is still experimental
 # and incomplete at the moment.
 
 GENERATE_AUTOGEN_DEF   = NO
 
 #---------------------------------------------------------------------------
-# Configuration options related to the preprocessor   
+# configuration options related to the Perl module output
+#---------------------------------------------------------------------------
+
+# If the GENERATE_PERLMOD tag is set to YES Doxygen will
+# generate a Perl module file that captures the structure of
+# the code including all documentation. Note that this
+# feature is still experimental and incomplete at the
+# moment.
+
+GENERATE_PERLMOD       = NO
+
+# If the PERLMOD_LATEX tag is set to YES Doxygen will generate
+# the necessary Makefile rules, Perl scripts and LaTeX code to be able
+# to generate PDF and DVI output from the Perl module output.
+
+PERLMOD_LATEX          = NO
+
+# If the PERLMOD_PRETTY tag is set to YES the Perl module output will be
+# nicely formatted so it can be parsed by a human reader.
+# This is useful
+# if you want to understand what is going on.
+# On the other hand, if this
+# tag is set to NO the size of the Perl module output will be much smaller
+# and Perl will parse it just the same.
+
+PERLMOD_PRETTY         = YES
+
+# The names of the make variables in the generated doxyrules.make file
+# are prefixed with the string contained in PERLMOD_MAKEVAR_PREFIX.
+# This is useful so different doxyrules.make files included by the same
+# Makefile don't overwrite each other's variables.
+
+PERLMOD_MAKEVAR_PREFIX =
+
+#---------------------------------------------------------------------------
+# Configuration options related to the preprocessor
 #---------------------------------------------------------------------------
 
-# If the ENABLE_PREPROCESSING tag is set to YES (the default) Doxygen will 
-# evaluate all C-preprocessor directives found in the sources and include 
+# If the ENABLE_PREPROCESSING tag is set to YES (the default) Doxygen will
+# evaluate all C-preprocessor directives found in the sources and include
 # files.
 
 ENABLE_PREPROCESSING   = YES
 
-# If the MACRO_EXPANSION tag is set to YES Doxygen will expand all macro 
-# names in the source code. If set to NO (the default) only conditional 
-# compilation will be performed. Macro expansion can be done in a controlled 
+# If the MACRO_EXPANSION tag is set to YES Doxygen will expand all macro
+# names in the source code. If set to NO (the default) only conditional
+# compilation will be performed. Macro expansion can be done in a controlled
 # way by setting EXPAND_ONLY_PREDEF to YES.
 
 MACRO_EXPANSION        = NO
 
-# If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES 
-# then the macro expansion is limited to the macros specified with the 
-# PREDEFINED and EXPAND_AS_PREDEFINED tags.
+# If the EXPAND_ONLY_PREDEF and MACRO_EXPANSION tags are both set to YES
+# then the macro expansion is limited to the macros specified with the
+# PREDEFINED and EXPAND_AS_DEFINED tags.
 
 EXPAND_ONLY_PREDEF     = NO
 
-# If the SEARCH_INCLUDES tag is set to YES (the default) the includes files 
-# in the INCLUDE_PATH (see below) will be search if a #include is found.
+# If the SEARCH_INCLUDES tag is set to YES (the default) the includes files
+# pointed to by INCLUDE_PATH will be searched when a #include is found.
 
 SEARCH_INCLUDES        = YES
 
-# The INCLUDE_PATH tag can be used to specify one or more directories that 
-# contain include files that are not input files but should be processed by 
+# The INCLUDE_PATH tag can be used to specify one or more directories that
+# contain include files that are not input files but should be processed by
 # the preprocessor.
 
-INCLUDE_PATH           = 
+INCLUDE_PATH           =
 
-# You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard 
-# patterns (like *.h and *.hpp) to filter out the header-files in the 
-# directories. If left blank, the patterns specified with FILE_PATTERNS will 
+# You can use the INCLUDE_FILE_PATTERNS tag to specify one or more wildcard
+# patterns (like *.h and *.hpp) to filter out the header-files in the
+# directories. If left blank, the patterns specified with FILE_PATTERNS will
 # be used.
 
-INCLUDE_FILE_PATTERNS  = 
+INCLUDE_FILE_PATTERNS  =
 
-# The PREDEFINED tag can be used to specify one or more macro names that 
-# are defined before the preprocessor is started (similar to the -D option of 
-# gcc). The argument of the tag is a list of macros of the form: name 
-# or name=definition (no spaces). If the definition and the = are 
-# omitted =1 is assumed.
-
-PREDEFINED             = 
-
-# If the MACRO_EXPANSION and EXPAND_PREDEF_ONLY tags are set to YES then 
-# this tag can be used to specify a list of macro names that should be expanded. 
-# The macro definition that is found in the sources will be used. 
-# Use the PREDEFINED tag if you want to use a different macro definition.
-
-EXPAND_AS_DEFINED      = 
-
-# If the SKIP_FUNCTION_MACROS tag is set to YES (the default) then 
-# doxygen's preprocessor will remove all function-like macros that are alone 
-# on a line and do not end with a semicolon. Such function macros are typically 
-# used for boiler-plate code, and will confuse the parser if not removed.
+# The PREDEFINED tag can be used to specify one or more macro names that
+# are defined before the preprocessor is started (similar to the -D option of
+# gcc). The argument of the tag is a list of macros of the form: name
+# or name=definition (no spaces). If the definition and the = are
+# omitted =1 is assumed. To prevent a macro definition from being
+# undefined via #undef or recursively expanded use the := operator
+# instead of the = operator.
+
+PREDEFINED             =
+
+# If the MACRO_EXPANSION and EXPAND_ONLY_PREDEF tags are set to YES then
+# this tag can be used to specify a list of macro names that should be expanded.
+# The macro definition that is found in the sources will be used.
+# Use the PREDEFINED tag if you want to use a different macro definition that
+# overrules the definition found in the source code.
+
+EXPAND_AS_DEFINED      =
+
+# If the SKIP_FUNCTION_MACROS tag is set to YES (the default) then
+# doxygen's preprocessor will remove all references to function-like macros
+# that are alone on a line, have an all uppercase name, and do not end with a
+# semicolon, because these will confuse the parser if not removed.
 
 SKIP_FUNCTION_MACROS   = YES
 
 #---------------------------------------------------------------------------
-# Configuration::addtions related to external references   
+# Configuration::additions related to external references
 #---------------------------------------------------------------------------
 
-# The TAGFILES tag can be used to specify one or more tagfiles.
+# The TAGFILES option can be used to specify one or more tagfiles. For each
+# tag file the location of the external documentation should be added. The
+# format of a tag file without this location is as follows:
+#
+# TAGFILES = file1 file2 ...
+# Adding location for the tag files is done as follows:
+#
+# TAGFILES = file1=loc1 "file2 = loc2" ...
+# where "loc1" and "loc2" can be relative or absolute paths
+# or URLs. Note that each tag file must have a unique name (where the name does
+# NOT include the path). If a tag file is not located in the directory in which
+# doxygen is run, you must also specify the path to the tagfile here.
 
-TAGFILES               = 
+TAGFILES               =
 
-# When a file name is specified after GENERATE_TAGFILE, doxygen will create 
+# When a file name is specified after GENERATE_TAGFILE, doxygen will create
 # a tag file that is based on the input files it reads.
 
-GENERATE_TAGFILE       = 
+GENERATE_TAGFILE       =
 
-# If the ALLEXTERNALS tag is set to YES all external classes will be listed 
-# in the class index. If set to NO only the inherited external classes 
+# If the ALLEXTERNALS tag is set to YES all external classes will be listed
+# in the class index. If set to NO only the inherited external classes
 # will be listed.
 
 ALLEXTERNALS           = NO
 
-# The PERL_PATH should be the absolute path and name of the perl script 
+# If the EXTERNAL_GROUPS tag is set to YES all external groups will be listed
+# in the modules index. If set to NO, only the current project's groups will
+# be listed.
+
+EXTERNAL_GROUPS        = YES
+
+# The PERL_PATH should be the absolute path and name of the perl script
 # interpreter (i.e. the result of `which perl').
 
-PERL_PATH              = 
+PERL_PATH              =
 
 #---------------------------------------------------------------------------
-# Configuration options related to the dot tool   
+# Configuration options related to the dot tool
 #---------------------------------------------------------------------------
 
-# If the CLASS_DIAGRAMS tag is set to YES (the default) Doxygen will 
-# generate a inheritance diagram (in Html, RTF and LaTeX) for classes with base or 
-# super classes. Setting the tag to NO turns the diagrams off. Note that this 
-# option is superceded by the HAVE_DOT option below. This is only a fallback. It is 
-# recommended to install and use dot, since it yield more powerful graphs.
+# If the CLASS_DIAGRAMS tag is set to YES (the default) Doxygen will
+# generate a inheritance diagram (in HTML, RTF and LaTeX) for classes with base
+# or super classes. Setting the tag to NO turns the diagrams off. Note that
+# this option also works with HAVE_DOT disabled, but it is recommended to
+# install and use dot, since it yields more powerful graphs.
 
 CLASS_DIAGRAMS         = YES
 
-# If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is 
-# available from the path. This tool is part of Graphviz, a graph visualization 
-# toolkit from AT&T and Lucent Bell Labs. The other options in this section 
+# You can define message sequence charts within doxygen comments using the \msc
+# command. Doxygen will then run the mscgen tool (see
+# http://www.mcternan.me.uk/mscgen/) to produce the chart and insert it in the
+# documentation. The MSCGEN_PATH tag allows you to specify the directory where
+# the mscgen tool resides. If left empty the tool is assumed to be found in the
+# default search path.
+
+MSCGEN_PATH            =
+
+# If set to YES, the inheritance and collaboration graphs will hide
+# inheritance and usage relations if the target is undocumented
+# or is not a class.
+
+HIDE_UNDOC_RELATIONS   = YES
+
+# If you set the HAVE_DOT tag to YES then doxygen will assume the dot tool is
+# available from the path. This tool is part of Graphviz, a graph visualization
+# toolkit from AT&T and Lucent Bell Labs. The other options in this section
 # have no effect if this option is set to NO (the default)
 
 HAVE_DOT               = YES
 
-# If the CLASS_GRAPH and HAVE_DOT tags are set to YES then doxygen 
-# will generate a graph for each documented class showing the direct and 
-# indirect inheritance relations. Setting this tag to YES will force the 
-# the CLASS_DIAGRAMS tag to NO.
+# The DOT_NUM_THREADS specifies the number of dot invocations doxygen is
+# allowed to run in parallel. When set to 0 (the default) doxygen will
+# base this on the number of processors available in the system. You can set it
+# explicitly to a value larger than 0 to get control over the balance
+# between CPU load and processing speed.
+
+DOT_NUM_THREADS        = 0
+
+# By default doxygen will use the Helvetica font for all dot files that
+# doxygen generates. When you want a differently looking font you can specify
+# the font name using DOT_FONTNAME. You need to make sure dot is able to find
+# the font, which can be done by putting it in a standard location or by setting
+# the DOTFONTPATH environment variable or by setting DOT_FONTPATH to the
+# directory containing the font.
+
+DOT_FONTNAME           = Helvetica
+
+# The DOT_FONTSIZE tag can be used to set the size of the font of dot graphs.
+# The default size is 10pt.
+
+DOT_FONTSIZE           = 10
+
+# By default doxygen will tell dot to use the Helvetica font.
+# If you specify a different font using DOT_FONTNAME you can use DOT_FONTPATH to
+# set the path where dot can find it.
+
+DOT_FONTPATH           =
+
+# If the CLASS_GRAPH and HAVE_DOT tags are set to YES then doxygen
+# will generate a graph for each documented class showing the direct and
+# indirect inheritance relations. Setting this tag to YES will force the
+# CLASS_DIAGRAMS tag to NO.
 
 CLASS_GRAPH            = NO
 
-# If the COLLABORATION_GRAPH and HAVE_DOT tags are set to YES then doxygen 
-# will generate a graph for each documented class showing the direct and 
-# indirect implementation dependencies (inheritance, containment, and 
+# If the COLLABORATION_GRAPH and HAVE_DOT tags are set to YES then doxygen
+# will generate a graph for each documented class showing the direct and
+# indirect implementation dependencies (inheritance, containment, and
 # class references variables) of the class with other documented classes.
 
 COLLABORATION_GRAPH    = YES
 
-# If set to YES, the inheritance and collaboration graphs will show the 
-# relations between templates and their instances.
-
-TEMPLATE_RELATIONS     = YES
-
-# If set to YES, the inheritance and collaboration graphs will hide 
-# inheritance and usage relations if the target is undocumented 
-# or is not a class.
+# If the GROUP_GRAPHS and HAVE_DOT tags are set to YES then doxygen
+# will generate a graph for groups, showing the direct groups dependencies
 
-HIDE_UNDOC_RELATIONS   = YES
+GROUP_GRAPHS           = YES
 
-# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDE_GRAPH, and HAVE_DOT 
-# tags are set to YES then doxygen will generate a graph for each documented 
-# file showing the direct and indirect include dependencies of the file with 
-# other documented files.
+# If the UML_LOOK tag is set to YES doxygen will generate inheritance and
+# collaboration diagrams in a style similar to the OMG's Unified Modeling
+# Language.
 
-INCLUDE_GRAPH          = YES
+UML_LOOK               = NO
 
-# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDED_BY_GRAPH, and 
-# HAVE_DOT tags are set to YES then doxygen will generate a graph for each 
-# documented header file showing the documented files that directly or 
-# indirectly include this file.
-
-INCLUDED_BY_GRAPH      = YES
+# If the UML_LOOK tag is enabled, the fields and methods are shown inside
+# the class node. If there are many fields or methods and many nodes the
+# graph may become too big to be useful. The UML_LIMIT_NUM_FIELDS
+# threshold limits the number of items for each type to make the size more
+# managable. Set this to 0 for no limit. Note that the threshold may be
+# exceeded by 50% before the limit is enforced.
 
-# If the GRAPHICAL_HIERARCHY and HAVE_DOT tags are set to YES then doxygen 
-# will graphical hierarchy of all classes instead of a textual one.
+UML_LIMIT_NUM_FIELDS   = 10
 
-GRAPHICAL_HIERARCHY    = YES
+# If set to YES, the inheritance and collaboration graphs will show the
+# relations between templates and their instances.
 
-# The tag DOT_PATH can be used to specify the path where the dot tool can be 
-# found. If left blank, it is assumed the dot tool can be found on the path.
+TEMPLATE_RELATIONS     = YES
 
-DOT_PATH               = 
+# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDE_GRAPH, and HAVE_DOT
+# tags are set to YES then doxygen will generate a graph for each documented
+# file showing the direct and indirect include dependencies of the file with
+# other documented files.
 
-# The DOTFILE_DIRS tag can be used to specify one or more directories that 
-# contain dot files that are included in the documentation (see the 
-# \dotfile command).
+INCLUDE_GRAPH          = YES
 
-DOTFILE_DIRS           = 
+# If the ENABLE_PREPROCESSING, SEARCH_INCLUDES, INCLUDED_BY_GRAPH, and
+# HAVE_DOT tags are set to YES then doxygen will generate a graph for each
+# documented header file showing the documented files that directly or
+# indirectly include this file.
 
-# The MAX_DOT_GRAPH_WIDTH tag can be used to set the maximum allowed width 
-# (in pixels) of the graphs generated by dot. If a graph becomes larger than 
-# this value, doxygen will try to truncate the graph, so that it fits within 
-# the specified constraint. Beware that most browsers cannot cope with very 
-# large images.
-
-MAX_DOT_GRAPH_WIDTH    = 1024
-
-# The MAX_DOT_GRAPH_HEIGHT tag can be used to set the maximum allows height 
-# (in pixels) of the graphs generated by dot. If a graph becomes larger than 
-# this value, doxygen will try to truncate the graph, so that it fits within 
-# the specified constraint. Beware that most browsers cannot cope with very 
-# large images.
+INCLUDED_BY_GRAPH      = YES
 
-MAX_DOT_GRAPH_HEIGHT   = 1024
+# If the CALL_GRAPH and HAVE_DOT options are set to YES then
+# doxygen will generate a call dependency graph for every global function
+# or class method. Note that enabling this option will significantly increase
+# the time of a run. So in most cases it will be better to enable call graphs
+# for selected functions only using the \callgraph command.
+
+CALL_GRAPH             = NO
+
+# If the CALLER_GRAPH and HAVE_DOT tags are set to YES then
+# doxygen will generate a caller dependency graph for every global function
+# or class method. Note that enabling this option will significantly increase
+# the time of a run. So in most cases it will be better to enable caller
+# graphs for selected functions only using the \callergraph command.
 
-# If the GENERATE_LEGEND tag is set to YES (the default) Doxygen will 
-# generate a legend page explaining the meaning of the various boxes and 
-# arrows in the dot generated graphs.
+CALLER_GRAPH           = NO
 
-GENERATE_LEGEND        = YES
+# If the GRAPHICAL_HIERARCHY and HAVE_DOT tags are set to YES then doxygen
+# will generate a graphical hierarchy of all classes instead of a textual one.
 
-# If the DOT_CLEANUP tag is set to YES (the default) Doxygen will 
-# remove the intermedate dot files that are used to generate 
-# the various graphs.
+GRAPHICAL_HIERARCHY    = YES
 
-DOT_CLEANUP            = YES
+# If the DIRECTORY_GRAPH and HAVE_DOT tags are set to YES
+# then doxygen will show the dependencies a directory has on other directories
+# in a graphical way. The dependency relations are determined by the #include
+# relations between the files in the directories.
 
-#---------------------------------------------------------------------------
-# Configuration::addtions related to the search engine   
-#---------------------------------------------------------------------------
+DIRECTORY_GRAPH        = YES
 
-# The SEARCHENGINE tag specifies whether or not a search engine should be 
-# used. If set to NO the values of all tags below this one will be ignored.
+# The DOT_IMAGE_FORMAT tag can be used to set the image format of the images
+# generated by dot. Possible values are svg, png, jpg, or gif.
+# If left blank png will be used. If you choose svg you need to set
+# HTML_FILE_EXTENSION to xhtml in order to make the SVG files
+# visible in IE 9+ (other browsers do not have this requirement).
 
-SEARCHENGINE           = NO
+DOT_IMAGE_FORMAT       = png
 
-# The CGI_NAME tag should be the name of the CGI script that 
-# starts the search engine (doxysearch) with the correct parameters. 
-# A script with this name will be generated by doxygen.
+# If DOT_IMAGE_FORMAT is set to svg, then this option can be set to YES to
+# enable generation of interactive SVG images that allow zooming and panning.
+# Note that this requires a modern browser other than Internet Explorer.
+# Tested and working are Firefox, Chrome, Safari, and Opera. For IE 9+ you
+# need to set HTML_FILE_EXTENSION to xhtml in order to make the SVG files
+# visible. Older versions of IE do not have SVG support.
 
-CGI_NAME               = 
+INTERACTIVE_SVG        = NO
 
-# The CGI_URL tag should be the absolute URL to the directory where the 
-# cgi binaries are located. See the documentation of your http daemon for 
-# details.
+# The tag DOT_PATH can be used to specify the path where the dot tool can be
+# found. If left blank, it is assumed the dot tool can be found in the path.
 
-CGI_URL                = 
+DOT_PATH               =
 
-# The DOC_URL tag should be the absolute URL to the directory where the 
-# documentation is located. If left blank the absolute path to the 
-# documentation, with file:// prepended to it, will be used.
+# The DOTFILE_DIRS tag can be used to specify one or more directories that
+# contain dot files that are included in the documentation (see the
+# \dotfile command).
 
-DOC_URL                = 
+DOTFILE_DIRS           =
 
-# The DOC_ABSPATH tag should be the absolute path to the directory where the 
-# documentation is located. If left blank the directory on the local machine 
-# will be used.
+# The MSCFILE_DIRS tag can be used to specify one or more directories that
+# contain msc files that are included in the documentation (see the
+# \mscfile command).
+
+MSCFILE_DIRS           =
+
+# The DOT_GRAPH_MAX_NODES tag can be used to set the maximum number of
+# nodes that will be shown in the graph. If the number of nodes in a graph
+# becomes larger than this value, doxygen will truncate the graph, which is
+# visualized by representing a node as a red box. Note that doxygen if the
+# number of direct children of the root node in a graph is already larger than
+# DOT_GRAPH_MAX_NODES then the graph will not be shown at all. Also note
+# that the size of a graph can be further restricted by MAX_DOT_GRAPH_DEPTH.
+
+DOT_GRAPH_MAX_NODES    = 50
+
+# The MAX_DOT_GRAPH_DEPTH tag can be used to set the maximum depth of the
+# graphs generated by dot. A depth value of 3 means that only nodes reachable
+# from the root by following a path via at most 3 edges will be shown. Nodes
+# that lay further from the root node will be omitted. Note that setting this
+# option to 1 or 2 may greatly reduce the computation time needed for large
+# code bases. Also note that the size of a graph can be further restricted by
+# DOT_GRAPH_MAX_NODES. Using a depth of 0 means no depth restriction.
+
+MAX_DOT_GRAPH_DEPTH    = 0
+
+# Set the DOT_TRANSPARENT tag to YES to generate images with a transparent
+# background. This is disabled by default, because dot on Windows does not
+# seem to support this out of the box. Warning: Depending on the platform used,
+# enabling this option may lead to badly anti-aliased labels on the edges of
+# a graph (i.e. they become hard to read).
+
+DOT_TRANSPARENT        = NO
+
+# Set the DOT_MULTI_TARGETS tag to YES allow dot to generate multiple output
+# files in one run (i.e. multiple -o and -T options on the command line). This
+# makes dot run faster, but since only newer versions of dot (>1.8.10)
+# support this, this feature is disabled by default.
 
-DOC_ABSPATH            = 
+DOT_MULTI_TARGETS      = NO
 
-# The BIN_ABSPATH tag must point to the directory where the doxysearch binary 
-# is installed.
+# If the GENERATE_LEGEND tag is set to YES (the default) Doxygen will
+# generate a legend page explaining the meaning of the various boxes and
+# arrows in the dot generated graphs.
 
-BIN_ABSPATH            = 
+GENERATE_LEGEND        = YES
 
-# The EXT_DOC_PATHS tag can be used to specify one or more paths to 
-# documentation generated for other projects. This allows doxysearch to search 
-# the documentation for these projects as well.
+# If the DOT_CLEANUP tag is set to YES (the default) Doxygen will
+# remove the intermediate dot files that are used to generate
+# the various graphs.
 
-EXT_DOC_PATHS          = 
+DOT_CLEANUP            = YES
diff -ruN vdr-1.7.37/Doxyfile.filter vdr-1.7.38/Doxyfile.filter
--- vdr-1.7.37/Doxyfile.filter	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.38/Doxyfile.filter	2013-02-17 11:54:05.000000000 +0100
@@ -0,0 +1,34 @@
+#!/usr/bin/perl
+
+# Filter source files for use with Doxygen.
+#
+# Escapes special characters in comments marked with "///<".
+#
+# Usage: Doxyfile.filter filename
+#
+# See the main source file 'vdr.c' for copyright information and
+# how to reach the author.
+#
+# $Id: Doxyfile.filter 2.1 2013/02/17 10:54:05 kls Exp $
+
+$TAG = "///<";
+
+while (<>) {
+      $t = $_;
+      $p = index($t, $TAG);
+      if ($p >= 0) {
+         $p += length($TAG);
+         print substr($t, 0, $p);
+         $quote = 0;
+         while (1) {
+               $s = substr($t, $p++, 1);
+               last        if ($s eq "");
+               $quote ^= 1 if ($s eq '"');
+               print "\\"  if (!$quote && $s =~ /[\\\@<>]/);
+               print $s;
+               }
+         }
+      else {
+         print $t;
+         }
+      }
diff -ruN vdr-1.7.37/HISTORY vdr-1.7.38/HISTORY
--- vdr-1.7.37/HISTORY	2013-02-08 11:48:43.000000000 +0100
+++ vdr-1.7.38/HISTORY	2013-02-17 15:41:29.000000000 +0100
@@ -7567,7 +7567,7 @@
   behavior of the remote control in case a key is held pressed down for a while, so
   that the repeat function kicks in (see MANUAL).
   The builtin LIRC and KBD remote controls already use these parameters. It is
-  recommended that plugins that implement an interface to any kind of remote controls 
+  recommended that plugins that implement an interface to any kind of remote controls
   also use the parameters Setup.RcRepeatDelay and Setup.RcRepeatDelta for the desired
   purpose, and remove any setup options they might have that serve the same purpose.
 - cTimer no longer does any special "VFAT" handling to shorten directory names to 40
@@ -7584,3 +7584,63 @@
   as few pixmaps as possible.
 - Fixed formatting and removed some superfluous break statements in vdr.c's command
   line option switch.
+
+2013-02-17: Version 1.7.38
+
+- Updated the Ukrainian OSD texts (thanks to Yarema Aka Knedlyk).
+- Updated the Estonian OSD texts (thanks to Arthur Konovalov).
+- Updated the Romanian OSD texts (thanks to Lucian Muresan).
+- Updated the French OSD texts (thanks to Marc Perrudin, Bernard Jaulini and Peter
+  Mnster).
+- Updated the Macedonian OSD texts (thanks to Dimitar Petrovski).
+- Fixed moving editing marks, so that they don't get overwritten with old values
+  through an update of the marks file.
+- Removed an invalid line from channels.conf.terr (reported by Lars Hanisch).
+- Fixed an unexpected k_Repeat key event after a k_Release in lirc.c.
+- Fixed permissions of po/sr_SR.po (reported by Dominic Evans).
+- Updated the Italian OSD texts (thanks to Diego Pierotto).
+- Fixed using "Pause" and "Slow motion" near the end of a recording (replay stopped
+  a few seconds after the end of the recording file has been reached).
+- Fixed selecting the last replayed recording in the Recordings menu in case there
+  are folders and plain recordings with names that differ only in non-alphanumeric
+  characters (reported by Andre Weidemann).
+- Fixed the description of the OSD drawing functions DrawEllipse() (the values -5...-8
+  for the Quadrants parameter are not implemented).
+- Made cOsd::DestroyPixmap() "NULL proof".
+- Now deleting any previously allocated pixmaps in cOsd::SetAreas().
+- Added demos of the DrawEllipse() and DrawSlope() function to the 'osddemo'
+  plugin (press '1' or '2', respectively).
+- Updated the Lithuanian OSD texts (thanks to Valdemaras Pipiras).
+- The timeout for trying to switch to a valid programme is now reset immediately once
+  a programme has been found.
+- No longer checking for EOPNOTSUPP in cDvbTuner::GetSignalQuality() to avoid breaking
+  this function in case the driver suddenly decides to return a different errno value
+  if an operation is not supported.
+- Moved the definition of TIMERMACRO_TITLE and TIMERMACRO_EPISODE from recording.h to
+  config.h and using them to initialize Setup.NameInstantRecord (avoids having the same
+  information in two places).
+- Fixed the return value of cOsdProvider::StoreImage() in case there is no OSD provider.
+- Fixed a crash in cMenuEditChanItem::Set() when entering a channel number that
+  doesn't exist (reported by Mikael Hbsch).
+- Fixed displaying pending timers in "alert" mode in the LCARS skin.
+- Added missing $(LDFLAGS) to the Makefile of the dvbhddevice plugin (thanks to Ville
+  Skytt).
+- Fixed some spellings in PLUGINS.html and Doxyfile (thanks to Ville Skytt).
+- Added '-p' to the cp command in the install-conf target of the Makefile (thanks to
+  Ville Skytt).
+- Added missing 'const' to cDevice::HasProgramme() and cDevice::HasLock().
+- Fixed determining the priority of the primary device in case it is neither replaying
+  nor receiving a live channel (thanks to Matthias Senzel for reporting a problem with
+  switching back to live viewing after replay in a setup with device bonding).
+- Removed all \return and \param tags from comment lines marked with "///<" for Doxygen.
+  There was only a rather small number of these, and I would probably always forget to
+  put them in place when writing future comments, so I decided to drop them entirely.
+- Added Doxyfile.filter to have special characters escaped that would otherwise be
+  dropped by Doxygen (reported by Ville Skytt).
+- Using 'cat' instead of 'cp' to copy the Doxyfile to avoid problems in case Doxyfile
+  is write protected.
+- Updated the Doxyfile with a newer version of Doxygen.
+- Turned off following symlinks in the Doxyfile.
+- Removed trailing whitespace.
+- Expanded tabs in PLUGINS/src/dvbhddevice/setup.c.
+- Some formatting fixes.
diff -ruN vdr-1.7.37/MANUAL vdr-1.7.38/MANUAL
--- vdr-1.7.37/MANUAL	2013-02-02 15:07:56.000000000 +0100
+++ vdr-1.7.38/MANUAL	2013-02-17 14:16:07.000000000 +0100
@@ -699,7 +699,7 @@
                          Defines the standard compliance mode:
                          0 = DVB
                          1 = ANSI/SCTE
-                         
+
   Video format = 4:3     The video format (or aspect ratio) of the tv set in use
                          (4:3 or 16:9).
 
diff -ruN vdr-1.7.37/Makefile vdr-1.7.38/Makefile
--- vdr-1.7.37/Makefile	2013-01-27 15:19:49.000000000 +0100
+++ vdr-1.7.38/Makefile	2013-02-17 12:08:04.000000000 +0100
@@ -4,7 +4,7 @@
 # See the main source file 'vdr.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile 2.50 2013/01/27 14:19:49 kls Exp $
+# $Id: Makefile 2.52 2013/02/17 11:08:04 kls Exp $
 
 .DELETE_ON_ERROR:
 
@@ -264,7 +264,7 @@
 	@mkdir -p $(DESTDIR)$(RESDIR)
 
 install-conf:
-	@cp -n *.conf $(DESTDIR)$(CONFDIR)
+	@cp -pn *.conf $(DESTDIR)$(CONFDIR)
 
 # Documentation:
 
@@ -303,7 +303,7 @@
 # Source documentation:
 
 srcdoc:
-	@cp $(DOXYFILE) $(DOXYFILE).tmp
+	@cat $(DOXYFILE) > $(DOXYFILE).tmp
 	@echo PROJECT_NUMBER = $(VDRVERSION) >> $(DOXYFILE).tmp
 	$(DOXYGEN) $(DOXYFILE).tmp
 	@rm $(DOXYFILE).tmp
diff -ruN vdr-1.7.37/PLUGINS/src/dvbhddevice/HISTORY vdr-1.7.38/PLUGINS/src/dvbhddevice/HISTORY
--- vdr-1.7.37/PLUGINS/src/dvbhddevice/HISTORY	2013-01-24 13:58:04.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbhddevice/HISTORY	2013-02-16 11:36:47.000000000 +0100
@@ -55,3 +55,7 @@
 2013-01-24: Version 0.0.7
 
 - Fixed cHdffOsd::SetAreas() (didn't clear the OSD).
+
+2013-02-16: Version 0.0.8
+
+- Added missing $(LDFLAGS) to the Makefile (thanks to Ville Skytt).
diff -ruN vdr-1.7.37/PLUGINS/src/dvbhddevice/Makefile vdr-1.7.38/PLUGINS/src/dvbhddevice/Makefile
--- vdr-1.7.37/PLUGINS/src/dvbhddevice/Makefile	2013-01-12 14:45:01.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbhddevice/Makefile	2013-02-16 11:34:53.000000000 +0100
@@ -1,7 +1,7 @@
 #
 # Makefile for a Video Disk Recorder plugin
 #
-# $Id: Makefile 1.22 2013/01/12 13:45:01 kls Exp $
+# $Id: Makefile 1.23 2013/02/16 10:34:53 kls Exp $
 
 # The official name of this plugin.
 # This name will be used in the '-P...' option of VDR to load the plugin.
@@ -103,7 +103,7 @@
 
 $(SOFILE): $(OBJS) libhdffcmd
 	@$(MAKE) --no-print-directory -C libhdffcmd all
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) libhdffcmd/libhdffcmd.a -o $@
+	$(CXX) $(CXXFLAGS) $(LDFLAGS) -shared $(OBJS) libhdffcmd/libhdffcmd.a -o $@
 
 install-lib: $(SOFILE)
 	install -D $^ $(DESTDIR)$(LIBDIR)/$^.$(APIVERSION)
diff -ruN vdr-1.7.37/PLUGINS/src/dvbhddevice/dvbhddevice.c vdr-1.7.38/PLUGINS/src/dvbhddevice/dvbhddevice.c
--- vdr-1.7.37/PLUGINS/src/dvbhddevice/dvbhddevice.c	2013-01-29 09:59:36.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbhddevice/dvbhddevice.c	2013-02-16 11:35:42.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbhddevice.c 1.21 2013/01/29 08:59:36 kls Exp $
+ * $Id: dvbhddevice.c 1.22 2013/02/16 10:35:42 kls Exp $
  */
 
 #include <vdr/plugin.h>
@@ -12,7 +12,7 @@
 #include "menu.h"
 #include "setup.h"
 
-static const char *VERSION        = "0.0.7";
+static const char *VERSION        = "0.0.8";
 static const char *DESCRIPTION    = trNOOP("HD Full Featured DVB device");
 static const char *MAINMENUENTRY  = "dvbhddevice";
 
diff -ruN vdr-1.7.37/PLUGINS/src/dvbhddevice/dvbhdffdevice.c vdr-1.7.38/PLUGINS/src/dvbhddevice/dvbhdffdevice.c
--- vdr-1.7.37/PLUGINS/src/dvbhddevice/dvbhdffdevice.c	2013-01-29 09:59:36.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbhddevice/dvbhdffdevice.c	2013-02-17 15:10:06.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbhdffdevice.c 1.48 2013/01/29 08:59:36 kls Exp $
+ * $Id: dvbhdffdevice.c 1.49 2013/02/17 14:10:06 kls Exp $
  */
 
 #include <stdint.h>
@@ -27,7 +27,7 @@
 static uchar *YuvToJpeg(uchar *Mem, int Width, int Height, int &Size, int Quality);
 
 
-// --- cDvbHdFfDevice ----------------------------------------------------------
+// --- cDvbHdFfDevice --------------------------------------------------------
 
 int cDvbHdFfDevice::devHdffOffset = -1;
 
diff -ruN vdr-1.7.37/PLUGINS/src/dvbhddevice/setup.c vdr-1.7.38/PLUGINS/src/dvbhddevice/setup.c
--- vdr-1.7.37/PLUGINS/src/dvbhddevice/setup.c	2012-11-15 10:20:50.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbhddevice/setup.c	2013-02-17 14:25:17.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: setup.c 1.18 2012/11/15 09:20:50 kls Exp $
+ * $Id: setup.c 1.19 2013/02/17 13:25:17 kls Exp $
  */
 
 #include "setup.h"
@@ -436,26 +436,26 @@
 
 eOSState cHdffSetupPage::ProcessKey(eKeys key)
 {
-	eOSState state = cMenuSetupPage::ProcessKey(key);
+        eOSState state = cMenuSetupPage::ProcessKey(key);
 
-	if (state == osContinue)
-	{
-		cOsdItem * item;
-		switch (key)
-		{
-			case kLeft:
-			case kRight:
-				item = Get(Current());
-				if (item == mTvFormatItem)
-				{
-				    mVideoConversion = 0;
-					BuildVideoConversionItem();
-					Display();
-				}
-				break;
-			default:
-				break;
-		}
-	}
-	return state;
+        if (state == osContinue)
+        {
+                cOsdItem * item;
+                switch (key)
+                {
+                        case kLeft:
+                        case kRight:
+                                item = Get(Current());
+                                if (item == mTvFormatItem)
+                                {
+                                    mVideoConversion = 0;
+                                        BuildVideoConversionItem();
+                                        Display();
+                                }
+                                break;
+                        default:
+                                break;
+                }
+        }
+        return state;
 }
diff -ruN vdr-1.7.37/PLUGINS/src/dvbsddevice/dvbsdffdevice.c vdr-1.7.38/PLUGINS/src/dvbsddevice/dvbsdffdevice.c
--- vdr-1.7.37/PLUGINS/src/dvbsddevice/dvbsdffdevice.c	2013-01-25 11:48:29.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbsddevice/dvbsdffdevice.c	2013-02-17 14:16:18.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbsdffdevice.c 2.34 2013/01/25 10:48:29 kls Exp $
+ * $Id: dvbsdffdevice.c 2.35 2013/02/17 13:16:18 kls Exp $
  */
 
 #include "dvbsdffdevice.h"
@@ -795,5 +795,5 @@
          return true;
          }
       }
-  return false; 
+  return false;
 }
diff -ruN vdr-1.7.37/PLUGINS/src/dvbsddevice/dvbsdffdevice.h vdr-1.7.38/PLUGINS/src/dvbsddevice/dvbsdffdevice.h
--- vdr-1.7.37/PLUGINS/src/dvbsddevice/dvbsdffdevice.h	2013-01-25 11:43:14.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/dvbsddevice/dvbsdffdevice.h	2013-02-17 14:16:29.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: dvbsdffdevice.h 2.15 2013/01/25 10:43:14 kls Exp $
+ * $Id: dvbsdffdevice.h 2.16 2013/02/17 13:16:29 kls Exp $
  */
 
 #ifndef __DVBSDFFDEVICE_H
@@ -112,5 +112,5 @@
   void SetOutputOnly(bool On) { outputOnly = On; }
   virtual bool Probe(int Adapter, int Frontend);
   };
- 
+
 #endif //__DVBSDFFDEVICE_H
diff -ruN vdr-1.7.37/PLUGINS/src/osddemo/HISTORY vdr-1.7.38/PLUGINS/src/osddemo/HISTORY
--- vdr-1.7.37/PLUGINS/src/osddemo/HISTORY	2013-01-12 15:09:08.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/osddemo/HISTORY	2013-02-13 14:53:38.000000000 +0100
@@ -46,3 +46,8 @@
 2013-01-12: Version 0.2.5
 
 - Adapted Makefile to changes introduced in recent VDR versions.
+
+2013-02-13: Version 0.3.0
+
+- Added demos of the DrawEllipse() and DrawSlope() function (press '1' or '2',
+  respectively).
diff -ruN vdr-1.7.37/PLUGINS/src/osddemo/README vdr-1.7.38/PLUGINS/src/osddemo/README
--- vdr-1.7.37/PLUGINS/src/osddemo/README	2011-02-20 16:10:34.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/osddemo/README	2013-02-13 14:52:12.000000000 +0100
@@ -26,4 +26,9 @@
 and Right buttons. The Red button turns off the "Tiled Pixmaps"
 display, and the Green button toggles the color display.
 
+In both variants of the demo, pressing the '1' key displays all
+possible ellipses that can be drawn with the DrawEllipse() function,
+while pressing the '2' key shows all possible slopes the DrawSlope()
+function can draw.
+
 Press Ok to close the window.
diff -ruN vdr-1.7.37/PLUGINS/src/osddemo/osddemo.c vdr-1.7.38/PLUGINS/src/osddemo/osddemo.c
--- vdr-1.7.37/PLUGINS/src/osddemo/osddemo.c	2013-01-12 15:12:23.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/osddemo/osddemo.c	2013-02-17 14:16:34.000000000 +0100
@@ -3,16 +3,93 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: osddemo.c 2.8 2013/01/12 14:12:23 kls Exp $
+ * $Id: osddemo.c 2.10 2013/02/17 13:16:34 kls Exp $
  */
 
 #include <vdr/osd.h>
 #include <vdr/plugin.h>
 
-static const char *VERSION        = "0.2.5";
+static const char *VERSION        = "0.3.0";
 static const char *DESCRIPTION    = "Demo of arbitrary OSD setup";
 static const char *MAINMENUENTRY  = "Osd Demo";
 
+// --- DrawEllipses ----------------------------------------------------------
+
+void DrawEllipse(cOsd *Osd, int x1, int y1, int x2, int y2, int Quadrants)
+{
+  Osd->DrawRectangle(x1 + 2, y1 + 2, x2 - 2, y2 - 2, clrGreen);
+  Osd->DrawEllipse(x1 + 3, y1 + 3, x2 - 3, y2 - 3, clrRed, Quadrants);
+}
+
+void DrawEllipses(cOsd *Osd)
+{
+  int xa = 0;
+  int ya = 0;
+  int xb = Osd->Width() - 1;
+  int yb = Osd->Height() - 1;
+  int x0 = xa;
+  int x5 = xb;
+  int x1 = x0 + (xb - xa) / 5;
+  int x2 = x0 + (xb - xa) * 2 / 5;
+  int x3 = x0 + (xb - xa) * 3 / 5;
+  int x4 = x0 + (xb - xa) * 4 / 5;
+  int y0 = ya;
+  int y4 = yb;
+  int y2 = (y0 + y4) / 2;
+  int y1 = (y0 + y2) / 2;
+  int y3 = (y2 + y4) / 2;
+  Osd->DrawRectangle(xa, ya, xb, yb, clrGray50);
+  DrawEllipse(Osd, x4, y0, x5, y4, 0);
+  DrawEllipse(Osd, x2, y1, x3, y2, 1);
+  DrawEllipse(Osd, x1, y1, x2, y2, 2);
+  DrawEllipse(Osd, x1, y2, x2, y3, 3);
+  DrawEllipse(Osd, x2, y2, x3, y3, 4);
+  DrawEllipse(Osd, x3, y1, x4, y3, 5);
+  DrawEllipse(Osd, x1, y0, x3, y1, 6);
+  DrawEllipse(Osd, x0, y1, x1, y3, 7);
+  DrawEllipse(Osd, x1, y3, x3, y4, 8);
+  DrawEllipse(Osd, x3, y0, x4, y1, -1);
+  DrawEllipse(Osd, x0, y0, x1, y1, -2);
+  DrawEllipse(Osd, x0, y3, x1, y4, -3);
+  DrawEllipse(Osd, x3, y3, x4, y4, -4);
+  Osd->Flush();
+}
+
+// --- DrawSlopes ------------------------------------------------------------
+
+void DrawSlope(cOsd *Osd, int x1, int y1, int x2, int y2, int Type)
+{
+  Osd->DrawRectangle(x1 + 2, y1 + 2, x2 - 2, y2 - 2, clrGreen);
+  Osd->DrawSlope(x1 + 3, y1 + 3, x2 - 3, y2 - 3, clrRed, Type);
+}
+
+void DrawSlopes(cOsd *Osd)
+{
+  int xa = 0;
+  int ya = 0;
+  int xb = Osd->Width() - 1;
+  int yb = Osd->Height() - 1;
+  int x0 = xa;
+  int x4 = xb;
+  int x2 = (x0 + x4) / 2;
+  int x1 = (x0 + x2) / 2;
+  int x3 = (x2 + x4) / 2;
+  int y0 = ya;
+  int y3 = yb;
+  int y2 = (y0 + y3) / 2;
+  int y1 = (y0 + y2) / 2;
+  Osd->DrawRectangle(xa, ya, xb, yb, clrGray50);
+  DrawSlope(Osd, x0, y0, x2, y1, 0);
+  DrawSlope(Osd, x2, y0, x4, y1, 1);
+  DrawSlope(Osd, x0, y1, x2, y2, 2);
+  DrawSlope(Osd, x2, y1, x4, y2, 3);
+  DrawSlope(Osd, x0, y2, x1, y3, 4);
+  DrawSlope(Osd, x1, y2, x2, y3, 5);
+  DrawSlope(Osd, x2, y2, x3, y3, 6);
+  DrawSlope(Osd, x3, y2, x4, y3, 7);
+  Osd->Flush();
+}
+
 // --- cLineGame -------------------------------------------------------------
 
 class cLineGame : public cOsdObject {
@@ -31,7 +108,7 @@
 cLineGame::cLineGame(void)
 {
   osd = NULL;
-  x = y = 50;
+  x = y = 0;
   color = clrRed;
 }
 
@@ -42,12 +119,23 @@
 
 void cLineGame::Show(void)
 {
-  osd = cOsdProvider::NewOsd(100, 50, 50);
+  osd = cOsdProvider::NewOsd(cOsd::OsdLeft(), cOsd::OsdTop(), 50);
   if (osd) {
-     tArea Area = { 0, 0, 99, 199,  4 };
-     osd->SetAreas(&Area, 1);
-     osd->DrawRectangle(0, 0, 99, 199, clrGray50);
-     osd->Flush();
+     int x1 = cOsd::OsdWidth() - 1;
+     int y1 = cOsd::OsdHeight() - 1;
+     while (x1 > 0 && y1 > 0) {
+           tArea Area = { 0, 0, x1, y1, 4 };
+           if (osd->CanHandleAreas(&Area, 1) == oeOk) {
+              osd->SetAreas(&Area, 1);
+              osd->DrawRectangle(0, 0, osd->Width() - 1, osd->Height() - 1, clrGray50);
+              osd->Flush();
+              x = osd->Width() / 2;
+              y = osd->Height() / 2;
+              break;
+              }
+           x1 = x1 * 9 / 10;
+           y1 = y1 * 9 / 10;
+           }
      }
 }
 
@@ -55,19 +143,24 @@
 {
   eOSState state = cOsdObject::ProcessKey(Key);
   if (state == osUnknown) {
+     const int d = 4;
      switch (Key & ~k_Repeat) {
-       case kUp:     if (y > 0)   y--; break;
-       case kDown:   if (y < 196) y++; break;
-       case kLeft:   if (x > 0)   x--; break;
-       case kRight:  if (x < 96)  x++; break;
+       case kUp:     y = max(0, y - d); break;
+       case kDown:   y = min(osd->Height() - d, y + d); break;
+       case kLeft:   x = max(0, x - d); break;
+       case kRight:  x = min(osd->Width() - d, x + d); break;
        case kRed:    color = clrRed; break;
        case kGreen:  color = clrGreen; break;
        case kYellow: color = clrYellow; break;
        case kBlue:   color = clrBlue; break;
+       case k1:      DrawEllipses(osd);
+                     return osContinue;
+       case k2:      DrawSlopes(osd);
+                     return osContinue;
        case kOk:     return osEnd;
        default: return state;
        }
-     osd->DrawRectangle(x, y, x + 3, y + 3, color);
+     osd->DrawRectangle(x, y, x + d - 1, y + d - 1, color);
      osd->Flush();
      state = osContinue;
      }
@@ -84,6 +177,7 @@
   bool clockwise;
   cPixmap *destroyablePixmap;
   cPixmap *toggleablePixmap;
+  bool SetArea(void);
   virtual void Action(void);
   cPixmap *CreateTextPixmap(const char *s, int Line, int Layer, tColor ColorFg, tColor ColorBg, const cFont *Font);
 public:
@@ -241,7 +335,7 @@
                        State++;
                      }
                      break;
-             case 1: { 
+             case 1: {
                        FadeInPixmap = CreateTextPixmap("Video Disk Recorder", Line, 3, clrYellow, clrTransparent, OsdFont);
                        if (FadeInPixmap)
                           Line += FadeInPixmap->DrawPort().Height();
@@ -390,13 +484,21 @@
   delete LrgFont;
 }
 
+bool cTrueColorDemo::SetArea(void)
+{
+  if (osd) {
+     tArea Area = { 0, 0, cOsd::OsdWidth() - 1, cOsd::OsdHeight() - 1,  32 };
+     return osd->SetAreas(&Area, 1) == oeOk;
+     }
+  return false;
+}
+
 void cTrueColorDemo::Show(void)
 {
   osd = cOsdProvider::NewOsd(cOsd::OsdLeft(), cOsd::OsdTop(), 50);
   if (osd) {
-     tArea Area = { 0, 0, cOsd::OsdWidth() - 1, cOsd::OsdHeight() - 1,  32 };
-     if (osd->SetAreas(&Area, 1) == oeOk) {
-        osd->DrawRectangle(0, 0, osd->Width() -1 , osd->Height() - 1, clrGray50);
+     if (SetArea()) {
+        osd->DrawRectangle(0, 0, osd->Width() - 1, osd->Height() - 1, clrGray50);
         osd->Flush();
         Start();
         }
@@ -423,6 +525,14 @@
        case kGreen:  if (toggleablePixmap)
                         toggleablePixmap->SetLayer(-toggleablePixmap->Layer());
                      break;
+       case k1:      Cancel(3);
+                     SetArea();
+                     DrawEllipses(osd);
+                     break;
+       case k2:      Cancel(3);
+                     SetArea();
+                     DrawSlopes(osd);
+                     break;
        case kOk:     return osEnd;
        default: return state;
        }
diff -ruN vdr-1.7.37/PLUGINS/src/pictures/pic2mpg vdr-1.7.38/PLUGINS/src/pictures/pic2mpg
--- vdr-1.7.37/PLUGINS/src/pictures/pic2mpg	2012-01-08 14:27:17.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/pictures/pic2mpg	2013-02-17 14:17:13.000000000 +0100
@@ -7,7 +7,7 @@
 #
 # See the README file for copyright information and how to reach the author.
 #
-# $Id: pic2mpg 2.4 2012/01/08 13:27:17 kls Exp $
+# $Id: pic2mpg 2.5 2013/02/17 13:17:13 kls Exp $
 
 use File::Path;
 use File::Spec;
@@ -37,9 +37,9 @@
 $ListFiles = $Verbose >= 1;
 $Detailed  = $Verbose >= 2;
 
-# Supported picture types:                                                                                                       
+# Supported picture types:
 
-%PICTYPES = (                                                                                                                  
+%PICTYPES = (
   bmp  => 1,
   gif  => 1,
   jpeg => 1,
@@ -135,7 +135,7 @@
   return if (!defined $PICTYPES{$Type});
   my $Exif = ImageInfo($Pict);
   my $Orientation = $$Exif{"Orientation"};
-  my ($Degrees) = $Orientation =~ /Rotate ([0-9]+)/; 
+  my ($Degrees) = $Orientation =~ /Rotate ([0-9]+)/;
   my $Rotate = $Degrees ? "-rotate $Degrees" : "";
   print "orientation = '$Orientation' -> rotation = $Rotate\n" if ($Detailed);
   $Pict = EscapeMeta($Pict);
diff -ruN vdr-1.7.37/PLUGINS/src/pictures/pic2mpg-sd vdr-1.7.38/PLUGINS/src/pictures/pic2mpg-sd
--- vdr-1.7.37/PLUGINS/src/pictures/pic2mpg-sd	2011-08-14 15:43:52.000000000 +0200
+++ vdr-1.7.38/PLUGINS/src/pictures/pic2mpg-sd	2013-02-17 15:05:53.956959961 +0100
@@ -154,7 +154,7 @@
   print "image size is $w x $h\n" if ($Detailed);
   my $Exif = ImageInfo($Pict);
   my $Orientation = $$Exif{"Orientation"};
-  my ($Degrees) = $Orientation =~ /Rotate ([0-9]+) /; 
+  my ($Degrees) = $Orientation =~ /Rotate ([0-9]+) /;
   my $Rotate = "-null";
   $Rotate = "-cw"   if $Degrees eq "90";
   $Rotate = "-ccw"  if $Degrees eq "270";
diff -ruN vdr-1.7.37/PLUGINS/src/servicedemo/svccli.c vdr-1.7.38/PLUGINS/src/servicedemo/svccli.c
--- vdr-1.7.37/PLUGINS/src/servicedemo/svccli.c	2013-01-12 15:13:00.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/servicedemo/svccli.c	2013-02-17 15:10:26.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svccli.c 2.2 2013/01/12 14:13:00 kls Exp $
+ * $Id: svccli.c 2.3 2013/02/17 14:10:26 kls Exp $
  */
 
 #include <stdlib.h>
@@ -32,7 +32,7 @@
   int sum;
   };
 
-// --- cPluginSvcCli ----------------------------------------------------------
+// --- cPluginSvcCli ---------------------------------------------------------
 
 cOsdObject *cPluginSvcCli::MainMenuAction(void)
 {
diff -ruN vdr-1.7.37/PLUGINS/src/servicedemo/svcsvr.c vdr-1.7.38/PLUGINS/src/servicedemo/svcsvr.c
--- vdr-1.7.37/PLUGINS/src/servicedemo/svcsvr.c	2013-01-12 15:13:05.000000000 +0100
+++ vdr-1.7.38/PLUGINS/src/servicedemo/svcsvr.c	2013-02-17 15:10:38.000000000 +0100
@@ -3,7 +3,7 @@
  *
  * See the README file for copyright information and how to reach the author.
  *
- * $Id: svcsvr.c 2.2 2013/01/12 14:13:05 kls Exp $
+ * $Id: svcsvr.c 2.3 2013/02/17 14:10:38 kls Exp $
  */
 
 #include <stdlib.h>
@@ -29,7 +29,7 @@
   int sum;
   };
 
-// --- cPluginSvcSvr ----------------------------------------------------------
+// --- cPluginSvcSvr ---------------------------------------------------------
 
 bool cPluginSvcSvr::Service(const char *Id, void *Data)
 {
diff -ruN vdr-1.7.37/PLUGINS.html vdr-1.7.38/PLUGINS.html
--- vdr-1.7.37/PLUGINS.html	2013-02-03 16:57:12.000000000 +0100
+++ vdr-1.7.38/PLUGINS.html	2013-02-17 14:16:13.000000000 +0100
@@ -575,7 +575,7 @@
 <li><tt>esyslog()</tt> prints the log message only if the log level of vdr is set to 1 or above.
 </ul>
 The output of this log is the syslog of the system vdr is running on.
-The logmessage can be formatted like <tt>printf()</tt>, as in
+The log message can be formatted like <tt>printf()</tt>, as in
 
 <p><table><tr><td class="code"><pre>
 esyslog("pluginname: error #%d has occurred", ErrorNumber);
@@ -918,7 +918,7 @@
 </modified>
 <p>
 <modified>
-Threfore VDR provides the functions
+Therefore VDR provides the functions
 
 <p><table><tr><td class="code"><pre>
 <modified>
@@ -939,7 +939,7 @@
 subdirectory will exist. If, for some reason, this cannot be achieved, <tt>NULL</tt>
 will be returned.
 <modified>
-The behavoir of <tt>CacheDirectory()</tt> and <tt>ResourceDirectory()</tt> is similar.
+The behavior of <tt>CacheDirectory()</tt> and <tt>ResourceDirectory()</tt> is similar.
 </modified>
 <p>
 The additional <tt>plugins</tt> directory is used to keep files from plugins apart
@@ -2025,7 +2025,7 @@
 VDR has builtin facilities that select which device is able to provide a given
 transponder. However, there may be situations where the setup is so special
 that it requires considerations that exceed the scope of the core VDR code.
-This is where <i>device hooks</i> can be used. 
+This is where <i>device hooks</i> can be used.
 
 <p><table><tr><td class="code"><pre>
 class cMyDeviceHook : public cDeviceHook {
diff -ruN vdr-1.7.37/README vdr-1.7.38/README
--- vdr-1.7.37/README	2010-05-16 16:50:16.000000000 +0200
+++ vdr-1.7.38/README	2013-02-17 14:17:21.000000000 +0100
@@ -36,5 +36,5 @@
 and can modify the menus in whatever way desired.
 
 
-"VDR Video Disk Recorder" is a registered trademark of Klaus Schmidinger. 
-"TVDR TV Done Right" is a registered trademark of Klaus Schmidinger. 
+"VDR Video Disk Recorder" is a registered trademark of Klaus Schmidinger.
+"TVDR TV Done Right" is a registered trademark of Klaus Schmidinger.
diff -ruN vdr-1.7.37/UPDATE-2.0.0 vdr-1.7.38/UPDATE-2.0.0
--- vdr-1.7.37/UPDATE-2.0.0	1970-01-01 01:00:00.000000000 +0100
+++ vdr-1.7.38/UPDATE-2.0.0	2013-02-17 14:44:05.000000000 +0100
@@ -0,0 +1,475 @@
+This is a summary of the changes in VDR 2.0.0 since the last stable
+version 1.6.0. It only contains things that are of actual importance
+to the user and doesn't mention the many fixes and improvements that
+have been made "behind the scenes".
+
+See the file HISTORY for a detailed list of all changes.
+
+Satellite Channel Routing:
+
+- VDR now supports "Satellite Channel Routing" (SCR) according to EN50494 (based on
+  the "unicable" patch).
+  Since "Unicable" is a registered trademark and stands for only one of many
+  implementations of SCR, the following changes have been made compared to the patch,
+  which need to be taken into account by people who have set up their system using
+  the patch:
+  - The 'U' parameter in the diseqc.conf file has been changed to 'S' ("Scr").
+  - The configuration file name has been changed from "unicable.conf" to "scr.conf".
+
+Device Bonding:
+
+- The new setup options "LNB/Device n connected to sat cable" can be used to define
+  which DVB-S devices are connected to the same sat cable and are therefore "bonded".
+  This obsoletes the LNBSHARE patch. Users of the LNBSHARE patch will need to newly
+  set up their sat devices with the above options.
+
+Subtitles:
+
+- Implemented handling of HD resolution subtitles according to v1.3.1 of
+  ETSI EN 300 743, chapter 7.2.1.
+- Fixed handling DVB subtitles and implemented decoding textual DVB subtitles.
+
+Plugins:
+
+- Added cDevice::NumProvidedSystems() to PLUGINS.html (was missing since it had
+  been implemented).
+- The 'sky' plugin is no longer part of the VDR source.
+- IMPORTANT NOTE TO PLUGIN AUTHORS: a plugin that implements a derived cDevice
+  class that can replay video must now call the MakePrimaryDevice() function of
+  its base class.
+- Implemented cDeviceHook to allow plugins more control over which device can
+  provide which transponder.
+- Plugins can now define new sources. In order to implement this, the following
+  changes were made:
+  + The transponder parameter string is no longer interpreted by cChannel, but rather
+    stored as is and used only by the respective device. That way plugins can use a
+    channel's parameter string to store arbitrary data (see vdr.5).
+  + The new class cSourceParam can be used by plugins to define new sources, and to
+    implement OSD items that will be used in the channel editor for editing the source
+    specific parameters of a channel (see dvbdevice.c for an example of how this is
+    done for the default DVB devices).
+  + Purely numerical values are no longer accepted in the 'source' parameter of a
+    channel.
+  This obsoletes the PLUGINPARAM patch.
+- The dvbhddevice plugin is now part of the VDR distribution archive.
+- The pic2mpg script of the 'pictures' plugin now generates HD images.
+  The old SD version is still available as pic2mpg-sd.
+- The dvbsddevice plugin now supports the new option --outputonly, which disables
+  receiving on SD FF devices and uses the device only for output.
+- The code for the RCU remote control unit has been moved into a separate plugin
+  named "rcu".
+  The REMOTE=RCU option in the 'make' call for VDR is now obsolete.
+  The command line option --rcu is now obsolete. Use -Prcu instead. If you have
+  used --rcu with a device path, use -P"rcu -d<device>".
+- Removed the obsolete function cEITScanner::UsesDevice(). If a plugin has used this
+  function to find out whether a call to its cStatus::ChannelSwitch() function was
+  due to a live channel switch, it can use that function's new parameter LiveView.
+  Any plugins that implement cStatus::ChannelSwitch() need to add the parameter
+  'bool LiveView' to that function.
+- Added a new plugin interface for implementing EPG handlers.
+  + A plugin can implement an EPG handler by creating an object derived from
+    cEpgHandler and implementing the necessary member functions.
+  + The special handling of events with table id 0x00 has been dropped.
+    For backwards compatibility EPG events with table ids lower than 0x4E will
+    be treated as if they had a table id of 0x4E, and the new plugin 'epgtableid0'
+    can be used to have them handled like in previous versions.
+  + The default table id for a newly created cEvent has been changed to 0xFF,
+    which is higher than any normal table id that is broadcast in the EIT data.
+  See PLUGINS.html, section "Electronic Program Guide" for more information.
+- The cThread constructor now has an additional boolean parameter that can be set to
+  true to have this thread run at a lower priority. Plugin authors that use low
+  priority threads may want to use this instead of the calls to SetPriority(19) and
+  SetIOPriority(7). The priority of a thread ("low" or "high") is now logged when the
+  thread starts.
+- The plugin Makefiles now have a separate 'install' target.
+- Plugin Makefiles now use DESTDIR and the 'install' program.
+- Plugin Makefiles can now include a configuration file for compile time parameters.
+- Plugins that implement an interface to any kind of remote controls shall use the
+  new parameters Setup.RcRepeatDelay and Setup.RcRepeatDelta to allow the user to
+  adjust the behavior of the remote control's repeat function. They shall also
+  remove any setup options they might have that serve the same purpose.
+- Added demos of the DrawEllipse() and DrawSlope() function to the 'osddemo'
+  plugin (press '1' or '2', respectively).
+
+Skins:
+
+- The 'sttng' skin now displays two colored bars at the bottom of the channel display,
+  indicating the strength (upper bar) and quality (lower bar) of the received signal.
+  The number to the left of these bars indicates the actual device the current
+  channel is being received with.
+- Skins can now inquire the menu category for which their cSkinDisplayMenu is currently
+  being used. This can be done either through a call to cSkinDisplayMenu::MenuCategory()
+  or by reimplementing cSkinDisplayMenu::SetMenuCategory(). This information allows a
+  skin to use special icons or decorations for the various types of menus in VDR.
+- The new member function cSkinDisplayReplay::SetRecording() allows a skin to display
+  more information about the currently played recording.
+- The new skin "LCARS" is an enhanced version of the "ST:TNG" skin (which is still
+  there in its original layout, for those who don't like the LCARS skin, or can't use
+  it due to OSD limitations). The LCARS skin utilizes the new "menu category" feature
+  to display additional information on the main menu page. It shows upcoming timers
+  and the system's devices, as well as which device is recording which timers. The
+  upper pane of the main menu displays the programme data in live and replay mode,
+  and a progress bar. An indicator on the right side of the device list shows which
+  device is currently used for live viewing, and whether it is in transfer mode.
+  The individual device displays show the device number, the device type, which CAM
+  (if any ) is currently assigned to the device, and the signal strength and quality.
+  On the left side of the OSD there is a permanent display of the current date and
+  time, the disk usage and the system load.
+  "LCARS" is the new default skin of VDR. It requires at least a 4bpp (16 color) full
+  screen OSD, but you can still operate it if your OSD can handle only fewer colors
+  (in which case you may want to switch to the "ST:TNG" or "Classic VDR" skin).
+- The new functions SetItemEvent(), SetItemTimer(), SetItemChannel() and
+  SetItemRecording() of the cSkinDisplayMenu class can be reimplemented by skin
+  plugins to display these items in a more elaborate way than just a simple line of
+  text.
+
+Remote control:
+
+- Changed the default location for the LIRC socket to /var/run/lirc/lircd.
+- The new setup options "OSD/Color key [0123]" can be used to adjust the sequence
+  of the color buttons displayed in the menus to that of the color keys on your
+  remote control.
+  Authors of plugins that implement skins may want to adapt their SetButtons()
+  function in order to make use of this new feature. See, for instance, the function
+  cSkinClassicDisplayMenu::SetButtons() in skinclassic.c for details.
+- Added user defined key kUser0.
+- The new remote control key "Play/Pause" can be used with remote controls that don't
+  have separate keys for "Play" and "Pause", but rather have a single key for both
+  functions.
+- The new options "Setup/Miscellaneous/Remote control repeat delay" and
+  "Setup/Miscellaneous/Remote control repeat delta" can be used to adjust the
+  behavior of the remote control in case a key is held pressed down for a while, so
+  that the repeat function kicks in.
+
+Devices:
+
+- Re-implemented handling of DVB-S2, which first appeared in version 1.5.14, but was
+  revoked in version 1.5.15 in favor of making a stable version 1.6.0.
+  Note that the channels.conf file now supports additional parameters, so you may
+  want to make sure you have a backup of this file in case you need to go back to
+  the previous version of VDR!
+- cDvbDevice now uses the FE_CAN_2G_MODULATION flag to determine whether a device
+  can handle DVB-S2.
+- The support for full featured DVB cards of the TT/FuSi design has been moved
+  into the new plugin 'dvbsddevice'. On systems that use such a card as their
+  primary device, this plugin now needs to be loaded when running VDR in order
+  to view live or recorded video. If the plugin is not loaded, the card will
+  be treated like a budget DVB card, and there will be no OSD or viewing
+  capability.
+- Added support for DVB cards with multiple fontends. Note that this only
+  works for DVB cards where each frontend can be used independently of all
+  the others on the same adapter.
+- Added support for ATSC devices. This obsoletes the ATSC patch.
+- The new functions cDevice::SignalStrength() and cDevice::SignalQuality() can be
+  used to determine the signal strength and quality of a given device.
+- The new function cDevice::ProvidesEIT() is used to determine whether a device can
+  provide EIT data and will thus be used in cEITScanner::Process() to receive EIT
+  data from the channels it can receive. Note that by default it is assumed that
+  a device can't provide EIT data, and only the builtin cDvbDevice returns true
+  from this function.
+- Added support for devices with more than one delivery system per frontend.
+  This requires a DVB driver with version 5.5 or higher that can handle the
+  DTV_ENUM_DELSYS call. With older drivers it will fall back to one delivery
+  system per frontend.
+- Added support for handling DVB-T2 transponders.  This requires a DVB driver
+  with version 5.3 or higher that can handle the DTV_DVBT2_PLP_ID call (which has
+  been renamed to DTV_STREAM_ID in DVB API 5.8).
+- The DVB device adapters/frontends are now probed by scanning the /dev/dvb directory
+  instead of looping through adapter/frontend numbers. This allows for "holes" in the
+  device numbering.
+- Removed the "PrimaryLimit". Old "full featured" DVB cards can be run with the
+  --outputonly option to avoid problems with recording high bandwidth channels.
+  Besides, with HDTV becoming ever more popular those cards are pretty much obsolete
+  by now (the TT S2-6400 has no problems recording and replaying high bandwidth
+  channels simultaneously). And, last but not least, people using software players
+  won't notice this change, anyway.
+- The new function cDevice::DeviceName() returns a string identifying the name of
+  the given device.
+- The new function cDevice::DeviceType() returns a string identifying the type of
+  the given device.
+- The new function cDevice::ReadFilter() can be used by devices to implement their
+  own way of retrieving section filter data.
+- The new function cDevice::HasInternalCam() can be implemented by devices that
+  provide encrypted channels in an already decrypted form, without requiring explicit
+  handling of a CAM.
+- The new functions cDevice::CanScaleVideo() and cDevice::ScaleVideo() can be used by
+  derived output devices to implement scaling the video to a given size and location.
+
+DiSEqC:
+
+- Added device definitions to the diseqc.conf file format, so that certain satellite
+  positions can be limited to a given list of devices.
+  This obsoletes the SOURCECAPS patch.
+- Transponders that use "8psk turbo fec" (a non-standard mode used by North American
+  providers) are now identified by assuming that all 8psk transponders on DVB-S use
+  "turbo fec".
+
+EPG:
+
+- The epg.data file is now read in a separate thread to make the startup process
+  faster in case the file is very large.
+- Moved cleaning up the EPG data and writing the epg.data file into a separate
+  thread to avoid sluggish response to user input on slow systems
+
+OSD:
+
+- The OSD and font sizes are now defined in percent of the actual video display
+  size. The maximum OSD size has been raised to 1920x1080, to allow full
+  screen OSD on HD systems.
+- The OSD size is now automatically adjusted to the actual video display
+  (provided the output device implements the GetOsdSize() function).
+- The OSD now has full TrueColor support. There can be several "pixmaps" that can
+  be overlayed with alpha blending. All existing skins should work out of the box
+  with the TrueColor OSD - the only exception being cOsd::GetBitmap(). Since the
+  TrueColor OSD doesn't use bitmaps, this function will return a dummy bitmap, which
+  may not be what the plugin expects. As long as this bitmap is only used for setting
+  the palette, there is no problem. However, any other operations on this bitmap will
+  have no effect. See the description of the cPixmap functions in osd.h for details
+  about the new functionalities.
+  The "ST:TNG Panels" skin has been enhanced to automatically use the TrueColor OSD
+  if available.
+  The "osddemo" plugin has been extended to show some of the possibilities of the
+  TrueColor OSD if it is run on a system that actually provides TrueColor support.
+- The Audio and Subtitles options are now available through the Green and Yellow
+  keys in the Setup/DVB menu. This is mainly for remote controls that don't have
+  dedicated keys for these functions.
+- The Recordings menu now displays the length (in hours:minutes) of each recording
+  Note that the "new" indicator has been moved from the recording time to the length
+  column. This new format is also used by the SVDRP command LSTR, so in case you have
+  an application that parses the LSTR output, you will need to adjust it to the new
+  format.
+- The new setup option "Replay/Show remaining time" can be used to switch between
+  showing the total length or the remaining time of the recording that is currently
+  replayed.
+- The replay progress display is now turned on whenever a mark is toggled (not
+  only when one is set).
+- The Green button in the "Edit timer" menu can now be used to toggle between single
+  shot and repeating timers. This is the same as pressing '0' when the "Day" field
+  is selected, but it works at any time (and is more obvious).
+- When estimating the remaining disk space (in hours), the average data rate of all
+  existing recordings is now taken into account. If this value can't be determined,
+  the previous value of 25.75 MB/min is taken.
+- The disk usage is no longer automatically added to the title of the main and
+  "Recordings" menus. This has always been a mekeshift solution and it is now up
+  to the individual skin if, where and how it wants to display this information.
+  A skin can use the new cVideoDiskUsage class to implement such a display. For
+  compatibility, the default skins "Classic VDR", "ST:TNG Panels" and "Text mode"
+  (i.e. curses) have been changed to behave like before. Other skins may want to
+  display the disk usage in totally different ways.
+- A cOsdMenu can now handle skins that display different numbers of items in the
+  various menu categories.
+- OSD and skin are now reinitialized after a plugin setup page has been confirmed,
+  to have them react immediately in case any change to a plugin's setup parameter
+  has an effect on the OSD.
+- Now making sure that the "small font" is never larger than the "osd font".
+- Within the "Recordings" menu, pressing the '0' key now toggles sorting between
+  "by time" and "by name". The selected sort mode is stored separately for each
+  folder (provided you have write access to that folder).
+  If a folder is newly created by a repeating timer, the sort mode for that
+  folder is initially set to "by time".
+- The new setup option "Miscellaneous/Show channel names with source" can be used to
+  turn on adding the source character to channel names whenever they are displayed.
+- Pressing the Play key during normal live viewing mode now opens the Recordings menu
+  if there is no "last viewed" recording.
+  The same behavior has been implemented for the Blue key in the main menu.
+- The new option "Setup/Replay/Progress display time" can be used to activate
+  automatically displaying the progress display whenever replay of a recording is
+  started.
+
+Time Shifting:
+
+- The new setup option "Recording/Pause key handling" can be used to define
+  what happens if the Pause key on the remote control is pressed during
+  live tv.
+- The new setup option "Recording/Delete timeshift recording" controls whether a timeshift
+  recording is automatically deleted after viewing it.
+  This obsoletes the DELTIMESHIFTREC patch.
+  Note that the meaning of the values for this option is different from the DELTIMESHIFTREC
+  patch: 0 means timeshift recordings are not automatically deleted (the default behavior
+  as in previous versions), while 1 means to ask the user whether the recording shall be
+  deleted.
+- The setup parameter "Recording/Instant rec. time (min)" can now be set to '0',
+  which means to record only the currently running event.
+- When pausing live video, the current audio and subtitle tracks are now retained.
+
+Timers:
+
+- The "Edit timer" menu can now set the folder for the recording from a list of
+  folders stored in "folders.conf".
+- The file name in the "Timers" menu now shows only the base name of the recording
+  without the folder path (if any). Otherwise with long folder paths the actual
+  recording name was not visible at all.
+- The new setup option "Folders in timer menu" controls whether the file names in
+  the timer menu are shown with their full folder path.
+
+Recordings:
+
+- The recording format is now TS (Transport Stream).
+  Existing recordings in PES format can still be replayed and edited, but new
+  recordings are done in TS.
+  All code for recording in PES has been removed.
+  The following changes were made to switch to TS recording format:
+  + Since a TS needs to have a PAT/PMT, which requires the video stream type to
+    be explicitly given, the format of the VPID field in the channels.conf file
+    and the SVDRP commands NEWC/MODC/LSTC has been extended. The video stream type
+    now follows the VPID and optional PPID, separated by an '=' sign.
+  + The index file format has been changed to support file sizes of up to 1TB
+    (previously 2GB), and up to 65535 separate files per recording (previously
+    255).
+  + The recording file names are now of the form 00001.ts (previously 001.vdr).
+  + The frame rate is now detected by looking at two subsequent PTS values.
+    The "frames per second" is stored in the "info" file using the new tag F.
+  + The directory name for a recording has been changed from
+    YYYY-MM-DD-hh[.:]mm.pr.lt.rec (pr=priority, lt=lifetime) to
+    YYYY-MM-DD-hh.mm.ch-ri.rec (ch=channel, ri=resumeId).
+    Priority and Lifetime are now stored in the "info" file with the new
+    tags P and L (if no such file exists, the maximum values are assumed by
+    default, which avoids inadvertently deleting a recording if disk space
+    is low). No longer storing Priority and Lifetime in the directory name
+    avoids starting a new recording if one of these is changed in the timer
+    and the recording is re-started for some reason.
+    Instead of Priority and Lifetime, the directory name now contains the
+    channel number from which the recording was made, and the "instance id"
+    this instance of VDR. This avoids problems if several VDR instances record
+    the same show on different channels, or even on the same channel.
+    The '-' between channel number and resumeId prevents older versions of
+    VDR from "seeing" these recordings, which makes sure they won't even try
+    to replay them, or remove them in case the disk runs full.
+  + The files "index", "info", "marks" and "resume" within a TS recording
+    directory are now created without the ".vdr" extension.
+  + The "resume" file is no longer a binary file, but contains tagged lines
+    to be able to store additional information, like the selected audio or
+    subtitle track.
+  + cDvbPlayer::Goto() no longer appends a "sequence end code" to the data.
+    If the output device needs this, it has to take care of it by itself.
+- The index file for TS recordings is now regenerated on-the-fly if a
+  recording is replayed that has no index. This can also be used to
+  re-create a broken index file by manually deleting the index file and then
+  replaying the recording (at least until the index file has been generated).
+- The new command line options --edit and --genindex can be used to edit a
+  recording or generate its index without actually starting the entire VDR.
+- The new command line options --filesize and --split can be used together with --edit
+  to set the maximum video file size and turn on splitting edited files at the editing
+  marks. These options must be given before --edit to have an effect.
+- The start time of an edited recording is now set to the time of the first
+  editing mark.
+  This obsoletes the CUTTIME patch.
+- An ongoing editing process is now canceled if either the original or the edited
+  version of the recording is deleted from the Recordings menu.
+- If a frame position in the 'marks' file of a recording doesn't point to an I-frame,
+  it will now be shifted towards the next I-frame (either up or down, whichever is
+  closer).
+- Editing marks can now be placed directly on top of each other, in which case they
+  simply mark a position, but have no effect on the actual cutting process.
+- When positioned at an offset where two (or more) editing marks are placed on top
+  of each other, the '4' key moves the first one of them to the left, while the '6'
+  key moves the last one of them to the right. The '7' and '9' key handle multiple
+  marks at the same place as if it were one single mark.
+- The '7' and '9' keys now jump to the very beginning or end, respectively, of the
+  recording, even if there is no mark set at that point.
+- The new option "Setup/Replay/Pause on mark set" can be used to activate automatically
+  going into Pause mode if an editing mark is set during replay.
+- Timers no longer do any special "VFAT" handling to shorten directory names to 40
+  characters. When a string is used as a directory name for a recording, the maximum
+  length of the directory path, as well as the individual directory names, is now
+  limited to the values specified by the new command line option --dirnames (see
+  man vdr(1) for details). For backwards compatibility the option --vfat is still
+  available and has the same effect as --dirnames=250,40,1.
+- Improved cutting videos.
+
+SVDRP:
+
+- The SVDRP signon message now indicates the character encoding in use, as in
+  "220 video SVDRP VideoDiskRecorder 1.7.1; Fri May  2 16:17:10 2008; ISO-8859-1".
+  This may be useful for instance for external tools that provide EPG data, so that
+  they can correctly encode the strings.
+- The SVDRP command PUTE now supports reading the EPG data from a given file.
+- After a CLRE command, no further EPG processing is now done for 10 seconds,
+  so that data sent with subsequent PUTE commands doesn't interfere with data
+  from the broadcasters.
+- If svdrphosts.conf contains only the address of the local host, the SVDRP port
+  is opened only for the local host.
+- The default SVDRP port is now 6419 (registered with ICANN/IANA).
+  Use '-p 2001' to switch back to the old port if necessary.
+- The SVDRP command HITK now accepts multiple keys (up to 31).
+- The SVDRP command LSTC now also accepts channel IDs.
+- The new SVDRP command UPDR can be used to trigger an update of the list of
+  recordings.
+- The SVDRP command DELR now won't delete a recording that is currently being edited.
+- The SVDRP command LSTR now knows the additional parameter "path", which can be
+  given to get the actual file name of a recording's directory.
+- The SVDRP command NEWT no longer checks whether a timer with the given data already
+  exists.
+
+Audio:
+
+- Implemented handling the standard component descriptor for AC3 (stream=4).
+  The previously used "Premiere pseudo standard" (stream=2, type=5) still works, but
+  has apparently been wrongfully used by broadcasters from the beginning.
+- Improved fast-forward/-rewind for audio recordings. The actual data is now sent
+  to the output device, so that it can be replayed and thus cause the proper delay.
+  For pure audio recordings the audio is no longer muted in fast-forward/-rewind
+  mode, so that some orientation regarding the position within the recording is
+  possible.
+- The option "Setup/DVB/Use Dolby Digital" now only controls whether Dolby Digital
+  tracks appear in the "Audio" menu. Dolby Digital is always recorded.
+  This obsoletes the DOLBYINREC patch.
+
+Internationalization:
+
+- Added Lithuanian language texts.
+- Added Slovakian language texts.
+- Added Macedonian language texts.
+- Added support for languages that are written right-to-left.
+  See INSTALL for information on how to turn this on.
+- Added Arabian language texts.
+- Added Serbian language texts.
+
+Misc:
+
+- Errors in config files no longer keep VDR from starting.
+- The new command line option -i can be used to set an "instance id", which will
+  be used to distinguish recordings of the same broadcast made by different instances
+  of VDR.
+- Implemented handling the "Parental Rating Descriptor".
+  The 'classic', 'sttng' and 'curses' skins display the parental
+  rating (if given) in their event displays. The epg.data file stores
+  the parental rating using the tag character 'R'.
+  IMPORTANT NOTE: if VDR doesn't display a parental rating, this does not
+  necessarily mean that the given programme is suitable for all audiences!
+- Renamed 'runvdr' to 'runvdr.template' and no longer copying it to the BINDIR
+  in 'make install'.
+- The new setup option "Miscellaneous/Channels wrap" controls whether the current
+  channel wraps around the beginning or end of the channel list when zapping.
+- The files "commands.conf" and "reccmd.conf" can now contain nested lists of
+  commands. See vdr.5 for information about the new file format.
+  This obsoletes the CMDSUBMENU patch.
+- The new setup option "OSD/Number keys for characters" can be used to control whether
+  the number keys can be used to enter characters in a text input field.
+- While replaying, the editing marks are now updated every 10 seconds.
+- Added generating a pkg-config file to the Makefile.
+- Removed the '.pl' suffix from all scripts.
+- The new setup option "DVB/Standard compliance" can be used to switch between different
+  variations of the DVB standard. Currently there is "DVB" (for the original DVB
+  standard) and "ANSI/SCTE", which is used to properly handle certain private stream
+  types.
+- By default VDR is now built according to the FHS ("File system Hierarchy Standard"),
+  and a plain "make" in the VDR source directory just builds everything, but doesn't
+  copy it to ./PLUGINS/lib and ./locale any more. You can use a Make.config file
+  (copied from Make.config.template) and set the parameter LCLBLD=1 to have everything
+  built and installed under the VDR source tree (as was the default in previous
+  versions). If you already have your own Make.config file, you may want to copy the
+  new Make.config.template and adapt it to your needs. If you don't want VDR's data
+  files to be spread around your system according to the FHS, you can set the
+  parameter ONEDIR=1 (using Make.config) to have all files in one /video directory as
+  before.
+- VDR can now be built according to the FHS ("File system Hierarchy Standard") by
+  activating the line
+  #USEFHS = 1
+  in a copy of the file Make.config.template.
+- The script given to VDR with the '-r' option is now also called whenever a
+  recording is deleted.
+- Synchronizing system time to the transponder time is now done using adjtime() in order
+  to avoid discontinuities. If the time difference is more than 10 seconds, stime() is
+  still used to do the initial sync.
+- Implemented scaling of SPU bitmaps.
diff -ruN vdr-1.7.37/channels.conf.terr vdr-1.7.38/channels.conf.terr
--- vdr-1.7.37/channels.conf.terr	2005-01-16 16:54:57.000000000 +0100
+++ vdr-1.7.38/channels.conf.terr	2013-02-11 13:10:31.000000000 +0100
@@ -9,7 +9,6 @@
 bid-up.tv (TV):561833:I0C23D0M64B8T2G32Y0:T:27500:6273:6274:0:0:14272:0:0:0
 CBBC (TV):505833:I0C34D0M16B8T2G32Y0:T:27500:620:621,622:0:0:4671:0:0:0
 Cbeebies (TV):529833:I0C34D0M16B8T2G32Y0:T:27500:201:401,402:0:0:16960:0:0:0
-Ch 14 (TV):481833:I0C23D0M64B8T2G32Y0:T:27500:2840:2841:2843:0:0:8800:0:0
 Ch 32 (TV):537833:I0C34D0M16B8T2G32Y0:T:27500:501:502,504:0:0:25984:0:0:0
 Ch 44 (TV):537833:I0C34D0M16B8T2G32Y0:T:27500:501:502,504:0:0:26048:0:0:0
 Channel 4 (TV):481833:I0C23D0M64B8T2G32Y0:T:27500:2827:2828,2830:0:0:8384:0:0:0
diff -ruN vdr-1.7.37/ci.c vdr-1.7.38/ci.c
--- vdr-1.7.37/ci.c	2012-10-07 13:11:18.000000000 +0200
+++ vdr-1.7.38/ci.c	2013-02-17 14:17:28.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: ci.c 2.10 2012/10/07 11:11:18 kls Exp $
+ * $Id: ci.c 2.12 2013/02/17 13:17:28 kls Exp $
  */
 
 #include "ci.h"
@@ -35,7 +35,7 @@
 
 static const uint8_t *GetLength(const uint8_t *Data, int &Length)
 ///< Gets the length field from the beginning of Data.
-///< \return Returns a pointer to the first byte after the length and
+///< Returns a pointer to the first byte after the length and
 ///< stores the length value in Length.
 {
   Length = *Data++;
@@ -50,7 +50,7 @@
 
 static uint8_t *SetLength(uint8_t *Data, int Length)
 ///< Sets the length field at the beginning of Data.
-///< \return Returns a pointer to the first byte after the length.
+///< Returns a pointer to the first byte after the length.
 {
   uint8_t *p = Data;
   if (Length < 128)
@@ -70,7 +70,7 @@
 
 static char *CopyString(int Length, const uint8_t *Data)
 ///< Copies the string at Data.
-///< \return Returns a pointer to a newly allocated string.
+///< Returns a pointer to a newly allocated string.
 {
   // Some CAMs send funny characters at the beginning of strings.
   // Let's just skip them:
@@ -88,7 +88,7 @@
 
 static char *GetString(int &Length, const uint8_t **Data)
 ///< Gets the string at Data.
-///< \return Returns a pointer to a newly allocated string, or NULL in case of error.
+///< Returns a pointer to a newly allocated string, or NULL in case of error.
 ///< Upon return Length and Data represent the remaining data after the string has been skipped.
 {
   if (Length > 0 && Data && *Data) {
@@ -371,7 +371,7 @@
 
 int cCiSession::GetTag(int &Length, const uint8_t **Data)
 ///< Gets the tag at Data.
-///< \return Returns the actual tag, or AOT_NONE in case of error.
+///< Returns the actual tag, or AOT_NONE in case of error.
 ///< Upon return Length and Data represent the remaining data after the tag has been skipped.
 {
   if (Length >= 3 && Data && *Data) {
@@ -959,7 +959,7 @@
 
 char *cCiMMI::GetText(int &Length, const uint8_t **Data)
 ///< Gets the text at Data.
-///< \return Returns a pointer to a newly allocated string, or NULL in case of error.
+///< Returns a pointer to a newly allocated string, or NULL in case of error.
 ///< Upon return Length and Data represent the remaining data after the text has been skipped.
 {
   int Tag = GetTag(Length, Data);
@@ -1936,7 +1936,7 @@
      for (const int *Dpid = Channel->Dpids(); *Dpid; Dpid++)
          CaPmt.AddPid(*Dpid, STREAM_TYPE_PRIVATE);
      for (const int *Spid = Channel->Spids(); *Spid; Spid++)
-         CaPmt.AddPid(*Spid, STREAM_TYPE_PRIVATE); 
+         CaPmt.AddPid(*Spid, STREAM_TYPE_PRIVATE);
      cas->SendPMT(&CaPmt);
      cTimeMs Timeout(QUERY_REPLY_TIMEOUT);
      do {
diff -ruN vdr-1.7.37/config.c vdr-1.7.38/config.c
--- vdr-1.7.37/config.c	2013-02-05 12:16:08.000000000 +0100
+++ vdr-1.7.38/config.c	2013-02-14 16:14:37.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.c 2.34 2013/02/05 11:16:08 kls Exp $
+ * $Id: config.c 2.35 2013/02/14 15:14:37 kls Exp $
  */
 
 #include "config.h"
@@ -383,7 +383,7 @@
   MenuScrollWrap = 0;
   MenuKeyCloses = 0;
   MarkInstantRecord = 1;
-  strcpy(NameInstantRecord, "TITLE EPISODE");
+  strcpy(NameInstantRecord, TIMERMACRO_TITLE " " TIMERMACRO_EPISODE);
   InstantRecordTime = DEFINSTRECTIME;
   LnbSLOF    = 11700;
   LnbFrequLo =  9750;
diff -ruN vdr-1.7.37/config.h vdr-1.7.38/config.h
--- vdr-1.7.37/config.h	2013-02-05 12:19:20.000000000 +0100
+++ vdr-1.7.38/config.h	2013-02-14 16:13:59.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 2.64 2013/02/05 11:19:20 kls Exp $
+ * $Id: config.h 2.67 2013/02/14 15:13:59 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -22,13 +22,13 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.7.37"
-#define VDRVERSNUM   10737  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.7.38"
+#define VDRVERSNUM   10738  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
-#define APIVERSION  "1.7.37"
-#define APIVERSNUM   10737  // Version * 10000 + Major * 100 + Minor
+#define APIVERSION  "1.7.38"
+#define APIVERSNUM   10738  // Version * 10000 + Major * 100 + Minor
 
 // When loading plugins, VDR searches them by their APIVERSION, which
 // may be smaller than VDRVERSION in case there have been no changes to
@@ -44,6 +44,9 @@
 #define MAXLIFETIME       99
 #define DEFINSTRECTIME    180 // default instant recording time (minutes)
 
+#define TIMERMACRO_TITLE    "TITLE"
+#define TIMERMACRO_EPISODE  "EPISODE"
+
 #define MINOSDWIDTH   480
 #define MAXOSDWIDTH  1920
 #define MINOSDHEIGHT  324
diff -ruN vdr-1.7.37/cutter.c vdr-1.7.38/cutter.c
--- vdr-1.7.37/cutter.c	2013-01-23 11:39:27.000000000 +0100
+++ vdr-1.7.38/cutter.c	2013-02-17 15:11:03.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: cutter.c 2.23 2013/01/23 10:39:27 kls Exp $
+ * $Id: cutter.c 2.24 2013/02/17 14:11:03 kls Exp $
  */
 
 #include "cutter.h"
@@ -104,7 +104,7 @@
      buffers[Pid]->Flush(Data, Length, MaxLength);
 }
 
-// --- cMpeg2Fixer --------------------------------------------------------
+// --- cMpeg2Fixer -----------------------------------------------------------
 
 class cMpeg2Fixer : private cTsPayload {
 private:
diff -ruN vdr-1.7.37/device.c vdr-1.7.38/device.c
--- vdr-1.7.37/device.c	2013-02-01 13:00:09.000000000 +0100
+++ vdr-1.7.38/device.c	2013-02-16 15:39:30.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.c 2.71 2013/02/01 12:00:09 kls Exp $
+ * $Id: device.c 2.73 2013/02/16 14:39:30 kls Exp $
  */
 
 #include "device.h"
@@ -845,12 +845,12 @@
   return false;
 }
 
-bool cDevice::HasLock(int TimeoutMs)
+bool cDevice::HasLock(int TimeoutMs) const
 {
   return true;
 }
 
-bool cDevice::HasProgramme(void)
+bool cDevice::HasProgramme(void) const
 {
   return Replaying() || pidHandles[ptAudio].pid || pidHandles[ptVideo].pid;
 }
@@ -1537,7 +1537,7 @@
 int cDevice::Priority(void) const
 {
   int priority = IDLEPRIORITY;
-  if (IsPrimaryDevice() && !Replaying() && ActualDevice() == PrimaryDevice())
+  if (IsPrimaryDevice() && !Replaying() && HasProgramme())
      priority = TRANSFERPRIORITY; // we use the same value here, no matter whether it's actual Transfer Mode or real live viewing
   cMutexLock MutexLock(&mutexReceiver);
   for (int i = 0; i < MAXRECEIVERS; i++) {
diff -ruN vdr-1.7.37/device.h vdr-1.7.38/device.h
--- vdr-1.7.37/device.h	2013-02-01 12:54:08.000000000 +0100
+++ vdr-1.7.38/device.h	2013-02-16 16:20:01.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: device.h 2.45 2013/02/01 11:54:08 kls Exp $
+ * $Id: device.h 2.47 2013/02/16 15:20:01 kls Exp $
  */
 
 #ifndef __DEVICE_H
@@ -116,7 +116,7 @@
          ///< Waits until all devices have become ready, or the given Timeout
          ///< (seconds) has expired. While waiting, the Ready() function of each
          ///< device is called in turn, until they all return true.
-         ///< \return True if all devices have become ready within the given
+         ///< Returns true if all devices have become ready within the given
          ///< timeout.
   static void SetUseDevice(int n);
          ///< Sets the 'useDevice' flag of the given device.
@@ -127,8 +127,8 @@
          ///< this instance of VDR.
   static bool SetPrimaryDevice(int n);
          ///< Sets the primary device to 'n'.
-         ///< \param n must be in the range 1...numDevices.
-         ///< \return true if this was possible.
+         ///< n must be in the range 1...numDevices.
+         ///< Returns true if this was possible.
   static cDevice *PrimaryDevice(void) { return primaryDevice; }
          ///< Returns the primary device.
   static cDevice *ActualDevice(void);
@@ -136,8 +136,8 @@
          ///< primary device otherwise.
   static cDevice *GetDevice(int Index);
          ///< Gets the device with the given Index.
-         ///< \param Index must be in the range 0..numDevices-1.
-         ///< \return A pointer to the device, or NULL if the Index was invalid.
+         ///< Index must be in the range 0..numDevices-1.
+         ///< Returns a pointer to the device, or NULL if the Index was invalid.
   static cDevice *GetDevice(const cChannel *Channel, int Priority, bool LiveView, bool Query = false);
          ///< Returns a device that is able to receive the given Channel at the
          ///< given Priority, with the least impact on active recordings and
@@ -328,13 +328,13 @@
          ///< after the device has been successfully tuned to the requested transponder.
          ///< Seconds will be silently limited to MAXOCCUPIEDTIMEOUT. Values less than
          ///< 0 will be silently ignored.
-  virtual bool HasLock(int TimeoutMs = 0);
+  virtual bool HasLock(int TimeoutMs = 0) const;
          ///< Returns true if the device has a lock on the requested transponder.
          ///< Default is true, a specific device implementation may return false
          ///< to indicate that it is not ready yet.
          ///< If TimeoutMs is not zero, waits for the given number of milliseconds
          ///< before returning false.
-  virtual bool HasProgramme(void);
+  virtual bool HasProgramme(void) const;
          ///< Returns true if the device is currently showing any programme to
          ///< the user, either through replaying or live.
 
@@ -432,19 +432,19 @@
 public:
   virtual uchar *GrabImage(int &Size, bool Jpeg = true, int Quality = -1, int SizeX = -1, int SizeY = -1);
          ///< Grabs the currently visible screen image.
-         ///< \param Size The size of the returned data block.
-         ///< \param Jpeg If true will write a JPEG file. Otherwise a PNM file will be written.
-         ///< \param Quality The compression factor for JPEG. 1 will create a very blocky
-         ///<        and small image, 70..80 will yield reasonable quality images while keeping the
-         ///<        image file size around 50 KB for a full frame. The default will create a big
-         ///<        but very high quality image.
-         ///< \param SizeX The number of horizontal pixels in the frame (default is the current screen width).
-         ///< \param SizeY The number of vertical pixels in the frame (default is the current screen height).
-         ///< \return A pointer to the grabbed image data, or NULL in case of an error.
+         ///< Size is the size of the returned data block.
+         ///< If Jpeg is true it will write a JPEG file. Otherwise a PNM file will be written.
+         ///< Quality is the compression factor for JPEG. 1 will create a very blocky
+         ///< and small image, 70..80 will yield reasonable quality images while keeping the
+         ///< image file size around 50 KB for a full frame. The default will create a big
+         ///< but very high quality image.
+         ///< SizeX is the number of horizontal pixels in the frame (default is the current screen width).
+         ///< SizeY is the number of vertical pixels in the frame (default is the current screen height).
+         ///< Returns a pointer to the grabbed image data, or NULL in case of an error.
          ///< The caller takes ownership of the returned memory and must free() it once it isn't needed any more.
   bool GrabImageFile(const char *FileName, bool Jpeg = true, int Quality = -1, int SizeX = -1, int SizeY = -1);
          ///< Calls GrabImage() and stores the resulting image in a file with the given name.
-         ///< \return True if all went well.
+         ///< Returns true if all went well.
          ///< The caller is responsible for making sure that the given file name
          ///< doesn't lead to overwriting any important other file.
 
@@ -509,7 +509,7 @@
        ///< Index tells which track of the given basic type is meant.
        ///< If Id is 0 any existing id will be left untouched and only the
        ///< given Language and Description will be set.
-       ///< \return Returns true if the track was set correctly, false otherwise.
+       ///< Returns true if the track was set correctly, false otherwise.
   const tTrackId *GetTrack(eTrackType Type);
        ///< Returns a pointer to the given track id, or NULL if Type is not
        ///< less than ttMaxTrackTypes.
@@ -525,14 +525,14 @@
   eTrackType GetCurrentAudioTrack(void) const { return currentAudioTrack; }
   bool SetCurrentAudioTrack(eTrackType Type);
        ///< Sets the current audio track to the given Type.
-       ///< \return Returns true if Type is a valid audio track, false otherwise.
+       ///< Returns true if Type is a valid audio track, false otherwise.
   eTrackType GetCurrentSubtitleTrack(void) const { return currentSubtitleTrack; }
   bool SetCurrentSubtitleTrack(eTrackType Type, bool Manual = false);
        ///< Sets the current subtitle track to the given Type.
        ///< IF Manual is true, no automatic preferred subtitle language selection
        ///< will be done for the rest of the current replay session, or until
        ///< the channel is changed.
-       ///< \return Returns true if Type is a valid subtitle track, false otherwise.
+       ///< Returns true if Type is a valid subtitle track, false otherwise.
   void EnsureAudioTrack(bool Force = false);
        ///< Makes sure an audio track is selected that is actually available.
        ///< If Force is true, the language and Dolby Digital settings will
@@ -593,13 +593,13 @@
        ///< Returns true if this device can currently start a replay session.
   virtual bool SetPlayMode(ePlayMode PlayMode);
        ///< Sets the device into the given play mode.
-       ///< \return true if the operation was successful.
+       ///< Returns true if the operation was successful.
   virtual int PlayVideo(const uchar *Data, int Length);
        ///< Plays the given data block as video.
        ///< Data points to exactly one complete PES packet of the given Length.
        ///< PlayVideo() shall process the packet either as a whole (returning
        ///< Length) or not at all (returning 0 or -1 and setting 'errno' accordingly).
-       ///< \return Returns the number of bytes actually taken from Data, or -1
+       ///< Returns the number of bytes actually taken from Data, or -1
        ///< in case of an error.
   virtual int PlayAudio(const uchar *Data, int Length, uchar Id);
        ///< Plays the given data block as audio.
@@ -607,14 +607,14 @@
        ///< Id indicates the type of audio data this packet holds.
        ///< PlayAudio() shall process the packet either as a whole (returning
        ///< Length) or not at all (returning 0 or -1 and setting 'errno' accordingly).
-       ///< \return Returns the number of bytes actually taken from Data, or -1
+       ///< Returns the number of bytes actually taken from Data, or -1
        ///< in case of an error.
   virtual int PlaySubtitle(const uchar *Data, int Length);
        ///< Plays the given data block as a subtitle.
        ///< Data points to exactly one complete PES packet of the given Length.
        ///< PlaySubtitle() shall process the packet either as a whole (returning
        ///< Length) or not at all (returning 0 or -1 and setting 'errno' accordingly).
-       ///< \return Returns the number of bytes actually taken from Data, or -1
+       ///< Returns the number of bytes actually taken from Data, or -1
        ///< in case of an error.
   virtual int PlayPesPacket(const uchar *Data, int Length, bool VideoOnly = false);
        ///< Plays the single PES packet in Data with the given Length.
@@ -658,7 +658,7 @@
        ///< Only the lower 32 bit of this value are actually used, since some
        ///< devices can't handle the msb correctly.
   virtual bool IsPlayingVideo(void) const { return isPlayingVideo; }
-       ///< \return Returns true if the currently attached player has delivered
+       ///< Returns true if the currently attached player has delivered
        ///< any video packets.
   virtual cRect CanScaleVideo(const cRect &Rect, int Alignment = taCenter) { return cRect::Null; }
        ///< Asks the output device whether it can scale the currently shown video in
diff -ruN vdr-1.7.37/dvbdevice.c vdr-1.7.38/dvbdevice.c
--- vdr-1.7.37/dvbdevice.c	2012-12-30 14:08:41.000000000 +0100
+++ vdr-1.7.38/dvbdevice.c	2013-02-17 14:17:33.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.c 2.77 2012/12/30 13:08:41 kls Exp $
+ * $Id: dvbdevice.c 2.80 2013/02/17 13:17:33 kls Exp $
  */
 
 #include "dvbdevice.h"
@@ -583,15 +583,13 @@
      while (1) {
            if (ioctl(fd_frontend, FE_READ_SNR, &Snr) != -1)
               break;
-           if (errno == EOPNOTSUPP) {
+           if (errno != EINTR) {
               Snr = 0xFFFF;
 #ifdef DEBUG_SIGNALQUALITY
               HasSnr = false;
 #endif
               break;
               }
-           if (errno != EINTR)
-              return -1;
            }
 #ifdef DEBUG_SIGNALQUALITY
      bool HasBer = true;
@@ -600,15 +598,13 @@
      while (1) {
            if (ioctl(fd_frontend, FE_READ_BER, &Ber) != -1)
               break;
-           if (errno == EOPNOTSUPP) {
+           if (errno != EINTR) {
               Ber = 0;
 #ifdef DEBUG_SIGNALQUALITY
               HasBer = false;
 #endif
               break;
               }
-           if (errno != EINTR)
-              return -1;
            }
 #ifdef DEBUG_SIGNALQUALITY
      bool HasUnc = true;
@@ -617,15 +613,13 @@
      while (1) {
            if (ioctl(fd_frontend, FE_READ_UNCORRECTED_BLOCKS, &Unc) != -1)
               break;
-           if (errno == EOPNOTSUPP) {
+           if (errno != EINTR) {
               Unc = 0;
 #ifdef DEBUG_SIGNALQUALITY
               HasUnc = false;
 #endif
               break;
               }
-           if (errno != EINTR)
-              return -1;
            }
      uint16_t MaxSnr = 0xFFFF; // Let's assume the default is using the entire range.
      // Use the subsystemId to identify individual devices in case they need
@@ -665,7 +659,7 @@
      }
   static cMutex Mutex;
   if (Diseqc->IsScr())
-     Mutex.Lock(); 
+     Mutex.Lock();
   struct dvb_diseqc_master_cmd cmd;
   const char *CurrentAction = NULL;
   for (;;) {
@@ -687,7 +681,7 @@
   if (scr)
      ResetToneAndVoltage(); // makes sure we don't block the bus!
   if (Diseqc->IsScr())
-     Mutex.Unlock(); 
+     Mutex.Unlock();
 }
 
 void cDvbTuner::ResetToneAndVoltage(void)
@@ -1541,7 +1535,7 @@
   return true;
 }
 
-bool cDvbDevice::HasLock(int TimeoutMs)
+bool cDvbDevice::HasLock(int TimeoutMs) const
 {
   return dvbTuner ? dvbTuner->Locked(TimeoutMs) : false;
 }
diff -ruN vdr-1.7.37/dvbdevice.h vdr-1.7.38/dvbdevice.h
--- vdr-1.7.37/dvbdevice.h	2012-03-31 13:13:31.000000000 +0200
+++ vdr-1.7.38/dvbdevice.h	2013-02-16 16:20:17.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.h 2.26 2012/03/31 11:13:31 kls Exp $
+ * $Id: dvbdevice.h 2.28 2013/02/16 15:20:17 kls Exp $
  */
 
 #ifndef __DVBDEVICE_H
@@ -119,7 +119,7 @@
   static bool Initialize(void);
          ///< Initializes the DVB devices.
          ///< Must be called before accessing any DVB functions.
-         ///< \return True if any devices are available.
+         ///< Returns true if any devices are available.
 protected:
   int adapter, frontend;
 private:
@@ -192,7 +192,7 @@
 protected:
   virtual bool SetChannelDevice(const cChannel *Channel, bool LiveView);
 public:
-  virtual bool HasLock(int TimeoutMs = 0);
+  virtual bool HasLock(int TimeoutMs = 0) const;
 
 // PID handle facilities
 
diff -ruN vdr-1.7.37/dvbplayer.c vdr-1.7.38/dvbplayer.c
--- vdr-1.7.37/dvbplayer.c	2013-01-27 15:03:16.000000000 +0100
+++ vdr-1.7.38/dvbplayer.c	2013-02-12 11:50:10.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbplayer.c 2.29 2013/01/27 14:03:16 kls Exp $
+ * $Id: dvbplayer.c 2.30 2013/02/12 10:50:10 kls Exp $
  */
 
 #include "dvbplayer.h"
@@ -576,7 +576,7 @@
           if (eof || SwitchToPlayFrame) {
              bool SwitchToPlay = false;
              uint32_t Stc = DeviceGetSTC();
-             if (Stc != LastStc)
+             if (Stc != LastStc || playMode == pmPause)
                 StuckAtEof = 0;
              else if (!StuckAtEof)
                 StuckAtEof = time(NULL);
diff -ruN vdr-1.7.37/dvbsubtitle.c vdr-1.7.38/dvbsubtitle.c
--- vdr-1.7.37/dvbsubtitle.c	2012-05-08 10:17:17.000000000 +0200
+++ vdr-1.7.38/dvbsubtitle.c	2013-02-17 14:17:38.000000000 +0100
@@ -7,7 +7,7 @@
  * Original author: Marco Schluessler <marco@lordzodiac.de>
  * With some input from the "subtitle plugin" by Pekka Virtanen <pekka.virtanen@sci.fi>
  *
- * $Id: dvbsubtitle.c 2.32 2012/05/08 08:17:17 kls Exp $
+ * $Id: dvbsubtitle.c 2.33 2013/02/17 13:17:38 kls Exp $
  */
 
 
@@ -1283,7 +1283,7 @@
         }
   cDvbSubtitleBitmaps *Bitmaps = new cDvbSubtitleBitmaps(Page->Pts(), Page->Timeout(), Areas, NumAreas, osdFactorX, osdFactorY);
   bitmaps->Add(Bitmaps);
-  for (int i = 0; i < NumAreas; i++) { 
+  for (int i = 0; i < NumAreas; i++) {
       cSubtitleRegion *sr = Page->regions.Get(i);
       cSubtitleClut *clut = Page->GetClutById(sr->ClutId());
       if (!clut)
diff -ruN vdr-1.7.37/epg.c vdr-1.7.38/epg.c
--- vdr-1.7.37/epg.c	2012-10-04 14:21:24.000000000 +0200
+++ vdr-1.7.38/epg.c	2013-02-17 15:12:07.000000000 +0100
@@ -7,7 +7,7 @@
  * Original version (as used in VDR before 1.3.0) written by
  * Robert Schneider <Robert.Schneider@web.de> and Rolf Hakenes <hakenes@hippomi.de>.
  *
- * $Id: epg.c 2.22 2012/10/04 12:21:24 kls Exp $
+ * $Id: epg.c 2.23 2013/02/17 14:12:07 kls Exp $
  */
 
 #include "epg.h"
@@ -1135,7 +1135,7 @@
   return false;
 }
 
-// --- cEpgDataWriter ---------------------------------------------------------
+// --- cEpgDataWriter --------------------------------------------------------
 
 class cEpgDataWriter : public cThread {
 private:
diff -ruN vdr-1.7.37/font.h vdr-1.7.38/font.h
--- vdr-1.7.37/font.h	2011-12-04 14:38:17.000000000 +0100
+++ vdr-1.7.38/font.h	2013-02-17 14:17:42.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: font.h 2.6 2011/12/04 13:38:17 kls Exp $
+ * $Id: font.h 2.7 2013/02/17 13:17:42 kls Exp $
  */
 
 #ifndef __FONT_H
@@ -43,7 +43,7 @@
           ///< Returns the font name.
   virtual int Size(void) const { return Height(); }
           ///< Returns the original size as requested when the font was created.
-          ///< This may be different than the actual height. 
+          ///< This may be different than the actual height.
   virtual int Width(uint c) const = 0;
           ///< Returns the width of the given character in pixel.
   virtual int Width(const char *s) const = 0;
diff -ruN vdr-1.7.37/lirc.c vdr-1.7.38/lirc.c
--- vdr-1.7.37/lirc.c	2013-02-03 12:23:18.000000000 +0100
+++ vdr-1.7.38/lirc.c	2013-02-11 16:25:42.000000000 +0100
@@ -6,7 +6,7 @@
  *
  * LIRC support added by Carsten Koch <Carsten.Koch@icem.de>  2000-06-16.
  *
- * $Id: lirc.c 2.4 2013/02/03 11:23:18 kls Exp $
+ * $Id: lirc.c 2.5 2013/02/11 15:25:42 kls Exp $
  */
 
 #include "lirc.h"
@@ -114,9 +114,10 @@
               repeat = true;
               timeout = Delta * 10 / 9;
               }
-           if (pressed)
+           if (pressed) {
               LastTime.Set();
               Put(KeyName, repeat);
+              }
            }
         else if (pressed && repeat) { // the last one was a repeat, so let's generate a release
            Put(LastKeyName, false, true);
diff -ruN vdr-1.7.37/menu.c vdr-1.7.38/menu.c
--- vdr-1.7.37/menu.c	2013-02-02 15:00:39.000000000 +0100
+++ vdr-1.7.38/menu.c	2013-02-17 14:17:49.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menu.c 2.76 2013/02/02 14:00:39 kls Exp $
+ * $Id: menu.c 2.79 2013/02/17 13:17:49 kls Exp $
  */
 
 #include "menu.h"
@@ -2306,8 +2306,10 @@
             if (CurrentRecording && strcmp(CurrentRecording, recording->FileName()) == 0)
                SetCurrent(LastItem);
             }
-         if (LastDir)
+         if (LastDir) {
             LastDir->IncrementCounter(recording->IsNew());
+            LastItem = LastDir;
+            }
          }
       }
   if (Refresh)
@@ -2809,7 +2811,7 @@
   standardComplianceTexts[1] = "ANSI/SCTE";
 
   SetSection(tr("DVB"));
-  SetHelp(NULL, tr("Button$Audio"), tr("Button$Subtitles"), NULL); 
+  SetHelp(NULL, tr("Button$Audio"), tr("Button$Subtitles"), NULL);
   Setup();
 }
 
@@ -2863,7 +2865,7 @@
        case kYellow: cRemote::Put(kSubtitles, true);
                      state = osEnd;
                      break;
-       default: { 
+       default: {
             bool DoSetup = data.VideoFormat != newVideoFormat;
             DoSetup |= data.DisplaySubtitles != newDisplaySubtitles;
             if (numAudioLanguages != oldnumAudioLanguages) {
@@ -4763,9 +4765,8 @@
 {
   int Current, Total;
   if (GetIndex(Current, Total, true)) {
-     cMark *m = marks.Get(Current);
      lastCurrent = -1; // triggers redisplay
-     if (m)
+     if (cMark *m = marks.Get(Current))
         marks.Del(m);
      else {
         marks.Add(Current);
@@ -4784,8 +4785,7 @@
   int Current, Total;
   if (GetIndex(Current, Total)) {
      if (marks.Count()) {
-        cMark *m = Forward ? marks.GetNext(Current) : marks.GetPrev(Current);
-        if (m) {
+        if (cMark *m = Forward ? marks.GetNext(Current) : marks.GetPrev(Current)) {
            Goto(m->Position(), true);
            displayFrames = true;
            return;
@@ -4801,8 +4801,7 @@
 {
   int Current, Total;
   if (GetIndex(Current, Total)) {
-     cMark *m = marks.Get(Current);
-     if (m) {
+     if (cMark *m = marks.Get(Current)) {
         displayFrames = true;
         int p = SkipFrames(Forward ? 1 : -1);
         cMark *m2;
@@ -4878,7 +4877,7 @@
 {
   if (!Active())
      return osEnd;
-  if (Key == kNone)
+  if (Key == kNone && !marksModified)
      marks.Update();
   if (visible) {
      if (timeoutShow && time(NULL) > timeoutShow) {
@@ -4962,7 +4961,7 @@
                            else
                               Show();
                            break;
-            case kBack:    if (Setup.DelTimeshiftRec) { 
+            case kBack:    if (Setup.DelTimeshiftRec) {
                               cRecordControl* rc = cRecordControls::GetRecordControl(fileName);
                               return rc && rc->InstantId() ? osEnd : osRecordings;
                               }
diff -ruN vdr-1.7.37/menuitems.c vdr-1.7.38/menuitems.c
--- vdr-1.7.37/menuitems.c	2012-12-23 14:44:05.000000000 +0100
+++ vdr-1.7.38/menuitems.c	2013-02-15 15:20:29.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: menuitems.c 2.15 2012/12/23 13:44:05 kls Exp $
+ * $Id: menuitems.c 2.16 2013/02/15 14:20:29 kls Exp $
  */
 
 #include "menuitems.h"
@@ -759,7 +759,7 @@
      snprintf(buf, sizeof(buf), "%d %s", *value, channel ? channel->Name() : "");
      SetValue(buf);
      if (channelID)
-        *channelID = channel->GetChannelID().ToString();
+        *channelID = channel ? channel->GetChannelID().ToString() : "";
      }
   else if (noneString) {
      SetValue(noneString);
diff -ruN vdr-1.7.37/osd.c vdr-1.7.38/osd.c
--- vdr-1.7.37/osd.c	2013-02-08 11:16:47.000000000 +0100
+++ vdr-1.7.38/osd.c	2013-02-14 16:50:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.c 2.35 2013/02/08 10:16:47 kls Exp $
+ * $Id: osd.c 2.38 2013/02/14 15:50:19 kls Exp $
  */
 
 #include "osd.h"
@@ -1699,7 +1699,7 @@
 
 void cOsd::DestroyPixmap(cPixmap *Pixmap)
 {
-  if (isTrueColor) {
+  if (Pixmap) {
      LOCK_PIXMAPS;
      for (int i = 1; i < pixmaps.Size(); i++) { // begin at 1 - don't let the background pixmap be destroyed!
          if (pixmaps[i] == Pixmap) {
@@ -1803,6 +1803,10 @@
   if (Result == oeOk) {
      while (numBitmaps)
            delete bitmaps[--numBitmaps];
+     for (int i = 0; i < pixmaps.Size(); i++) {
+         delete pixmaps[i];
+         pixmaps[i] = NULL;
+         }
      width = height = 0;
      isTrueColor = NumAreas == 1 && Areas[0].bpp == 32;
      if (isTrueColor) {
@@ -2053,7 +2057,7 @@
 {
   if (osdProvider)
      return osdProvider->StoreImageData(Image);
-  return -1;
+  return 0;
 }
 
 void cOsdProvider::DropImage(int ImageHandle)
diff -ruN vdr-1.7.37/osd.h vdr-1.7.38/osd.h
--- vdr-1.7.37/osd.h	2013-02-08 10:47:56.000000000 +0100
+++ vdr-1.7.38/osd.h	2013-02-12 14:39:08.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.h 2.19 2013/02/08 09:47:56 kls Exp $
+ * $Id: osd.h 2.20 2013/02/12 13:39:08 kls Exp $
  */
 
 #ifndef __OSD_H
@@ -253,7 +253,7 @@
        ///< 0       draws the entire ellipse
        ///< 1..4    draws only the first, second, third or fourth quadrant, respectively
        ///< 5..8    draws the right, top, left or bottom half, respectively
-       ///< -1..-8  draws the inverted part of the given quadrant(s)
+       ///< -1..-4  draws the inverted part of the given quadrant
        ///< If Quadrants is not 0, the coordinates are those of the actual area, not
        ///< the full circle!
   void DrawSlope(int x1, int y1, int x2, int y2, tColor Color, int Type);
@@ -624,7 +624,7 @@
        ///< 0       draws the entire ellipse
        ///< 1..4    draws only the first, second, third or fourth quadrant, respectively
        ///< 5..8    draws the right, top, left or bottom half, respectively
-       ///< -1..-8  draws the inverted part of the given quadrant(s)
+       ///< -1..-4  draws the inverted part of the given quadrant
        ///< If Quadrants is not 0, the coordinates are those of the actual area, not
        ///< the full circle!
   virtual void DrawSlope(const cRect &Rect, tColor Color, int Type) = 0;
@@ -897,7 +897,7 @@
        ///< 0       draws the entire ellipse
        ///< 1..4    draws only the first, second, third or fourth quadrant, respectively
        ///< 5..8    draws the right, top, left or bottom half, respectively
-       ///< -1..-8  draws the inverted part of the given quadrant(s)
+       ///< -1..-4  draws the inverted part of the given quadrant
        ///< If Quadrants is not 0, the coordinates are those of the actual area, not
        ///< the full circle!
   virtual void DrawSlope(int x1, int y1, int x2, int y2, tColor Color, int Type);
diff -ruN vdr-1.7.37/pat.h vdr-1.7.38/pat.h
--- vdr-1.7.37/pat.h	2011-12-04 14:38:17.000000000 +0100
+++ vdr-1.7.38/pat.h	2013-02-16 16:20:24.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: pat.h 2.2 2011/12/04 13:38:17 kls Exp $
+ * $Id: pat.h 2.3 2013/02/16 15:20:24 kls Exp $
  */
 
 #ifndef __PAT_H
@@ -37,7 +37,7 @@
          ///< Copies all available CA descriptors for the given Source, Transponder and ServiceId
          ///< into the provided buffer at Data (at most BufSize bytes). Only those CA descriptors
          ///< are copied that match one of the given CA system IDs.
-         ///< \return Returns the number of bytes copied into Data (0 if no CA descriptors are
+         ///< Returns the number of bytes copied into Data (0 if no CA descriptors are
          ///< available), or -1 if BufSize was too small to hold all CA descriptors.
          ///< The return value tells whether these CA descriptors are to be used
          ///< for the individual streams.
diff -ruN vdr-1.7.37/po/et_EE.po vdr-1.7.38/po/et_EE.po
--- vdr-1.7.37/po/et_EE.po	2013-02-09 14:56:59.726763373 +0100
+++ vdr-1.7.38/po/et_EE.po	2013-02-10 12:06:29.000000000 +0100
@@ -1,7 +1,7 @@
 # VDR language source file.
 # Copyright (C) 2008 Klaus Schmidinger <kls@tvdr.de>
 # This file is distributed under the same license as the VDR package.
-# Arthur Konovalov <artlov@gmail.com>, 2004-2010
+# Arthur Konovalov <artlov@gmail.com>, 2004-2013
 #
 msgid ""
 msgstr ""
@@ -1129,10 +1129,10 @@
 msgstr "Kanali sisestamise ajalimiit (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Kaugjuhtimispuldi kordamise viide (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Kaugjuhtimispuldi kordamise delta (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Kanal käivitamisel"
diff -ruN vdr-1.7.37/po/fr_FR.po vdr-1.7.38/po/fr_FR.po
--- vdr-1.7.37/po/fr_FR.po	2013-02-09 14:57:00.234854568 +0100
+++ vdr-1.7.38/po/fr_FR.po	2013-02-16 14:13:53.000000000 +0100
@@ -8,34 +8,38 @@
 # Pierre Briec <pbriec@free.fr>, 2006
 # Bruno Roussel <bruno.roussel@free.fr>, 2007
 # Michael Nival <mnival@club-internet.fr>, 2007
+# Marc Perrudin <vdr@ekass.net>, 2013
+# Bernard Jaulin <bernard.jaulin@gmail.com>, 2013
+# Peter Münster <pmlists@free.fr>, 2013
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: VDR 1.6.0\n"
+"Project-Id-Version: VDR 1.7.37\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@tvdr.de>\n"
 "POT-Creation-Date: 2013-02-03 16:46+0100\n"
-"PO-Revision-Date: 2008-02-27 18:14+0100\n"
-"Last-Translator: Jean-Claude Repetto <jc@repetto.org>\n"
+"PO-Revision-Date: 2013-02-15 13:26+0100\n"
+"Last-Translator: Bernard Jaulin <bernard.jaulin@gmail.com>\n"
 "Language-Team: French <vdr@linuxtv.org>\n"
 "Language: fr\n"
 "MIME-Version: 1.0\n"
-"Content-Type: text/plain; charset=ISO-8859-1\n"
+"Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.5\n"
 
 msgid "*** Invalid Channel ***"
-msgstr "*** Chane invalide ! ***"
+msgstr "*** Chaîne invalide ! ***"
 
 msgid "Channel not available!"
-msgstr "Chane non disponible !"
+msgstr "Chaîne non disponible !"
 
 msgid "Can't start Transfer Mode!"
 msgstr "Impossible d'utiliser le mode transfert !"
 
 msgid "off"
-msgstr "off"
+msgstr "inactive"
 
 msgid "on"
-msgstr ""
+msgstr "active"
 
 msgid "auto"
 msgstr "auto"
@@ -47,10 +51,10 @@
 msgstr "Polarisation"
 
 msgid "System"
-msgstr ""
+msgstr "Système"
 
 msgid "Srate"
-msgstr "Frq. symbole"
+msgstr "Srate"
 
 msgid "Inversion"
 msgstr "Inversion"
@@ -74,287 +78,287 @@
 msgstr "Intervalle de garde"
 
 msgid "Hierarchy"
-msgstr "Hirarchie"
+msgstr "Hiérarchie"
 
 msgid "Rolloff"
-msgstr ""
+msgstr "Rolloff"
 
 msgid "PlpId"
-msgstr ""
+msgstr "PlpId"
 
 msgid "Starting EPG scan"
-msgstr "Mise  jour du guide des programmes"
+msgstr "Mise à jour du guide des programmes"
 
 msgid "Content$Movie/Drama"
-msgstr ""
+msgstr "Film/Drame"
 
 msgid "Content$Detective/Thriller"
-msgstr ""
+msgstr "Policier/Suspense"
 
 msgid "Content$Adventure/Western/War"
-msgstr ""
+msgstr "Aventure/Western/Guerre"
 
 msgid "Content$Science Fiction/Fantasy/Horror"
-msgstr ""
+msgstr "Science Fiction/Fantaisie/Horreur"
 
 msgid "Content$Comedy"
-msgstr ""
+msgstr "Comédie"
 
 msgid "Content$Soap/Melodrama/Folkloric"
-msgstr ""
+msgstr "Soap/Mélodrame/Folklorique"
 
 msgid "Content$Romance"
-msgstr ""
+msgstr "Romance"
 
 msgid "Content$Serious/Classical/Religious/Historical Movie/Drama"
-msgstr ""
+msgstr "Sérieux/Classique/Religieux/Film Historique/Drame"
 
 msgid "Content$Adult Movie/Drama"
-msgstr ""
+msgstr "Film pour adultes/Drame"
 
 msgid "Content$News/Current Affairs"
-msgstr ""
+msgstr "Informations/Actualités"
 
 msgid "Content$News/Weather Report"
-msgstr ""
+msgstr "Informations/Météo"
 
 msgid "Content$News Magazine"
-msgstr ""
+msgstr "Magazine d'information"
 
 msgid "Content$Documentary"
-msgstr ""
+msgstr "Documentaire"
 
 msgid "Content$Discussion/Inverview/Debate"
-msgstr ""
+msgstr "Discussion/Interview/Débat"
 
 msgid "Content$Show/Game Show"
-msgstr ""
+msgstr "Spectacle/Jeu Télévision"
 
 msgid "Content$Game Show/Quiz/Contest"
-msgstr ""
+msgstr "Jeu Télévisé/Quiz/Concours"
 
 msgid "Content$Variety Show"
-msgstr ""
+msgstr "Spectacle de variétés"
 
 msgid "Content$Talk Show"
-msgstr ""
+msgstr "Débat télévisé"
 
 msgid "Content$Sports"
-msgstr ""
+msgstr "Sports"
 
 msgid "Content$Special Event"
-msgstr ""
+msgstr "Évènement spécial"
 
 msgid "Content$Sport Magazine"
-msgstr ""
+msgstr "Magazine sportif"
 
 msgid "Content$Football/Soccer"
-msgstr ""
+msgstr "Football/Foot"
 
 msgid "Content$Tennis/Squash"
-msgstr ""
+msgstr "Tennis/Squash"
 
 msgid "Content$Team Sports"
-msgstr ""
+msgstr "Sports d'équipe"
 
 msgid "Content$Athletics"
-msgstr ""
+msgstr "Athlétisme"
 
 msgid "Content$Motor Sport"
-msgstr ""
+msgstr "Sports mécaniques"
 
 msgid "Content$Water Sport"
-msgstr ""
+msgstr "Sports nautiques"
 
 msgid "Content$Winter Sports"
-msgstr ""
+msgstr "Sports d'hiver"
 
 msgid "Content$Equestrian"
-msgstr ""
+msgstr "Équitation"
 
 msgid "Content$Martial Sports"
-msgstr ""
+msgstr "Sports de combat"
 
 msgid "Content$Children's/Youth Programme"
-msgstr ""
+msgstr "Enfant/Programme jeunesse"
 
 msgid "Content$Pre-school Children's Programme"
-msgstr ""
+msgstr "Programme pour enfants de maternelle"
 
 msgid "Content$Entertainment Programme for 6 to 14"
-msgstr ""
+msgstr "Programme de divertissement pour les 6-14 ans"
 
 msgid "Content$Entertainment Programme for 10 to 16"
-msgstr ""
+msgstr "Programme de divertissement pour les 10-16 ans"
 
 msgid "Content$Informational/Educational/School Programme"
-msgstr ""
+msgstr "Informationnel/Éducatif/Programme Scolaire "
 
 msgid "Content$Cartoons/Puppets"
-msgstr ""
+msgstr "Dessins animés/Marionnettes"
 
 msgid "Content$Music/Ballet/Dance"
-msgstr ""
+msgstr "Musique/Ballet/Danse"
 
 msgid "Content$Rock/Pop"
-msgstr ""
+msgstr "Rock/Pop"
 
 msgid "Content$Serious/Classical Music"
-msgstr ""
+msgstr "Sérieux/Musique Classique"
 
 msgid "Content$Folk/Tradional Music"
-msgstr ""
+msgstr "Folk/Musique Traditionnelle"
 
 msgid "Content$Jazz"
-msgstr ""
+msgstr "Jazz"
 
 msgid "Content$Musical/Opera"
-msgstr ""
+msgstr "Comédie Musicale/Opéra"
 
 msgid "Content$Ballet"
-msgstr ""
+msgstr "Ballet"
 
 msgid "Content$Arts/Culture"
-msgstr ""
+msgstr "Arts/Culture"
 
 msgid "Content$Performing Arts"
-msgstr ""
+msgstr "Performances artistiques"
 
 msgid "Content$Fine Arts"
-msgstr ""
+msgstr "Beaux Arts"
 
 msgid "Content$Religion"
-msgstr ""
+msgstr "Religion"
 
 msgid "Content$Popular Culture/Traditional Arts"
-msgstr ""
+msgstr "Culture Populaire/Arts Traditionnels"
 
 msgid "Content$Literature"
-msgstr ""
+msgstr "Littérature"
 
 msgid "Content$Film/Cinema"
-msgstr ""
+msgstr "Film/Cinéma"
 
 msgid "Content$Experimental Film/Video"
-msgstr ""
+msgstr "Film Expérimental/Vidéo"
 
 msgid "Content$Broadcasting/Press"
-msgstr ""
+msgstr "Télédiffusion/Presse"
 
 msgid "Content$New Media"
-msgstr ""
+msgstr "Nouveau Média"
 
 msgid "Content$Arts/Culture Magazine"
-msgstr ""
+msgstr "Arts/Magazine Culturel"
 
 msgid "Content$Fashion"
-msgstr ""
+msgstr "Mode"
 
 msgid "Content$Social/Political/Economics"
-msgstr ""
+msgstr "Société/Politique/Économie"
 
 msgid "Content$Magazine/Report/Documentary"
-msgstr ""
+msgstr "Magazine/Reportage/Documentaire"
 
 msgid "Content$Economics/Social Advisory"
-msgstr ""
+msgstr "Économie/Reportage de Société"
 
 msgid "Content$Remarkable People"
-msgstr ""
+msgstr "Personnalités"
 
 msgid "Content$Education/Science/Factual"
-msgstr ""
+msgstr "Éducation/Science/Factuel"
 
 msgid "Content$Nature/Animals/Environment"
-msgstr ""
+msgstr "Nature/Animaux/Environnement"
 
 msgid "Content$Technology/Natural Sciences"
-msgstr ""
+msgstr "Technologie/Sciences Naturelles"
 
 msgid "Content$Medicine/Physiology/Psychology"
-msgstr ""
+msgstr "Médecine/Physiologie/Psychologie"
 
 msgid "Content$Foreign Countries/Expeditions"
-msgstr ""
+msgstr "Pays Étrangers/Expéditions"
 
 msgid "Content$Social/Spiritual Sciences"
-msgstr ""
+msgstr "Société/Sciences Spirituelles"
 
 msgid "Content$Further Education"
-msgstr ""
+msgstr "Formation Continue"
 
 msgid "Content$Languages"
-msgstr ""
+msgstr "Langages"
 
 msgid "Content$Leisure/Hobbies"
-msgstr ""
+msgstr "Loisir/Passe temps"
 
 msgid "Content$Tourism/Travel"
-msgstr ""
+msgstr "Tourisme/Voyage"
 
 msgid "Content$Handicraft"
-msgstr ""
+msgstr "Artisanat"
 
 msgid "Content$Motoring"
-msgstr ""
+msgstr "Automobilisme"
 
 msgid "Content$Fitness & Health"
-msgstr ""
+msgstr "Forme & Santé"
 
 msgid "Content$Cooking"
-msgstr ""
+msgstr "Cuisine"
 
 msgid "Content$Advertisement/Shopping"
-msgstr ""
+msgstr "Publicité/Téléachat"
 
 msgid "Content$Gardening"
-msgstr ""
+msgstr "Jardinage"
 
 msgid "Content$Original Language"
-msgstr ""
+msgstr "Version originale"
 
 msgid "Content$Black & White"
-msgstr ""
+msgstr "Noir & Blanc"
 
 msgid "Content$Unpublished"
-msgstr ""
+msgstr "Inédit"
 
 msgid "Content$Live Broadcast"
-msgstr ""
+msgstr "Direct"
 
 #, c-format
 msgid "ParentalRating$from %d"
-msgstr ""
+msgstr "À partir de %d"
 
 msgid "No title"
 msgstr "Sans titre"
 
 #. TRANSLATORS: The name of the language, as written natively
 msgid "LanguageName$English"
-msgstr "Franais"
+msgstr "Français"
 
 #. TRANSLATORS: The 3-letter code of the language
 msgid "LanguageCode$eng"
 msgstr "fra"
 
 msgid "Phase 1: Detecting RC code type"
-msgstr "Phase 1: Dtection du type de code"
+msgstr "Phase 1: Détection du type de télécommande"
 
 msgid "Press any key on the RC unit"
-msgstr "Appuyer sur une touche de la tlcommande"
+msgstr "Appuyer sur une touche de la télécommande"
 
 msgid "RC code detected!"
-msgstr "Code de la tlcommande dtect !"
+msgstr "Codes de la télécommande détectés !"
 
 msgid "Do not press any key..."
-msgstr "N'appuyer sur aucune touche ..."
+msgstr "N'appuyer sur aucune touche..."
 
 msgid "Phase 2: Learning specific key codes"
-msgstr "Phase 2: Apprentissage des codes des touches"
+msgstr "Phase 2: Apprentissage des touches"
 
 #, c-format
 msgid "Press key for '%s'"
-msgstr "Appuyer sur la touche '%s'"
+msgstr "Appuyer sur la touche pour '%s'"
 
 msgid "Press 'Up' to confirm"
 msgstr "Appuyer sur 'Haut' pour confirmer"
@@ -363,19 +367,19 @@
 msgstr "Appuyer sur 'Bas' pour continuer"
 
 msgid "(press 'Up' to go back)"
-msgstr "(Appuyer sur 'Haut' pour revenir en arrire)"
+msgstr "(Appuyer sur 'Haut' pour revenir en arrière)"
 
 msgid "(press 'Down' to end key definition)"
 msgstr "(Appuyer sur 'Bas' pour terminer)"
 
 msgid "(press 'Menu' to skip this key)"
-msgstr "('Menu' pour passer cette touche)"
+msgstr "(Appuyer sur 'Menu' pour passer cette touche)"
 
 msgid "Learning Remote Control Keys"
-msgstr "Apprentissage des codes de tlcommande"
+msgstr "Apprentissage des touches de la télécommande"
 
 msgid "Phase 3: Saving key codes"
-msgstr "Phase 3: Sauvegarde des codes des touches"
+msgstr "Phase 3: Sauvegarde des touches"
 
 msgid "Press 'Up' to save, 'Down' to cancel"
 msgstr "Appuyer sur 'Haut' pour sauvegarder, 'Bas' pour annuler"
@@ -417,7 +421,7 @@
 msgstr "Info"
 
 msgid "Key$Play/Pause"
-msgstr ""
+msgstr "Lecture/Pause"
 
 msgid "Key$Play"
 msgstr "Lecture"
@@ -441,19 +445,19 @@
 msgstr "Suivant"
 
 msgid "Key$Prev"
-msgstr "Prcdent"
+msgstr "Précédent"
 
 msgid "Key$Power"
-msgstr "Arrt"
+msgstr "Arrêt"
 
 msgid "Key$Channel+"
-msgstr "Chane+"
+msgstr "Chaîne+"
 
 msgid "Key$Channel-"
-msgstr "Chane-"
+msgstr "Chaîne-"
 
 msgid "Key$PrevChannel"
-msgstr "Chane prcdente"
+msgstr "Chaîne précédente"
 
 msgid "Key$Volume+"
 msgstr "Volume+"
@@ -462,7 +466,7 @@
 msgstr "Volume-"
 
 msgid "Key$Mute"
-msgstr "Coupure du son"
+msgstr "Muet"
 
 msgid "Key$Audio"
 msgstr "Audio"
@@ -471,13 +475,13 @@
 msgstr "Sous-titres"
 
 msgid "Key$Schedule"
-msgstr "Programmes"
+msgstr "Programme"
 
 msgid "Key$Channels"
-msgstr "Chanes"
+msgstr "Chaînes"
 
 msgid "Key$Timers"
-msgstr "Programmation"
+msgstr "Programmations"
 
 msgid "Key$Recordings"
 msgstr "Enregistrements"
@@ -522,10 +526,10 @@
 msgstr "En clair"
 
 msgid "encrypted"
-msgstr "Crypt"
+msgstr "Crypté"
 
 msgid "Edit channel"
-msgstr "Modifier une chane"
+msgstr "Modifier la chaîne"
 
 msgid "Name"
 msgstr "Nom"
@@ -534,46 +538,46 @@
 msgstr "Source"
 
 msgid "Frequency"
-msgstr "Frquence"
+msgstr "Fréquence"
 
 msgid "Vpid"
-msgstr "PID Vido"
+msgstr "Vpid"
 
 msgid "Ppid"
 msgstr "Ppid"
 
 msgid "Apid1"
-msgstr "PID Audio (1)"
+msgstr "Apid1"
 
 msgid "Apid2"
-msgstr "PID Audio (2)"
+msgstr "Apid2"
 
 msgid "Dpid1"
-msgstr "PID AC3 (1)"
+msgstr "Dpid1"
 
 msgid "Dpid2"
-msgstr "PID AC3 (2)"
+msgstr "Dpid2"
 
 msgid "Spid1"
-msgstr "Sous-titre (1)"
+msgstr "Spid1"
 
 msgid "Spid2"
-msgstr "Sous-titre (2)"
+msgstr "Spid2"
 
 msgid "Tpid"
-msgstr "PID tltexte"
+msgstr "Tpid"
 
 msgid "CA"
-msgstr "Accs conditionnel"
+msgstr "CA"
 
 msgid "Sid"
 msgstr "Sid"
 
 msgid "Channel settings are not unique!"
-msgstr "Caractristiques des chanes non uniques"
+msgstr "Cette chaîne n'est pas unique !"
 
 msgid "Channels"
-msgstr "Chanes"
+msgstr "Chaînes"
 
 msgid "Button$Edit"
 msgstr "Modifier"
@@ -588,50 +592,50 @@
 msgstr "Marquer"
 
 msgid "Channel is being used by a timer!"
-msgstr "Cette chane est en cours d'utilisation !"
+msgstr "Une programmation utilise cette chaîne !"
 
 msgid "Delete channel?"
-msgstr "Supprimer la chane ?"
+msgstr "Supprimer la chaîne ?"
 
 msgid "Edit folder"
-msgstr ""
+msgstr "Modifier le dossier"
 
 msgid "New folder"
-msgstr ""
+msgstr "Nouveau dossier"
 
 msgid "Sub folder"
-msgstr ""
+msgstr "Sous dossier"
 
 msgid "Folder name already exists!"
-msgstr ""
+msgstr "Ce nom de dossier existe déjà !"
 
 #, c-format
 msgid "Folder name must not contain '%c'!"
-msgstr ""
+msgstr "Le nom de dossier ne doit pas contenir '%c' !"
 
 msgid "Button$Select"
-msgstr ""
+msgstr "Sélectionner"
 
 msgid "Delete folder and all sub folders?"
-msgstr ""
+msgstr "Supprimer le dossier et tous les sous dossiers ?"
 
 msgid "Delete folder?"
-msgstr ""
+msgstr "Supprimer le dossier ?"
 
 msgid "Edit timer"
-msgstr "Changer la programmation"
+msgstr "Modifier la programmation"
 
 msgid "Active"
-msgstr "Actif"
+msgstr "Active"
 
 msgid "Channel"
-msgstr "Chane"
+msgstr "Chaîne"
 
 msgid "Day"
 msgstr "Jour"
 
 msgid "Start"
-msgstr "Dbut"
+msgstr "Début"
 
 msgid "Stop"
 msgstr "Fin"
@@ -640,31 +644,31 @@
 msgstr "VPS"
 
 msgid "Priority"
-msgstr "Priorit"
+msgstr "Priorité"
 
 msgid "Lifetime"
-msgstr "Dure de vie"
+msgstr "Durée de vie"
 
 msgid "File"
 msgstr "Fichier"
 
 msgid "Button$Folder"
-msgstr ""
+msgstr "Dossier"
 
 msgid "Button$Single"
-msgstr ""
+msgstr "Simple"
 
 msgid "Button$Repeating"
-msgstr ""
+msgstr "Périodique"
 
 msgid "First day"
 msgstr "Premier jour"
 
 msgid "Select folder"
-msgstr ""
+msgstr "Sélectionner le dossier"
 
 msgid "Timers"
-msgstr "Programmation"
+msgstr "Programmations"
 
 msgid "Button$On/Off"
 msgstr "Marche/Arr"
@@ -673,13 +677,13 @@
 msgstr "Info"
 
 msgid "Delete timer?"
-msgstr "Supprimer la programmation ?"
+msgstr "Supprimer cette programmation ?"
 
 msgid "Timer still recording - really delete?"
-msgstr "Enregistrement en cours - suppression confirme ?"
+msgstr "Enregistrement en cours - confirmer la suppression ?"
 
 msgid "Event"
-msgstr "Evnement"
+msgstr "Évènement"
 
 msgid "Button$Timer"
 msgstr "Programmation"
@@ -697,7 +701,7 @@
 msgstr "Prochains programmes"
 
 msgid "Button$Next"
-msgstr "Aprs"
+msgstr "Après"
 
 msgid "Button$Now"
 msgstr "Maintenant"
@@ -706,28 +710,28 @@
 msgstr "Programme"
 
 msgid "Can't switch channel!"
-msgstr "Impossible de changer de chane !"
+msgstr "Impossible de changer de chaîne !"
 
 #, c-format
 msgid "Schedule - %s"
-msgstr "Programmes - %s"
+msgstr "Programme - %s"
 
 #, c-format
 msgid "This event - %s"
-msgstr "Cet vnement -%s"
+msgstr "Cet événement - %s"
 
 msgid "This event - all channels"
-msgstr "Cet vnement - toutes les chanes"
+msgstr "Cet événement - toutes les chaînes"
 
 msgid "All events - all channels"
-msgstr "Tous les vnements - toutes les chanes"
+msgstr "Tous les événements - toutes les chaînes"
 
 #, c-format
 msgid "Please enter %d digits!"
 msgstr "Veuillez entrer %d chiffres !"
 
 msgid "CAM not responding!"
-msgstr "Pas de rponse du CAM"
+msgstr "Pas de réponse du CAM"
 
 msgid "Recording info"
 msgstr "Infos sur l'enregistrement"
@@ -751,10 +755,10 @@
 msgstr "Supprimer l'enregistrement ?"
 
 msgid "Recording is being edited - really delete?"
-msgstr ""
+msgstr "L'enregistrement est en cours de modification - confirmer la suppression ?"
 
 msgid "Error while deleting recording!"
-msgstr "Erreur de suppression de l'enregistrement !"
+msgstr "Erreur lors de la suppression de l'enregistrement !"
 
 msgid "Recording commands"
 msgstr "Commandes d'enregistrement"
@@ -763,13 +767,13 @@
 msgstr "jamais"
 
 msgid "skin dependent"
-msgstr "dpend du skin"
+msgstr "dépendant du skin"
 
 msgid "always"
 msgstr "toujours"
 
 msgid "OSD"
-msgstr "Affichage des menus"
+msgstr "Affichage à l'écran"
 
 msgid "Setup.OSD$Language"
 msgstr "Langue"
@@ -778,7 +782,7 @@
 msgstr "Skin"
 
 msgid "Setup.OSD$Theme"
-msgstr "Thme"
+msgstr "Thème"
 
 msgid "Setup.OSD$Left (%)"
 msgstr "Gauche (%)"
@@ -793,16 +797,16 @@
 msgstr "Hauteur (%)"
 
 msgid "Setup.OSD$Message time (s)"
-msgstr "Dure affichage message (s)"
+msgstr "Durée d'affichage des messages (s)"
 
 msgid "Setup.OSD$Use small font"
 msgstr "Utiliser les petites polices"
 
 msgid "Setup.OSD$Anti-alias"
-msgstr "Anti-crnelage"
+msgstr "Anti-crénelage"
 
 msgid "Setup.OSD$Default font"
-msgstr "Police par dfaut"
+msgstr "Police par défaut"
 
 msgid "Setup.OSD$Small font"
 msgstr "Petite police"
@@ -811,16 +815,16 @@
 msgstr "Police taille fixe"
 
 msgid "Setup.OSD$Default font size (%)"
-msgstr "Taille police par dfaut (%)"
+msgstr "Taille police par défaut (%)"
 
 msgid "Setup.OSD$Small font size (%)"
-msgstr "Taille petite police par dfaut (%)"
+msgstr "Taille petite police (%)"
 
 msgid "Setup.OSD$Fixed font size (%)"
-msgstr "Taille police fixe par dfaut (%)"
+msgstr "Taille police fixe (%)"
 
 msgid "Setup.OSD$Channel info position"
-msgstr "Position infos chanes"
+msgstr "Position infos chaîne"
 
 msgid "bottom"
 msgstr "bas"
@@ -829,72 +833,72 @@
 msgstr "haut"
 
 msgid "Setup.OSD$Channel info time (s)"
-msgstr "Dure affichage infos chanes (s)"
+msgstr "Durée affichage infos chaîne (s)"
 
 msgid "Setup.OSD$Info on channel switch"
-msgstr "Affichage progr. en cours"
+msgstr "Infos lors des changements de chaînes"
 
 msgid "Setup.OSD$Timeout requested channel info"
-msgstr "Demande d'infos de chane termine"
+msgstr "Temps de demande d'infos de chaîne"
 
 msgid "Setup.OSD$Scroll pages"
-msgstr "Dfilement par pages"
+msgstr "Défilement par pages"
 
 msgid "Setup.OSD$Scroll wraps"
-msgstr "Dfilement rotatif"
+msgstr "Défilement circulaire"
 
 msgid "Setup.OSD$Menu key closes"
-msgstr "Menu bouton ferm"
+msgstr "Touche Menu pour fermer"
 
 msgid "Setup.OSD$Recording directories"
 msgstr "Dossiers d'enregistrements"
 
 msgid "Setup.OSD$Folders in timer menu"
-msgstr ""
+msgstr "Dossiers dans le menu programmation"
 
 msgid "Setup.OSD$Number keys for characters"
-msgstr ""
+msgstr "Touches numériques pour les caractères"
 
 msgid "Setup.OSD$Color key 0"
-msgstr ""
+msgstr "Touche de couleur 0"
 
 msgid "Setup.OSD$Color key 1"
-msgstr ""
+msgstr "Touche de couleur 1"
 
 msgid "Setup.OSD$Color key 2"
-msgstr ""
+msgstr "Touche de couleur 2"
 
 msgid "Setup.OSD$Color key 3"
-msgstr ""
+msgstr "Touche de couleur 3"
 
 msgid "EPG"
 msgstr "Guide des programmes"
 
 msgid "Button$Scan"
-msgstr "Scan"
+msgstr "Scanner"
 
 msgid "Setup.EPG$EPG scan timeout (h)"
-msgstr "Inactivit avant rech. EPG (h)"
+msgstr "Temps d'inactivité avant mise à jour du guide-EPG (h)"
 
 msgid "Setup.EPG$EPG bugfix level"
-msgstr "Niveau de correction EPG"
+msgstr "Niveau de correction du guide-EPG"
 
 msgid "Setup.EPG$EPG linger time (min)"
-msgstr "Montrer l'EPG prim (min)"
+msgstr "Afficher les données du guide-EPG périmées (min)"
 
 msgid "Setup.EPG$Set system time"
-msgstr "Ajuster l'heure du systme"
+msgstr "Ajuster l'heure du système"
 
 msgid "Setup.EPG$Use time from transponder"
-msgstr "Utiliser l'heure de la chane"
+msgstr "Utiliser l'heure du transpondeur"
 
 #. TRANSLATORS: note the plural!
 msgid "Setup.EPG$Preferred languages"
-msgstr "Langues prfres"
+msgstr "Langues préférées"
 
 #. TRANSLATORS: note the singular!
 msgid "Setup.EPG$Preferred language"
-msgstr "Langue prfre"
+msgstr "Langue préférée"
 
 msgid "pan&scan"
 msgstr "pan&scan"
@@ -918,13 +922,13 @@
 msgstr "noms et PIDs"
 
 msgid "add new channels"
-msgstr "ajouter chanes"
+msgstr "ajouter les nouvelles chaînes"
 
 msgid "add new transponders"
-msgstr "ajouter transpondeurs"
+msgstr "ajouter les nouveaux transpondeurs"
 
 msgid "DVB"
-msgstr "Cartes DVB"
+msgstr "DVB"
 
 msgid "Button$Audio"
 msgstr "Audio"
@@ -936,19 +940,19 @@
 msgstr "Carte DVB primaire"
 
 msgid "Setup.DVB$Standard compliance"
-msgstr ""
+msgstr "Norme utilisée"
 
 msgid "Setup.DVB$Video format"
-msgstr "Format vido"
+msgstr "Format vidéo"
 
 msgid "Setup.DVB$Video display format"
-msgstr "Format d'affichage"
+msgstr "Format d'affichage vidéo"
 
 msgid "Setup.DVB$Use Dolby Digital"
 msgstr "Utiliser le Dolby Digital"
 
 msgid "Setup.DVB$Update channels"
-msgstr "Mettre  jour les chanes"
+msgstr "Mettre à jour les chaînes"
 
 msgid "Setup.DVB$Audio languages"
 msgstr "Langues audio"
@@ -966,13 +970,13 @@
 msgstr "Langue des sous-titres"
 
 msgid "Setup.DVB$Subtitle offset"
-msgstr "Offset des sous-titres"
+msgstr "Décalage des sous-titres"
 
 msgid "Setup.DVB$Subtitle foreground transparency"
-msgstr "Transparence de l'avant-plan"
+msgstr "Transparence de l'avant-plan des sous-titres"
 
 msgid "Setup.DVB$Subtitle background transparency"
-msgstr "Transparence du fond"
+msgstr "Transparence du fond des sous-titres"
 
 msgid "LNB"
 msgstr "LNB"
@@ -981,62 +985,62 @@
 msgstr "Utiliser le DiSEqC"
 
 msgid "Setup.LNB$SLOF (MHz)"
-msgstr "Limite de bandes LNB (MHz)"
+msgstr "SLOF (MHz)"
 
 msgid "Setup.LNB$Low LNB frequency (MHz)"
-msgstr "Frquence basse LNB (MHz)"
+msgstr "Fréquence basse LNB (MHz)"
 
 msgid "Setup.LNB$High LNB frequency (MHz)"
-msgstr "Frquence haute LNB (MHz)"
+msgstr "Fréquence haute LNB (MHz)"
 
 #, c-format
 msgid "Setup.LNB$Device %d connected to sat cable"
-msgstr ""
+msgstr "Le périphérique %d est connecté au câble satellite"
 
 msgid "Setup.LNB$own"
-msgstr ""
+msgstr "Propriétaire"
 
 msgid "CAM reset"
-msgstr "CAM remis  zro"
+msgstr "CAM réinitialisé"
 
 msgid "CAM present"
-msgstr "CAM prsent"
+msgstr "CAM présent"
 
 msgid "CAM ready"
-msgstr "CAM prt"
+msgstr "CAM prêt"
 
 msgid "CAM"
-msgstr "Accs conditionnel"
+msgstr "CAM"
 
 msgid "Button$Menu"
 msgstr "Menu"
 
 msgid "Button$Reset"
-msgstr "Rinitialisation"
+msgstr "Réinitialisation"
 
 msgid "Opening CAM menu..."
-msgstr "Ouverture du menu CAM"
+msgstr "Ouverture du menu CAM..."
 
 msgid "Can't open CAM menu!"
 msgstr "Impossible d'ouvrir le menu CAM !"
 
 msgid "CAM is in use - really reset?"
-msgstr "CAM en cours d'utilisation - Remettre  zro ?"
+msgstr "CAM en cours d'utilisation - confirmer réinitialisation ?"
 
 msgid "Can't reset CAM!"
-msgstr "Impossible de rinitialiser le CAM !"
+msgstr "Impossible de réinitialiser le CAM !"
 
 msgid "do not pause live video"
-msgstr ""
+msgstr "ne pas mettre en pause le direct"
 
 msgid "confirm pause live video"
-msgstr ""
+msgstr "confirmer la pause du direct"
 
 msgid "pause live video"
-msgstr ""
+msgstr "mettre en pause le direct"
 
 msgid "confirm"
-msgstr ""
+msgstr "confirmer"
 
 msgid "yes"
 msgstr "oui"
@@ -1045,55 +1049,55 @@
 msgstr "Enregistrement"
 
 msgid "Setup.Recording$Margin at start (min)"
-msgstr "Marge antrieure (min)"
+msgstr "Marge de début (min)"
 
 msgid "Setup.Recording$Margin at stop (min)"
-msgstr "Marge postrieure (min)"
+msgstr "Marge de fin (min)"
 
 msgid "Setup.Recording$Default priority"
-msgstr "Priorit par dfaut"
+msgstr "Priorité par défaut"
 
 msgid "Setup.Recording$Default lifetime (d)"
-msgstr "Dure de vie par dfaut (j)"
+msgstr "Durée de vie par défaut (j)"
 
 msgid "Setup.Recording$Pause key handling"
-msgstr ""
+msgstr "Support de la touche Pause"
 
 msgid "Setup.Recording$Pause priority"
-msgstr "Priorit des pauses"
+msgstr "Priorité de l'enregistrement mis en pause "
 
 msgid "Setup.Recording$Pause lifetime (d)"
-msgstr "Dure de vie des pauses (j)"
+msgstr "Expiration de l'enregistrement mis en pause (j)"
 
 msgid "Setup.Recording$Use episode name"
-msgstr "Utiliser le nom de l'pisode"
+msgstr "Utiliser le nom de l'épisode"
 
 msgid "Setup.Recording$Use VPS"
 msgstr "Utiliser le VPS"
 
 msgid "Setup.Recording$VPS margin (s)"
-msgstr "Marge VPS"
+msgstr "Marge VPS (s)"
 
 msgid "Setup.Recording$Mark instant recording"
-msgstr "Marquage enregistr. immdiats"
+msgstr "Marquage enregistrement immédiat"
 
 msgid "Setup.Recording$Name instant recording"
-msgstr "Noms enregistr. immdiats"
+msgstr "Nom enregistrement immédiat"
 
 msgid "Setup.Recording$Instant rec. time (min)"
-msgstr "Dure enregistr. immdiat (min)"
+msgstr "Durée enregistr. immédiat (min)"
 
 msgid "Setup.Recording$present event"
-msgstr ""
+msgstr "Évènement courant"
 
 msgid "Setup.Recording$Max. video file size (MB)"
-msgstr "Taille maxi des fichiers (Mo)"
+msgstr "Taille maxi des fichiers vidéo (Mo)"
 
 msgid "Setup.Recording$Split edited files"
-msgstr "Sparer les squences dites"
+msgstr "Scinder les fichiers édités"
 
 msgid "Setup.Recording$Delete timeshift recording"
-msgstr ""
+msgstr "Supprimer l'enregistrement timeshift"
 
 msgid "Replay"
 msgstr "Lecture"
@@ -1105,13 +1109,13 @@
 msgstr "Affichage mode de lecture"
 
 msgid "Setup.Replay$Show remaining time"
-msgstr ""
+msgstr "Montrer le temps restant"
 
 msgid "Setup.Replay$Progress display time (s)"
-msgstr ""
+msgstr "Affichage de la barre de progression (s)"
 
 msgid "Setup.Replay$Pause replay when setting mark"
-msgstr ""
+msgstr "Arrêter la lecture lors de l'ajout d'un marqueur"
 
 msgid "Setup.Replay$Resume ID"
 msgstr "ID de reprise"
@@ -1120,28 +1124,28 @@
 msgstr "Divers"
 
 msgid "Setup.Miscellaneous$Min. event timeout (min)"
-msgstr "MinEventTimeout (min)"
+msgstr "Temps minimal entre événements (min)"
 
 msgid "Setup.Miscellaneous$Min. user inactivity (min)"
-msgstr "Dure minimale d'inact. (min)"
+msgstr "Durée d'inactivité utilisateur minimale (min)"
 
 msgid "Setup.Miscellaneous$SVDRP timeout (s)"
 msgstr "Temps maxi SVDRP (s)"
 
 msgid "Setup.Miscellaneous$Zap timeout (s)"
-msgstr "Prise en compte chane (s)"
+msgstr "Prise en compte chaîne (s)"
 
 msgid "Setup.Miscellaneous$Channel entry timeout (ms)"
-msgstr "Entre chane timeout (ms)"
+msgstr "Délai de saisie de la chaîne (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Délai de répétition de la télécommande (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Delta de répétition de la télécommande (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
-msgstr "Chane initiale"
+msgstr "Chaîne initiale"
 
 msgid "Setup.Miscellaneous$as before"
 msgstr "comme avant"
@@ -1150,45 +1154,45 @@
 msgstr "Volume initial"
 
 msgid "Setup.Miscellaneous$Channels wrap"
-msgstr ""
+msgstr "Affichage circulaire des chaînes"
 
 msgid "Setup.Miscellaneous$Show channel names with source"
-msgstr ""
+msgstr "Afficher le nom des chaînes avec leur source"
 
 msgid "Setup.Miscellaneous$Emergency exit"
-msgstr "Arrt d'urgence"
+msgstr "Arrêt d'urgence"
 
 msgid "Plugins"
-msgstr "Greffons"
+msgstr "Modules"
 
 msgid "This plugin has no setup parameters!"
-msgstr "Ce greffon n'a pas de paramtres!"
+msgstr "Ce module n'a pas de paramètres !"
 
 msgid "Setup"
 msgstr "Configuration"
 
 msgid "Restart"
-msgstr "Redmarrer"
+msgstr "Redémarrer"
 
 msgid "Really restart?"
-msgstr "Vraiment redmarrer ?"
+msgstr "Confirmer le redémarrage ?"
 
 #. TRANSLATORS: note the leading and trailing blanks!
 msgid " Stop recording "
-msgstr " Arrter l'enregistrement "
+msgstr " Arrêter l'enregistrement "
 
 msgid "Schedule"
-msgstr "Programmes"
+msgstr "Programme"
 
 #. TRANSLATORS: note the leading blank!
 msgid " Stop replaying"
-msgstr " Arrter la lecture"
+msgstr " Arrêter la lecture"
 
 msgid "Button$Pause"
 msgstr "Pause"
 
 msgid "Button$Stop"
-msgstr "Arrt"
+msgstr "Arrêt"
 
 msgid "Button$Resume"
 msgstr "Reprendre"
@@ -1198,7 +1202,7 @@
 msgstr " Annuler le montage"
 
 msgid "Stop recording?"
-msgstr "Arrter l'enregistrement ?"
+msgstr "Arrêter l'enregistrement ?"
 
 msgid "Cancel editing?"
 msgstr "Annuler les modifications ?"
@@ -1213,100 +1217,100 @@
 msgstr "Pas de sous-titres disponible !"
 
 msgid "Not enough disk space to start recording!"
-msgstr "Espace disque insuffisant pour dmarrer l'enregistrement !"
+msgstr "Espace disque insuffisant pour démarrer l'enregistrement !"
 
 msgid "No free DVB device to record!"
-msgstr "Pas de carte DVB disponible pour l'enregistrement !"
+msgstr "Pas de périphérique DVB disponible pour l'enregistrement !"
 
 msgid "Pausing live video..."
-msgstr "Pause de l'mission en direct..."
+msgstr "Pause de l'émission en direct..."
 
 msgid "Delete timeshift recording?"
-msgstr ""
+msgstr "Supprimer l'enregistrement timeshift ?"
 
 #. TRANSLATORS: note the trailing blank!
 msgid "Jump: "
-msgstr "Accs direct : "
+msgstr "Accès direct : "
 
 msgid "No editing marks defined!"
-msgstr "Pas de marques d'dition dfinies !"
+msgstr "Pas de marques d'édition définies !"
 
 msgid "No editing sequences defined!"
-msgstr ""
+msgstr "Aucune séquence d'édition définie !"
 
 msgid "Can't start editing process!"
-msgstr "Impossible de commencer le montage !"
+msgstr "Impossible de commencer l'édition !"
 
 msgid "Editing process started"
-msgstr "Opration de montage lance"
+msgstr "Opération d'édition démarrée"
 
 msgid "Editing process already active!"
-msgstr "Montage dj en cours !"
+msgstr "Montage déjà en cours !"
 
 msgid "FileNameChars$ abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
-msgstr " abcdefghijklmnopqrstuvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
+msgstr " aàâbcçdeéèêëfghiîïjklmnoôöpqrstuùûüvwxyz0123456789-.,#~\\^$[]|()*+?{}/:%@&"
 
 msgid "CharMap$ 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
-msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9"
+msgstr " 0\t-.,1#~\\^$[]|()*+?{}/:%@&\tabcàâç2\tdeféèê3\tghiîï4\tjkl5\tmnoô6\tpqrs7\ttuvù8\twxyz9"
 
 msgid "Button$ABC/abc"
 msgstr "ABC/abc"
 
 msgid "Button$Overwrite"
-msgstr "Ecraser"
+msgstr "Écraser"
 
 msgid "Button$Insert"
-msgstr "Insrer"
+msgstr "Insérer"
 
 msgid "Plugin"
-msgstr "Plugin"
+msgstr "Module"
 
 msgid "Up/Dn for new location - OK to move"
-msgstr "Haut/Bas -> nouvelle place - OK -> dplacer"
+msgstr "Haut/Bas -> nouvelle place - OK -> déplacer"
 
 msgid "Channel locked (recording)!"
-msgstr "Chane verrouille (enregistrement en cours) !"
+msgstr "Chaîne verrouillée (enregistrement en cours) !"
 
 msgid "Low disk space!"
 msgstr "Disque presque plein !"
 
 msgid "Regenerating index file"
-msgstr ""
+msgstr "Régénération du fichier index"
 
 msgid "Index file regeneration complete"
-msgstr ""
+msgstr "Régénération du fichier index terminée"
 
 msgid "Index file regeneration failed!"
-msgstr ""
+msgstr "La régénération du fichier index a échoué !"
 
 msgid "Can't shutdown - option '-s' not given!"
-msgstr "Arrt impossible - option '-s' absente !"
+msgstr "Arrêt impossible - option '-s' absente !"
 
 msgid "Editing - shut down anyway?"
-msgstr "Edition en cours - confirmez l'arrt ?"
+msgstr "Édition en cours - confirmer l'arrêt ?"
 
 msgid "Recording - shut down anyway?"
-msgstr "Enregistrement en cours - confirmez l'arrt ?"
+msgstr "Enregistrement en cours - confirmer l'arrêt ?"
 
 #, c-format
 msgid "Recording in %ld minutes, shut down anyway?"
-msgstr "Enregistrement dans %ld minutes - confirmez l'arrt"
+msgstr "Enregistrement dans %ld minutes - confirmer l'arrêt ?"
 
 msgid "shut down anyway?"
-msgstr "confirmez l'arrt"
+msgstr "confirmer l'arrêt ?"
 
 #, c-format
 msgid "Plugin %s wakes up in %ld min, continue?"
-msgstr "Le plugin %s dmarre dans %ld min, continuer ?"
+msgstr "Le plugin %s démarre dans %ld min, continuer ?"
 
 msgid "Editing - restart anyway?"
-msgstr "Edition en cours - redmarrer ?"
+msgstr "Édition en cours - confirmer redémarrage ?"
 
 msgid "Recording - restart anyway?"
-msgstr "Enregistrement en cours - redmarrer ?"
+msgstr "Enregistrement en cours - confirmer redémarrage ?"
 
 msgid "restart anyway?"
-msgstr "redmarrer ?"
+msgstr "confirmer redémarrage ?"
 
 #. TRANSLATORS: note the trailing blank!
 msgid "Volume "
@@ -1316,22 +1320,22 @@
 msgstr "VDR classique"
 
 msgid "DISK"
-msgstr ""
+msgstr "DISQUE"
 
 msgid "LOAD"
-msgstr ""
+msgstr "CHARGER"
 
 msgid "TIMERS"
-msgstr ""
+msgstr "PROGRAMMATIONS"
 
 msgid "DEVICES"
-msgstr ""
+msgstr "PÉRIPHÉRIQUES"
 
 msgid "LIVE"
-msgstr ""
+msgstr "DIRECT"
 
 msgid "PLAY"
-msgstr ""
+msgstr "LECTURE"
 
 msgid "ST:TNG Panels"
 msgstr "Consoles ST:TNG"
@@ -1369,32 +1373,32 @@
 msgstr "L'enregistrement va commencer !"
 
 msgid "Pause live video?"
-msgstr ""
+msgstr "Arrêter le direct ?"
 
 msgid "Recording started"
-msgstr "L'enregistrement a commenc"
+msgstr "L'enregistrement a commencé"
 
 msgid "VDR will shut down later - press Power to force"
-msgstr "VDR doit s'arrter plus tard - Appuyer sur Power pour forcer"
+msgstr "VDR doit s'arrêter plus tard - Appuyer sur Arrêt pour forcer"
 
 msgid "Press any key to cancel shutdown"
-msgstr "Appuyez sur une touche pour annuler l'arrt"
+msgstr "Appuyer sur une touche pour annuler l'arrêt"
 
 msgid "Switching primary DVB..."
-msgstr "Changement de carte DVB primaire..."
+msgstr "Changement de périphérique DVB primaire..."
 
 msgid "Editing process failed!"
-msgstr "Echec du montage !"
+msgstr "Échec du montage !"
 
 msgid "Editing process finished"
-msgstr "Montage termin"
+msgstr "Montage terminé"
 
 msgid "Press any key to cancel restart"
-msgstr "Appuyer sur une touche pour annuler le redmarrage"
+msgstr "Appuyer sur une touche pour annuler le redémarrage"
 
 #, c-format
 msgid "VDR will shut down in %s minutes"
-msgstr "VDR s'arrtera dans %s minutes"
+msgstr "VDR s'arrêtera dans %s minutes"
 
 msgid "Disk"
 msgstr "Disque"
diff -ruN vdr-1.7.37/po/it_IT.po vdr-1.7.38/po/it_IT.po
--- vdr-1.7.37/po/it_IT.po	2013-02-09 14:57:00.058822973 +0100
+++ vdr-1.7.38/po/it_IT.po	2013-02-12 10:20:13.000000000 +0100
@@ -5,14 +5,14 @@
 # Antonio Ospite <ospite@studenti.unina.it>, 2003, 2006
 # Sean Carlos <seanc@libero.it>, 2005
 # Nino Gerbino <ngerb@interfree.it>, 2006
-# Diego Pierotto <vdr-italian@tiscali.it>, 2007, 2008, 2010
+# Diego Pierotto <vdr-italian@tiscali.it>, 2007-2010, 2012, 2013
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.6.0\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@tvdr.de>\n"
 "POT-Creation-Date: 2013-02-03 16:46+0100\n"
-"PO-Revision-Date: 2012-12-22 19:00+0100\n"
+"PO-Revision-Date: 2013-02-11 23:46+0100\n"
 "Last-Translator: Diego Pierotto <vdr-italian@tiscali.it>\n"
 "Language-Team: Italian <vdr@linuxtv.org>\n"
 "Language: it\n"
@@ -1136,10 +1136,10 @@
 msgstr "Scadenza voce canale (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Ritardo ripetizione controllo remoto (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Intervallo ripetizione controllo remoto (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Canale iniziale"
diff -ruN vdr-1.7.37/po/lt_LT.po vdr-1.7.38/po/lt_LT.po
--- vdr-1.7.37/po/lt_LT.po	2013-02-09 14:57:00.165842181 +0100
+++ vdr-1.7.38/po/lt_LT.po	2013-02-14 10:07:33.000000000 +0100
@@ -1,11 +1,11 @@
 # VDR language source file.
 # Copyright (C) 2009 Klaus Schmidinger <kls@tvdr.de>
 # This file is distributed under the same license as the VDR package.
-# Valdemaras Pipiras <varas@ambernet.lt>, 2009, 2010.
+# Valdemaras Pipiras <varas@ambernet.lt>, 2009, 2010, 2013.
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: VDR 1.7.16\n"
+"Project-Id-Version: VDR 1.7.37\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@tvdr.de>\n"
 "POT-Creation-Date: 2013-02-03 16:46+0100\n"
 "PO-Revision-Date: 2010-10-30 11:55+0200\n"
@@ -26,10 +26,10 @@
 msgstr "Negali pradėti perdavimo"
 
 msgid "off"
-msgstr "įjungti"
+msgstr "išjungti"
 
 msgid "on"
-msgstr "išjungti"
+msgstr "įjungti"
 
 msgid "auto"
 msgstr "auto"
@@ -74,7 +74,7 @@
 msgstr "Rolloff"
 
 msgid "PlpId"
-msgstr ""
+msgstr "PlpId"
 
 msgid "Starting EPG scan"
 msgstr "Pradedamas EPG skanavimas"
@@ -411,7 +411,7 @@
 msgstr "Info"
 
 msgid "Key$Play/Pause"
-msgstr ""
+msgstr "Groti/Pristabdyti"
 
 msgid "Key$Play"
 msgstr "Grona"
@@ -646,10 +646,10 @@
 msgstr "Katalogas"
 
 msgid "Button$Single"
-msgstr ""
+msgstr "Vienas"
 
 msgid "Button$Repeating"
-msgstr ""
+msgstr "Kartotinas"
 
 msgid "First day"
 msgstr "Pirma diena"
@@ -745,7 +745,7 @@
 msgstr "Ištrinti įrašą?"
 
 msgid "Recording is being edited - really delete?"
-msgstr ""
+msgstr "Įrašas yra redaguojamas - ar tikrai norite ištrinti?"
 
 msgid "Error while deleting recording!"
 msgstr "Klaida trinant įrašą!"
@@ -850,16 +850,16 @@
 msgstr "Skaičių mygtukai simboliams"
 
 msgid "Setup.OSD$Color key 0"
-msgstr ""
+msgstr "Spalvotas mygtukas 0"
 
 msgid "Setup.OSD$Color key 1"
-msgstr ""
+msgstr "Spalvotas mygtukas 1"
 
 msgid "Setup.OSD$Color key 2"
-msgstr ""
+msgstr "Spalvotas mygtukas 2"
 
 msgid "Setup.OSD$Color key 3"
-msgstr ""
+msgstr "Spalvotas mygtukas 3"
 
 msgid "EPG"
 msgstr "Elektroninis programų gidas (EPG)"
@@ -930,7 +930,7 @@
 msgstr "Pirminiė DVB įvestis"
 
 msgid "Setup.DVB$Standard compliance"
-msgstr ""
+msgstr "Standarto atitikimas"
 
 msgid "Setup.DVB$Video format"
 msgstr "Video formatas"
@@ -985,10 +985,10 @@
 
 #, c-format
 msgid "Setup.LNB$Device %d connected to sat cable"
-msgstr ""
+msgstr "Įrenginys %d prijungtas prie sat kabelio"
 
 msgid "Setup.LNB$own"
-msgstr ""
+msgstr "savas"
 
 msgid "CAM reset"
 msgstr "Dekodavimo modulis (CAM) perkrautas"
@@ -1078,7 +1078,7 @@
 msgstr "Rankiniu būdu vykdomo įrašo laikas (min)"
 
 msgid "Setup.Recording$present event"
-msgstr ""
+msgstr "esamas įvykis"
 
 msgid "Setup.Recording$Max. video file size (MB)"
 msgstr "Maks. video failo dydis (MB)"
@@ -1099,13 +1099,13 @@
 msgstr "Rodyti pakartojimo ręžimą"
 
 msgid "Setup.Replay$Show remaining time"
-msgstr ""
+msgstr "Rodyti kiek liko laiko iki pabaigos"
 
 msgid "Setup.Replay$Progress display time (s)"
-msgstr ""
+msgstr "Progreso rodymo laikas (s)"
 
 msgid "Setup.Replay$Pause replay when setting mark"
-msgstr ""
+msgstr "Pristabdyti pakartojimą kai vyksta žymėjimas"
 
 msgid "Setup.Replay$Resume ID"
 msgstr "Kūrinio ID"
@@ -1129,10 +1129,10 @@
 msgstr "Užlaikymas (ms) kanalo įvedimui"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Distancinio pulto komandų pakartojimų užlaikymas (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Laiko tarpai tarp distancinio pulto siunčiamų komandų (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Kanalas įjungimo metu"
@@ -1147,7 +1147,7 @@
 msgstr "Kanalų pridengimas"
 
 msgid "Setup.Miscellaneous$Show channel names with source"
-msgstr ""
+msgstr "Kanalo pavadinimuose rodyti šaltinius"
 
 msgid "Setup.Miscellaneous$Emergency exit"
 msgstr "Avarinis išėjimas"
@@ -1226,7 +1226,7 @@
 msgstr "Nenustatytos koregavimo žymės!"
 
 msgid "No editing sequences defined!"
-msgstr ""
+msgstr "Nenustatyta koregavimo saka!"
 
 msgid "Can't start editing process!"
 msgstr "Negali pradėti koregavimo!"
@@ -1271,7 +1271,7 @@
 msgstr "Index failo pergeneravimas baigtas"
 
 msgid "Index file regeneration failed!"
-msgstr ""
+msgstr "Nepavyko pergeneruoti index failo!"
 
 msgid "Can't shutdown - option '-s' not given!"
 msgstr "Sistemos negalima išjungti, nes starto metu nebuvo komandinėj eilutėj paduota savybė '-s'!"
@@ -1310,22 +1310,22 @@
 msgstr "Klasikinis VDR"
 
 msgid "DISK"
-msgstr ""
+msgstr "DISKAS"
 
 msgid "LOAD"
-msgstr ""
+msgstr "APKROVA"
 
 msgid "TIMERS"
-msgstr ""
+msgstr "LAIKMAČIAI"
 
 msgid "DEVICES"
-msgstr ""
+msgstr "ĮRENGINIAI"
 
 msgid "LIVE"
-msgstr ""
+msgstr "GYVAI"
 
 msgid "PLAY"
-msgstr ""
+msgstr "GROTI"
 
 msgid "ST:TNG Panels"
 msgstr "ST:TNG Skydeliai"
diff -ruN vdr-1.7.37/po/mk_MK.po vdr-1.7.38/po/mk_MK.po
--- vdr-1.7.37/po/mk_MK.po	2013-02-09 14:57:00.297865877 +0100
+++ vdr-1.7.38/po/mk_MK.po	2013-02-10 18:45:26.000000000 +0100
@@ -1,7 +1,7 @@
 # VDR language source file.
 # Copyright (C) 2008 Klaus Schmidinger <kls@tvdr.de>
 # This file is distributed under the same license as the VDR package.
-# Dimitar Petrovski <dimeptr@gmail.com>, 2009
+# Dimitar Petrovski <dimeptr@gmail.com>, 2009, 2012, 2013
 #
 msgid ""
 msgstr ""
@@ -412,7 +412,7 @@
 msgstr "Инфо"
 
 msgid "Key$Play/Pause"
-msgstr ""
+msgstr "Старт/Пауза"
 
 msgid "Key$Play"
 msgstr "Старт"
@@ -1103,10 +1103,10 @@
 msgstr "Прикажи преостанато време"
 
 msgid "Setup.Replay$Progress display time (s)"
-msgstr ""
+msgstr "Време на прикажување на прогрес (сек)"
 
 msgid "Setup.Replay$Pause replay when setting mark"
-msgstr ""
+msgstr "Паузирај репродукција кога се внесува ознака"
 
 msgid "Setup.Replay$Resume ID"
 msgstr "ID на продолжеток"
@@ -1130,10 +1130,10 @@
 msgstr "Тајмаут за внес на канал (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Оддолжување на повторување на даљинско (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Делта на повторување на даљинско (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Почетен канал"
@@ -1221,7 +1221,7 @@
 
 #. TRANSLATORS: note the trailing blank!
 msgid "Jump: "
-msgstr "Скокни:"
+msgstr "Скокни: "
 
 msgid "No editing marks defined!"
 msgstr "Нема одредено ознаки за сечење!"
@@ -1305,7 +1305,7 @@
 
 #. TRANSLATORS: note the trailing blank!
 msgid "Volume "
-msgstr "Глас"
+msgstr "Глас "
 
 msgid "Classic VDR"
 msgstr "Класичен VDR"
diff -ruN vdr-1.7.37/po/ro_RO.po vdr-1.7.38/po/ro_RO.po
--- vdr-1.7.37/po/ro_RO.po	2013-02-09 14:56:59.692757271 +0100
+++ vdr-1.7.38/po/ro_RO.po	2013-02-10 12:00:03.000000000 +0100
@@ -2,22 +2,21 @@
 # Copyright (C) 2008 Klaus Schmidinger <kls@tvdr.de>
 # This file is distributed under the same license as the VDR package.
 # Paul Lacatus <paul@campina.iiruc.ro>, 2002
-# Lucian Muresan <lucianm@users.sourceforge.net>, 2004, 2005, 2006, 2008, 2010, 2011, 2012
+# Lucian Muresan <lucianm@users.sourceforge.net>, 2004-2006, 2008, 2010-2013
 #
 msgid ""
 msgstr ""
-"Project-Id-Version: VDR 1.7.12\n"
+"Project-Id-Version: VDR 1.7.37\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@tvdr.de>\n"
 "POT-Creation-Date: 2013-02-03 16:46+0100\n"
-"PO-Revision-Date: 2012-11-05 01:28+0100\n"
-"Last-Translator: Lucian Muresan <lucianm@users.sourceforge.net>\n"
+"PO-Revision-Date: 2013-02-09 23:01+0100\n"
+"Last-Translator: Lucian Muresan <lucianm@users.sorceforge.net>\n"
 "Language-Team: Romanian <vdr@linuxtv.org>\n"
 "Language: ro\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
-"X-Poedit-Language: Romanian\n"
-"X-Poedit-Country: ROMANIA\n"
+"X-Generator: Poedit 1.5.5\n"
 
 msgid "*** Invalid Channel ***"
 msgstr "*** Canal invalid ***"
@@ -414,7 +413,7 @@
 msgstr "Info"
 
 msgid "Key$Play/Pause"
-msgstr ""
+msgstr "Redare/Pauză"
 
 msgid "Key$Play"
 msgstr "Redare"
@@ -682,7 +681,7 @@
 msgstr "Timer"
 
 msgid "Button$Record"
-msgstr "Înregistr."
+msgstr "Înregistrează"
 
 msgid "Button$Switch"
 msgstr "Comută"
@@ -733,7 +732,7 @@
 msgstr "Redare"
 
 msgid "Button$Rewind"
-msgstr "Înapoi"
+msgstr "De la capăt"
 
 msgid "Recordings"
 msgstr "Înregistrări"
@@ -760,7 +759,7 @@
 msgstr "niciodată"
 
 msgid "skin dependent"
-msgstr "dep. de skin"
+msgstr "dependent de skin"
 
 msgid "always"
 msgstr "întotdeauna"
@@ -1105,10 +1104,10 @@
 msgstr "Arată timpul rămas"
 
 msgid "Setup.Replay$Progress display time (s)"
-msgstr ""
+msgstr "Durata afișării indicatorului de progres (s) "
 
 msgid "Setup.Replay$Pause replay when setting mark"
-msgstr ""
+msgstr "Pauză la punerea marcajului de montaj"
 
 msgid "Setup.Replay$Resume ID"
 msgstr "Identificator continuare"
@@ -1132,10 +1131,10 @@
 msgstr "Timeout la introducerea canalului (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Întârzierea repetării semnaluilui telecomenzii (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Diferența repetării semnaluilui telecomenzii (ms)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Canalul de pornire"
@@ -1188,7 +1187,7 @@
 msgstr "Stop"
 
 msgid "Button$Resume"
-msgstr "Continuare"
+msgstr "Continuă redarea"
 
 #. TRANSLATORS: note the leading blank!
 msgid " Cancel editing"
@@ -1216,7 +1215,7 @@
 msgstr "Nu mai sunt receptoare DVB disponibile pentru înregistrare!"
 
 msgid "Pausing live video..."
-msgstr "Trec în pauză emisiunea transmisă..."
+msgstr "Înregistrez emisiunea transmisă..."
 
 msgid "Delete timeshift recording?"
 msgstr "Şterg înregistrarea pentru vizionare decalată?"
@@ -1229,7 +1228,7 @@
 msgstr "Nu s-au pus marcaje de montaj pentru această înregistrare"
 
 msgid "No editing sequences defined!"
-msgstr ""
+msgstr "Nu s-au definit secvențe pentru montaj!"
 
 msgid "Can't start editing process!"
 msgstr "Nu pot porni montajul înregistrării!"
@@ -1256,7 +1255,7 @@
 msgstr "Inserează"
 
 msgid "Plugin"
-msgstr "Plugin (modul adiţional)"
+msgstr "Plugin"
 
 msgid "Up/Dn for new location - OK to move"
 msgstr "Sus/Jos pentru noua locaţie - OK pentru a muta"
diff -ruN vdr-1.7.37/po/uk_UA.po vdr-1.7.38/po/uk_UA.po
--- vdr-1.7.37/po/uk_UA.po	2013-02-09 14:57:00.023816690 +0100
+++ vdr-1.7.38/po/uk_UA.po	2013-02-10 12:07:12.000000000 +0100
@@ -1,20 +1,21 @@
 # VDR language source file.
 # Copyright (C) 2008 Klaus Schmidinger <kls@tvdr.de>
 # This file is distributed under the same license as the VDR package.
-# Yarema Aka Knedlyk <yupadmin@gmail.com>, 2007, 2008, 2010
+# Yarema Aka Knedlyk <yupadmin@gmail.com>, 2007-2010, 2013
 #
 msgid ""
 msgstr ""
 "Project-Id-Version: VDR 1.7.7\n"
 "Report-Msgid-Bugs-To: <vdr-bugs@tvdr.de>\n"
 "POT-Creation-Date: 2013-02-03 16:46+0100\n"
-"PO-Revision-Date: 2010-04-25 16:35+0200\n"
+"PO-Revision-Date: 2013-02-09 16:00+0100\n"
 "Last-Translator: Yarema aka Knedlyk <yupadmin@gmail.com>\n"
 "Language-Team: Ukrainian <vdr@linuxtv.org>\n"
 "Language: uk\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=UTF-8\n"
 "Content-Transfer-Encoding: 8bit\n"
+"X-Generator: Poedit 1.5.4\n"
 
 msgid "*** Invalid Channel ***"
 msgstr "*** Неправильний канал ***"
@@ -50,10 +51,10 @@
 msgstr "Інверсія"
 
 msgid "CoderateH"
-msgstr "CoderateH"
+msgstr "Шв.кодуванняH"
 
 msgid "CoderateL"
-msgstr "CoderateL"
+msgstr "Шв.кодуванняL"
 
 msgid "Modulation"
 msgstr "Модуляція"
@@ -74,7 +75,7 @@
 msgstr "Крен"
 
 msgid "PlpId"
-msgstr ""
+msgstr "PlpId"
 
 msgid "Starting EPG scan"
 msgstr "Починаю EPG-сканування"
@@ -128,7 +129,7 @@
 msgstr "Ігрове шоу/Тести"
 
 msgid "Content$Variety Show"
-msgstr "Вар’єте"
+msgstr "Вар'єте"
 
 msgid "Content$Talk Show"
 msgstr "Ток шоу"
@@ -411,7 +412,7 @@
 msgstr "Інфо"
 
 msgid "Key$Play/Pause"
-msgstr ""
+msgstr "Програвати/Пауза"
 
 msgid "Key$Play"
 msgstr "Програвання"
@@ -456,7 +457,7 @@
 msgstr "Гучність -"
 
 msgid "Key$Mute"
-msgstr "Виключити звук"
+msgstr "Без звуку"
 
 msgid "Key$Audio"
 msgstr "Мова"
@@ -588,29 +589,29 @@
 msgstr "Видалити канал?"
 
 msgid "Edit folder"
-msgstr "Редагувати каталог"
+msgstr "Редагувати теку"
 
 msgid "New folder"
-msgstr "Новий каталог"
+msgstr "Нова тека"
 
 msgid "Sub folder"
-msgstr "Підкаталог"
+msgstr "Підтека"
 
 msgid "Folder name already exists!"
-msgstr "Назва каталогу вже існує!"
+msgstr "Назва теки вже існує!"
 
 #, c-format
 msgid "Folder name must not contain '%c'!"
-msgstr "Назва каталогу не повинна містити '%c'!"
+msgstr "Назва теки не повинна містити '%c'!"
 
 msgid "Button$Select"
 msgstr "Вибрати"
 
 msgid "Delete folder and all sub folders?"
-msgstr "Видалити каталог і всі підкаталоги?"
+msgstr "Видалити теку і всі підтеки?"
 
 msgid "Delete folder?"
-msgstr "Видалити каталог?"
+msgstr "Видалити теку?"
 
 msgid "Edit timer"
 msgstr "Налаштування таймера"
@@ -643,19 +644,19 @@
 msgstr "Файл"
 
 msgid "Button$Folder"
-msgstr "Каталог"
+msgstr "Тека"
 
 msgid "Button$Single"
-msgstr ""
+msgstr "Одинарне"
 
 msgid "Button$Repeating"
-msgstr ""
+msgstr "Повтор"
 
 msgid "First day"
 msgstr "Перший день"
 
 msgid "Select folder"
-msgstr "Вибрати каталог"
+msgstr "Вибрати теку"
 
 msgid "Timers"
 msgstr "Таймери"
@@ -745,7 +746,7 @@
 msgstr "Витерти запис?"
 
 msgid "Recording is being edited - really delete?"
-msgstr ""
+msgstr "Запис редагується - дійсно вилучити?"
 
 msgid "Error while deleting recording!"
 msgstr "Помилка видалення запису!"
@@ -790,28 +791,28 @@
 msgstr "Час показу повідомлень (сек)"
 
 msgid "Setup.OSD$Use small font"
-msgstr "Викор. малий фонт"
+msgstr "Викор. малий шрифт"
 
 msgid "Setup.OSD$Anti-alias"
-msgstr "Згладжування фонтів"
+msgstr "Згладжування шрифтів"
 
 msgid "Setup.OSD$Default font"
-msgstr "Стандартний фонт"
+msgstr "Стандартний шрифт"
 
 msgid "Setup.OSD$Small font"
-msgstr "Малий фонт"
+msgstr "Малий шрифт"
 
 msgid "Setup.OSD$Fixed font"
-msgstr "Фіксований фонт"
+msgstr "Фіксований шрифт"
 
 msgid "Setup.OSD$Default font size (%)"
-msgstr "Розмір типового фонта (%)"
+msgstr "Розмір типового шрифта (%)"
 
 msgid "Setup.OSD$Small font size (%)"
-msgstr "Размір малого фонта (%)"
+msgstr "Розмір малого шрифта (%)"
 
 msgid "Setup.OSD$Fixed font size (%)"
-msgstr "Размір фіксованого фонта (%)"
+msgstr "Розмір фіксованого шрифта (%)"
 
 msgid "Setup.OSD$Channel info position"
 msgstr "Положення інформації про канал"
@@ -841,25 +842,25 @@
 msgstr "Кнопку Меню закрити"
 
 msgid "Setup.OSD$Recording directories"
-msgstr "Каталоги зберігання записів"
+msgstr "Теки зберігання записів"
 
 msgid "Setup.OSD$Folders in timer menu"
-msgstr "Каталоги в меню таймера"
+msgstr "Теки в меню таймера"
 
 msgid "Setup.OSD$Number keys for characters"
-msgstr ""
+msgstr "Кількість клавіш для символів"
 
 msgid "Setup.OSD$Color key 0"
-msgstr ""
+msgstr "Кольорова кнопка 0"
 
 msgid "Setup.OSD$Color key 1"
-msgstr ""
+msgstr "Кольорова кнопка 1"
 
 msgid "Setup.OSD$Color key 2"
-msgstr ""
+msgstr "Кольорова кнопка 2"
 
 msgid "Setup.OSD$Color key 3"
-msgstr ""
+msgstr "Кольорова кнопка 3"
 
 msgid "EPG"
 msgstr "Телегід (EPG)"
@@ -930,7 +931,7 @@
 msgstr "Основний DVB-пристрій"
 
 msgid "Setup.DVB$Standard compliance"
-msgstr ""
+msgstr "Відповідність стандарту"
 
 msgid "Setup.DVB$Video format"
 msgstr "Формат відео"
@@ -985,10 +986,10 @@
 
 #, c-format
 msgid "Setup.LNB$Device %d connected to sat cable"
-msgstr ""
+msgstr "Пристрій %d під’єднано до сателітарного кабелю"
 
 msgid "Setup.LNB$own"
-msgstr ""
+msgstr "власне"
 
 msgid "CAM reset"
 msgstr "Перезавантаження CAM"
@@ -1009,7 +1010,7 @@
 msgstr "Скинути"
 
 msgid "Opening CAM menu..."
-msgstr "Відкриваю меню CAM-модуля..."
+msgstr "Відкривання меню CAM-модуля..."
 
 msgid "Can't open CAM menu!"
 msgstr "Меню CAM-модуля недоступне!"
@@ -1078,7 +1079,7 @@
 msgstr "Протяжність ручного запису (хв)"
 
 msgid "Setup.Recording$present event"
-msgstr ""
+msgstr "теперішня передача"
 
 msgid "Setup.Recording$Max. video file size (MB)"
 msgstr "Макс. размір відеофайлу (Мб)"
@@ -1099,13 +1100,13 @@
 msgstr "Віображати режим перегляду"
 
 msgid "Setup.Replay$Show remaining time"
-msgstr ""
+msgstr "Показати час що зашився"
 
 msgid "Setup.Replay$Progress display time (s)"
-msgstr ""
+msgstr "Час показу індикатора (с)"
 
 msgid "Setup.Replay$Pause replay when setting mark"
-msgstr ""
+msgstr "Пауза програвання при встановленні мітки"
 
 msgid "Setup.Replay$Resume ID"
 msgstr "ID продовження"
@@ -1129,10 +1130,10 @@
 msgstr "Затримка часу для впровадження каналу (ms)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delay (ms)"
-msgstr ""
+msgstr "Затримка повтору кнопок пульта (мс)"
 
 msgid "Setup.Miscellaneous$Remote control repeat delta (ms)"
-msgstr ""
+msgstr "Різниця повторів кнопок пульта (мс)"
 
 msgid "Setup.Miscellaneous$Initial channel"
 msgstr "Канал при включенні"
@@ -1147,7 +1148,7 @@
 msgstr "Кінець каналів"
 
 msgid "Setup.Miscellaneous$Show channel names with source"
-msgstr ""
+msgstr "Показати назву каналу з джерелом"
 
 msgid "Setup.Miscellaneous$Emergency exit"
 msgstr "Аварійний вихід"
@@ -1226,7 +1227,7 @@
 msgstr "Не задано міток для монтажу!"
 
 msgid "No editing sequences defined!"
-msgstr ""
+msgstr "Не задано послідовності монтажу!"
 
 msgid "Can't start editing process!"
 msgstr "Неможливо почати монтаж запису!"
@@ -1271,7 +1272,7 @@
 msgstr "Регенерацію файлу індексу завершено"
 
 msgid "Index file regeneration failed!"
-msgstr ""
+msgstr "Генерація індексного файлу не вдалася!"
 
 msgid "Can't shutdown - option '-s' not given!"
 msgstr "Виключенння неможливе - не задано параметр '-s'!"
@@ -1310,22 +1311,22 @@
 msgstr "Класичний VDR"
 
 msgid "DISK"
-msgstr ""
+msgstr "ДИСК"
 
 msgid "LOAD"
-msgstr ""
+msgstr "ЗАВАНТАЖЕННЯ"
 
 msgid "TIMERS"
-msgstr ""
+msgstr "ТАЙМЕРИ"
 
 msgid "DEVICES"
-msgstr ""
+msgstr "ПРИСТРОЇ"
 
 msgid "LIVE"
-msgstr ""
+msgstr "ЕФІР"
 
 msgid "PLAY"
-msgstr ""
+msgstr "ПРОГРАВАННЯ"
 
 msgid "ST:TNG Panels"
 msgstr "ST:TNG панелі"
diff -ruN vdr-1.7.37/recording.c vdr-1.7.38/recording.c
--- vdr-1.7.37/recording.c	2013-02-08 10:02:07.000000000 +0100
+++ vdr-1.7.38/recording.c	2013-02-17 14:17:55.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.c 2.86 2013/02/08 09:02:07 kls Exp $
+ * $Id: recording.c 2.88 2013/02/17 13:17:55 kls Exp $
  */
 
 #include "recording.h"
@@ -1103,7 +1103,7 @@
   return true;
 }
 
-void cRecording::SetStartTime(time_t Start) 
+void cRecording::SetStartTime(time_t Start)
 {
   start = Start;
   free(fileName);
@@ -1506,6 +1506,15 @@
   return false;
 }
 
+bool cMarks::Save(void)
+{
+  if (cConfig<cMark>::Save()) {
+     lastFileTime = LastModifiedTime(fileName);
+     return true;
+     }
+  return false;
+}
+
 void cMarks::Align(void)
 {
   cIndexFile IndexFile(recordingFileName, false, isPesRecording);
@@ -2127,7 +2136,7 @@
   return -1;
 }
 
-bool GenerateIndex(const char *FileName) 
+bool GenerateIndex(const char *FileName)
 {
   if (DirectoryOk(FileName)) {
      cRecording Recording(FileName);
diff -ruN vdr-1.7.37/recording.h vdr-1.7.38/recording.h
--- vdr-1.7.37/recording.h	2013-02-07 14:42:17.000000000 +0100
+++ vdr-1.7.38/recording.h	2013-02-14 16:13:14.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: recording.h 2.42 2013/02/07 13:42:17 kls Exp $
+ * $Id: recording.h 2.44 2013/02/14 15:13:14 kls Exp $
  */
 
 #ifndef __RECORDING_H
@@ -19,8 +19,6 @@
 #include "tools.h"
 
 #define FOLDERDELIMCHAR '~'
-#define TIMERMACRO_TITLE    "TITLE"
-#define TIMERMACRO_EPISODE  "EPISODE"
 
 extern int DirectoryPathMax;
 extern int DirectoryNameMax;
@@ -234,6 +232,7 @@
 public:
   bool Load(const char *RecordingFileName, double FramesPerSecond = DEFAULTFRAMESPERSECOND, bool IsPesRecording = false);
   bool Update(void);
+  bool Save(void);
   void Align(void);
   void Sort(void);
   void Add(int Position);
diff -ruN vdr-1.7.37/remux.c vdr-1.7.38/remux.c
--- vdr-1.7.37/remux.c	2012-11-25 15:16:11.000000000 +0100
+++ vdr-1.7.38/remux.c	2013-02-17 14:17:58.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: remux.c 2.73 2012/11/25 14:16:11 kls Exp $
+ * $Id: remux.c 2.74 2013/02/17 13:17:58 kls Exp $
  */
 
 #include "remux.h"
@@ -1244,7 +1244,7 @@
                                          break;
            case nutCodedSliceNonIdr:
            case nutCodedSliceIdr:        if (gotAccessUnitDelimiter && gotSequenceParameterSet) {
-                                            ParseSliceHeader(); 
+                                            ParseSliceHeader();
                                             gotAccessUnitDelimiter = false;
                                             return tsPayload.Used();
                                             }
diff -ruN vdr-1.7.37/ringbuffer.h vdr-1.7.38/ringbuffer.h
--- vdr-1.7.37/ringbuffer.h	2012-09-20 11:29:32.000000000 +0200
+++ vdr-1.7.38/ringbuffer.h	2013-02-16 16:20:37.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: ringbuffer.h 2.4 2012/09/20 09:29:32 kls Exp $
+ * $Id: ringbuffer.h 2.5 2013/02/16 15:20:37 kls Exp $
  */
 
 #ifndef __RINGBUFFER_H
@@ -84,17 +84,17 @@
     ///< Reads at most Max bytes from FileHandle and stores them in the
     ///< ring buffer. If Max is 0, reads as many bytes as possible.
     ///< Only one actual read() call is done.
-    ///< \return Returns the number of bytes actually read and stored, or
+    ///< Returns the number of bytes actually read and stored, or
     ///< an error value from the actual read() call.
   int Read(cUnbufferedFile *File, int Max = 0);
     ///< Like Read(int FileHandle, int Max), but reads from a cUnbufferedFile).
   int Put(const uchar *Data, int Count);
     ///< Puts at most Count bytes of Data into the ring buffer.
-    ///< \return Returns the number of bytes actually stored.
+    ///< Returns the number of bytes actually stored.
   uchar *Get(int &Count);
     ///< Gets data from the ring buffer.
     ///< The data will remain in the buffer until a call to Del() deletes it.
-    ///< \return Returns a pointer to the data, and stores the number of bytes
+    ///< Returns a pointer to the data, and stores the number of bytes
     ///< actually available in Count. If the returned pointer is NULL, Count has no meaning.
   void Del(int Count);
     ///< Deletes at most Count bytes from the ring buffer.
diff -ruN vdr-1.7.37/skinlcars.c vdr-1.7.38/skinlcars.c
--- vdr-1.7.37/skinlcars.c	2013-01-25 15:54:11.000000000 +0100
+++ vdr-1.7.38/skinlcars.c	2013-02-15 16:08:02.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: skinlcars.c 2.18 2013/01/25 14:54:11 kls Exp $
+ * $Id: skinlcars.c 2.19 2013/02/15 15:08:02 kls Exp $
  */
 
 // "Star Trek: The Next Generation"(R) is a registered trademark of Paramount Pictures,
@@ -1136,7 +1136,7 @@
   // The timer data:
   bool Alert = !Timer->Recording() && Timer->Pending();
   tColor ColorFg = Alert ? Theme.Color(clrAlertFg) : Theme.Color(clrTimerFg);
-  tColor ColorBg = Alert ? Theme.Color(clrAlertFg) : Theme.Color(clrTimerBg);
+  tColor ColorBg = Alert ? Theme.Color(clrAlertBg) : Theme.Color(clrTimerBg);
   osd->DrawRectangle(xs00, y, xs03 - 1, y + lineHeight - 1, ColorBg);
   cString Date;
   if (Timer->Recording())
diff -ruN vdr-1.7.37/svdrp.c vdr-1.7.38/svdrp.c
--- vdr-1.7.37/svdrp.c	2013-01-17 16:19:02.000000000 +0100
+++ vdr-1.7.38/svdrp.c	2013-02-17 14:18:01.000000000 +0100
@@ -10,7 +10,7 @@
  * and interact with the Video Disk Recorder - or write a full featured
  * graphical interface that sits on top of an SVDRP connection.
  *
- * $Id: svdrp.c 2.23 2013/01/17 15:19:02 kls Exp $
+ * $Id: svdrp.c 2.24 2013/02/17 13:18:01 kls Exp $
  */
 
 #include "svdrp.h"
@@ -1512,7 +1512,7 @@
      else
         Reply(501, "Cannot open file \"%s\"", Option);
      }
-  else {     
+  else {
      delete PUTEhandler;
      PUTEhandler = new cPUTEhandler;
      Reply(PUTEhandler->Status(), "%s", PUTEhandler->Message());
diff -ruN vdr-1.7.37/thread.h vdr-1.7.38/thread.h
--- vdr-1.7.37/thread.h	2012-10-04 14:15:39.000000000 +0200
+++ vdr-1.7.38/thread.h	2013-02-16 16:20:44.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: thread.h 2.3 2012/10/04 12:15:39 kls Exp $
+ * $Id: thread.h 2.4 2013/02/16 15:20:44 kls Exp $
  */
 
 #ifndef __THREAD_H
@@ -31,7 +31,7 @@
   bool Wait(int TimeoutMs = 0);
        ///< Waits at most TimeoutMs milliseconds for a call to Signal(), or
        ///< forever if TimeoutMs is 0.
-       ///< \return Returns true if Signal() has been called, false it the given
+       ///< Returns true if Signal() has been called, false it the given
        ///< timeout has expired.
   void Signal(void);
        ///< Signals a caller of Wait() that the condition it is waiting for is met.
diff -ruN vdr-1.7.37/tools.h vdr-1.7.38/tools.h
--- vdr-1.7.37/tools.h	2012-12-06 09:59:39.000000000 +0100
+++ vdr-1.7.38/tools.h	2013-02-17 14:18:06.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.h 2.23 2012/12/06 08:59:39 kls Exp $
+ * $Id: tools.h 2.24 2013/02/17 13:18:06 kls Exp $
  */
 
 #ifndef __TOOLS_H
@@ -45,7 +45,7 @@
 
 #define MALLOC(type, size)  (type *)malloc(sizeof(type) * (size))
 
-template<class T> inline void DELETENULL(T *&p) { T *q = p; p = NULL; delete q; } 
+template<class T> inline void DELETENULL(T *&p) { T *q = p; p = NULL; delete q; }
 
 #define CHECK(s) { if ((s) < 0) LOG_ERROR; } // used for 'ioctl()' calls
 #define FATALERRNO (errno && errno != EAGAIN && errno != EINTR)
diff -ruN vdr-1.7.37/vdr.c vdr-1.7.38/vdr.c
--- vdr-1.7.37/vdr.c	2013-02-08 11:47:02.000000000 +0100
+++ vdr-1.7.38/vdr.c	2013-02-14 11:49:06.000000000 +0100
@@ -22,7 +22,7 @@
  *
  * The project's page is at http://www.tvdr.de
  *
- * $Id: vdr.c 2.48 2013/02/08 10:47:02 kls Exp $
+ * $Id: vdr.c 2.49 2013/02/14 10:49:06 kls Exp $
  */
 
 #include <getopt.h>
@@ -834,22 +834,26 @@
         time_t Now = time(NULL);
 
         // Make sure we have a visible programme in case device usage has changed:
-        if (!EITScanner.Active() && cDevice::PrimaryDevice()->HasDecoder() && !cDevice::PrimaryDevice()->HasProgramme()) {
+        if (!EITScanner.Active() && cDevice::PrimaryDevice()->HasDecoder()) {
            static time_t lastTime = 0;
-           if (!CamMenuActive() && Now - lastTime > MINCHANNELWAIT) { // !CamMenuActive() to avoid interfering with the CAM if a CAM menu is open
-              cChannel *Channel = Channels.GetByNumber(cDevice::CurrentChannel());
-              if (Channel && (Channel->Vpid() || Channel->Apid(0) || Channel->Dpid(0))) {
-                 if (cDevice::GetDeviceForTransponder(Channel, LIVEPRIORITY) && Channels.SwitchTo(Channel->Number())) // try to switch to the original channel...
-                    ;
-                 else if (LastTimerChannel > 0) {
-                    Channel = Channels.GetByNumber(LastTimerChannel);
-                    if (Channel && cDevice::GetDeviceForTransponder(Channel, LIVEPRIORITY) && Channels.SwitchTo(LastTimerChannel)) // ...or the one used by the last timer
+           if (!cDevice::PrimaryDevice()->HasProgramme()) {
+              if (!CamMenuActive() && Now - lastTime > MINCHANNELWAIT) { // !CamMenuActive() to avoid interfering with the CAM if a CAM menu is open
+                 cChannel *Channel = Channels.GetByNumber(cDevice::CurrentChannel());
+                 if (Channel && (Channel->Vpid() || Channel->Apid(0) || Channel->Dpid(0))) {
+                    if (cDevice::GetDeviceForTransponder(Channel, LIVEPRIORITY) && Channels.SwitchTo(Channel->Number())) // try to switch to the original channel...
                        ;
+                    else if (LastTimerChannel > 0) {
+                       Channel = Channels.GetByNumber(LastTimerChannel);
+                       if (Channel && cDevice::GetDeviceForTransponder(Channel, LIVEPRIORITY) && Channels.SwitchTo(LastTimerChannel)) // ...or the one used by the last timer
+                          ;
+                       }
                     }
+                 lastTime = Now; // don't do this too often
+                 LastTimerChannel = -1;
                  }
-              lastTime = Now; // don't do this too often
-              LastTimerChannel = -1;
               }
+           else
+              lastTime = 0; // makes sure we immediately try again next time
            }
         // Update the OSD size:
         {
